title: White House Open Data Disappears, Raising Transparency Questions
url: https://www.meritalk.com/articles/white-house-open-data-disappears-transparency-donald-trump-sunlight-foundation/
hash_url: 0a5a968deddfd30e2fbaf8ac8c2c98d5

<p>The White House has deleted all of the information that was housed on its open data portal, a move that is creating confusion about the digital transparency of the Trump administration.</p>
<p>The database, which was deleted last week, contained information about government salaries, visitor records, and government research. Most of the information has been archived on the <a href="https://open.obamawhitehouse.archives.gov/search/type/dataset?query=&amp;sort_by=changed&amp;sort_order=DESC&amp;page=0%2C1" target="_blank">Obama administrationâs White House page</a>, but some external links and internal pages no longer work in that format.</p>
<p>âTo repeat: Trump @WhiteHouse website isnât removing data from the Obama-era site [U.S. National Archives] has preserved. They havenât posted new data,â Alex Howard, deputy director of the Sunlight Foundation, posted on Twitter.</p>
<p>Maxwell Ogden, a programmer for the open data sharing project <a href="https://datproject.org/" target="_blank">Dat Project</a>, responded to public concern Tuesday, saying that he had downloaded a full copy of the archive on Jan.Â 20âInauguration Dayâwhich amounts to nine gigabits of data. He also posted the <a href="https://gist.github.com/maxogden/d1e3f14bb9253ef9638a40826b000f08" target="_blank">full metadata</a> for people to see what was included in the database before it was taken off the Trump White House site.</p>
<p>However, the absence of any information on the <a href="https://open.whitehouse.gov/" target="_blank">new site</a> and the updated message that says, âcheck back soon for new dataâ when users attempt to search the site by category, left people concerned about the transparency of the Trump administration. This move by the White House also follows news that the administration <a href="https://www.meritalk.com/articles/why-trump-cant-get-rid-of-climate-data/" target="_blank">attempted to remove information on climate change</a> from the Environmental Protection Agencyâs website.</p>
<p>âThe @WhiteHouse is creating confusion by not informing the public about what itâs doing on #opengov or where archived #opendata exists,â Howard tweeted.</p>
<blockquote class="twitter-tweet" data-width="500">
<p lang="en" dir="ltr">The <a href="https://twitter.com/WhiteHouse">@WhiteHouse</a> is creating confusion by not informing the public about what it's doing on <a href="https://twitter.com/hashtag/opengov?src=hash">#opengov</a> or where archived <a href="https://twitter.com/hashtag/opendata?src=hash">#opendata</a> persists.</p>
<p>— Alex Howard (@digiphile) <a href="https://twitter.com/digiphile/status/831645070608781316">February 14, 2017</a></p></blockquote>
<p/>
<p>President Obama launched the open data site to create a centralized repository of searchable information with government research. The research was added to the site to allow other scientists to use it for additional projects.</p>
<p>Howard said that it’s likely that new data will be uploaded to the site, but what type of data and when it will be added is unclear.</p>
<p>“They’ve created an expectation for that to be there,” Howard said to MeriTalk. “We don’t know anything else about it.”</p>
<p>Howard said that the absence of a communications director coupled with the White Houseâs choice not to use its blog or social media accounts to narrate the choices of the transition increases public fears about the data removal. Howard also said that the White House could be doing more to point out that the Obama-era information is still available on the archived website, even if it doesnât appear to be available on the new site.</p>
<p>âIf Trump administration launched a new @WhiteHouse website on 1/20 &amp; pointed to archive, doubt weâd have weeks of stories about deletions,â Howard tweeted.</p>
<p>Howard also said that the technological talent in the new administration appears to be lacking because President Donald Trump hasnât nominated a Federal chief information officer or chief technology officer. Trump also hadnât hired a Federal or White House chief information security officer.</p>
<p>âItâs clear digital government is not a priority,â Howard said in a tweet.</p>
<blockquote class="twitter-tweet" data-width="500">
<p lang="en" dir="ltr">The <a href="https://twitter.com/WhiteHouse">@WhiteHouse</a> hasn't nominated a US CIO &amp; US CTO, nor hired US CISO or replaced WH CISO.   It's clear digital government is not a priority</p>
<p>— Alex Howard (@digiphile) <a href="https://twitter.com/digiphile/status/831651633520066560">February 14, 2017</a></p></blockquote>
<p/>
<p>Howard said that the fact that executive orders sometimes arenât posted online for hours or even days are reminiscent of government in the early 2000s.</p>
<p>âThe White House should publish the text of all Presidential actions on WhiteHouse.gov immediately upon the Presidentâs signature,â Howard said in a <a href="https://sunlightfoundation.com/2017/01/24/the-white-house-should-publish-text-of-presidential-actions-immediately-online/" target="_blank">blog post</a> in January. âIn 2017, the public should be able to inform itself, in plaintext on a website that meets modern accessibility standards. Anything less invites disaster by creating the potential for disinformation and misinterpretation of legally binding directives.â</p>
