title: BBC Radio Director Helen Boaden resigns, criticising state of journalism
url: http://www.independent.co.uk/news/media/tv-radio/bbc-radio-director-helen-boaden-to-announce-resignation-at-prix-italia-preview-in-lampedusa-a7337181.html
hash_url: 1a2734bb5dedbf20dae4fdfde4531769

<p>This morning I emailed the Director General of the <a href="http://www.independent.co.uk/topic/BBC">BBC</a>, Tony Hall, to let him know that I have decided to leave the Corporation after 34 years.  </p>

<p>It’s something Tony and I have been discussing for some months so it wasn’t a surprise to either of us, but I confess that having finally made the decision, saying so in public for the first time does feel rather strange... </p>

<p>The world I entered all those years ago as a young reporter on a commercial radio station in the north-east of England, would be unrecognisable today. It was a world of certainties and some existential anxiety, dominated by the Cold War and a western European economic and military consensus built around NATO and the Common market. Indeed, the UK had recently joined the Common Market at the second attempt...</p>



<p>Journalism then meant newspapers, radio and television – all of them separate and regarding each other with a significant degree of suspicion. Broadcasting, at home and in Europe, was dominated by the big public service corporations which were generally well funded and accepted, almost without question, as a force for good and a source of independent information in a continent anxious to learn the lessons of the Second World War.  </p>

<p>How things have changed. The Cold War is a distant memory and some comfortable certainties have gone. Political consensus is hard to find. The public service broadcasters who once ruled the roost now have their backs to the wall as they face an onslaught of competition.  And as journalists we live in the age of instant news and digital recording. Thanks to digital technology, we can report more, and more easily, from nearly every corner of the world. </p>



<p>I pride myself on being modestly in the vanguard of pulling digital technology, creativity and editorial together. Years ago when I ran the BBC’s principal speech radio station, Radio 4, I commissioned our first digital interactive drama whereby listeners could use their computers to change the progress of a plot shaped around a Halloween ghost story. It was very brave, very digitally ambitious and frankly, very bad. Incomprehensible, in fact. But I never regretted taking a risk on it. </p>

<p>Later, as Director of BBC News, I led the team which created the biggest and best multi-media newsroom in the democratic world built around the brilliance of digital technology ... So I am both curious about and thrilled by digital technology. But I am old enough and wise enough to know that nothing comes without a cost. </p>

<p>To be frank, I worry about the direction in which we’re going. By “we”, by the way, I mean my profession, our profession – the media generally – not the BBC in particular. </p>

<p>It seems to me that the media can sometimes rush very fast in order to stand still. Some of this is inherent in a particular medium. </p>

<p>Television news, for example, tends to see things in shards. It reports quickly and fluently but with limited time and space, before moving on to the next thing. The context it can give is necessarily foreshortened by these demands. The viewer, less obsessed by world events than we are, can understandably tune in and out of stories from time to time without catching up on intervening developments.</p>

<p>Do we, the media, do enough today, to explain and explore? Or are we too busy moving on to the next thing, in thrall to the pace of news?</p>

<p>Speech radio lends itself more naturally to analytical reportage, untrammelled by the constraints of pictures. Context and explanation are its forte.</p>

<p>Forgive the special pleading from an outgoing director of BBC Radio, but the “slow” medium – radio – should be encouraged to survive and thrive whatever platform we hear it on.</p>

<p>So I’m very glad that three of the BBC’s national stations – Radio 4, Six Music and the Asian Network – all reached record audiences in the second quarter of this year, while our Classical Music and Culture station, Radio 3, reached its highest audiences in five years. Overseas the BBC World Service in English  has also shown a significant rise, with audiences reaching 66 million.</p>

<p>But however we distribute our journalism, it does not exist in a vacuum. All media outlets, whatever platform they are on, and whether they are public service or commercial, are fighting for attention in a new world order.</p>

<p>On the internet, so-called “clickbait” is often dangled to hook a reader in: broadly, that means content of a sensational or provocative nature, to draw visitors to a particular web page. The aim is to generate online advertising revenue, frequently at the expense of quality or accuracy.</p>

<p>Has this changed the journalistic zeitgeist for everyone? Does the new form of competition now lead, more often than it should, to the headline that is overwritten on more obviously respectable outlets? To demands for black and white answers to overwhelmingly complicated problems? To a rush to judgment where there are victims and villains, and above all scapegoats?</p>

<p>In <a href="http://www.independent.co.uk/news/world/europe/refugee-crisis-more-than-80-asylum-seekers-feared-dead-after-migrant-boat-sinks-on-journey-to-italy-a7008346.html">Lampedusa</a> ... we can see for ourselves some of the consequences of one of the biggest stories of our time, the mass movement of people across Europe. The conflict in Syria continues to be by far the biggest driver of migration. But violence in Afghanistan and Iraq, abuses in Eritrea, as well as poverty in Kosovo, are also leading people to look for new lives elsewhere.</p>

<p>The consequences are extraordinary in their scale. The International Organisation for Migration estimates that <a href="http://www.independent.co.uk/news/world/europe/refugee-crisis-more-than-a-million-people-enter-europe-by-sea-in-2015-as-thousands-continue-to-a6790286.html">more than a million migrants arrived by sea in 2015</a> and almost 35,000 by land. Plus many more who were undetected. These were people who risked their lives for a new beginning. People for whom the danger at home was greater than the danger of the open seas.  </p>


<p>More than three and a half thousand migrants are reported to have died trying to cross the Mediterranean in 2015. Most drowned on the crossing from north Africa to Italy, and more than 800 died in the Aegean crossing from Turkey to Greece. The deadliest month for migrants was April, which saw a boat carrying about 800 people capsize in the sea off Libya.</p>

<p>It is a terrible human catastrophe with no obvious answers, and the EU has, perhaps understandably, struggled to resolve it.</p>

<p>As the human wave has continued unabated, so the nature of some of the media’s reporting has changed.</p>

<p>Across Europe, the migrants were initially seen as victims who needed help. Now, they are, in some cases, seen as the villains of the piece. They are being blamed for their own fate.</p>

<p>Some recent headlines from British newspaper groups:</p>

<p>“Chaos in Italy as 13,000 migrants arrive in FOUR days”</p>

<p>“This country’s ‘TOO POOR’ – Shocking scale of migrants snubbing Serbia despite warm welcome”</p>

<p>“Angela Merkel’s open door migration policy will cost Germany at least £17bn – and that’s just for this year”</p>

<p>“Pictured: The migrant camp set to blight Lake Como for YEARS”</p>

<p>“Is a 13ft wall REALLY going to stop all of these people reaching Britain?”</p>

<p>In our search for answers to a problem which appears if not intractable then complex, is the speed of the media’s technology – and the politicians’ willing participation in the 24/7 news cycle – obscuring rather than illuminating the issues?</p>

<p>Are we simplifying the arguments if only by default, by not investigating them fully, or by appealing to an emotional response rather than an explanatory one?</p>

<p>Let me go back in time. The man who shook up the BBC more than any other in my experience was John Birt who was Director General between 1992 and 2000. I was a rather challenging young editor when he took over and can tell you that he was at the time an enormously controversial figure – forcing radical change on an organisation which resisted him almost every step of the way.</p>

<p>He made us save 30 per cent of our budgets to fund his new digital strategy for TV and radio services and the BBC’s website. It did not make him popular. </p>

<p>Yet today the BBC still benefits from his farsighted digital strategy and I am pleased to say that a new generation of eager young technologists and journalists in the BBC rightly revere him.</p>

<p>John has an unusual media background. He worked very successfully in Light Entertainment television. He produced David Frost helping get his famous interview with Richard Nixon on air. And he was passionate about evidential journalism. Long ago, in the Seventies, he developed what became called the “Mission to Explain” philosophy of television journalism.</p>

<p>He argued that there was a bias in television journalism. Not against any particular party or point of view but a bias against understanding. News and feature journalism, he said, both failed to put events in their proper context.</p>

<p>He wrote: “Our economic problems for instance, manifest themselves in a wide variety of symptoms – deteriorating balance of payments, a sinking pound, rising unemployment, accelerating inflation and so on. </p>

<p>“The news, devoting two minutes on successive nights to the latest unemployment figures or the state of the stock market, with no time to put the story in context, gives the viewer no sense of how any of these problems relate to each other.” As I said, television sees things in shards.</p>

<p>A decade after sounding this warning, John Birt became deputy director-general of the BBC, in charge of news and current affairs. He established the specialist journalist posts on which BBC News still relies.</p>

<p>He backed the launch of continuous news output and took money from traditional services to fund the 24-hour news channel and the BBC website. John had a vision for our journalism and positioned the BBC for the technology of the future with uncanny accuracy.</p>

<p>My worry is that there may be an irony embedded in his legacy. The very technology he foresaw can – at worst – hinder, not help, the cause of the journalism he espoused, through the speed of the coverage it has engendered.</p>

<p>If you look at the range of 24-hour news channels, across the world, they have more in common than they have apart. Some channels, such as Russia Today, seem to make no pretence of hiding their partisanship.</p>

<p>But at root, when you look at the 24-hour news channels – whether they are from China, France, Al Jazeera, or even the UK – they are marked by their similarities. A similarity of style, of pace, of structure, and even of presenters. And they have caused journalism to change.</p>

<p>Before news channels existed, if a scheduled programme was interrupted to go to the newsroom, you knew it was a matter of importance. It made you catch your breath.</p>

<p>Now the big, bold strap-line “breaking news” can cover a multitude of ordinary fare, from light plane crashes in the United States to the latest Olympic gold medal to a small hurricane in North London which knocked over some sign posts. That happened on my watch.</p>

<p>The currency, if not debased, is different. Now of course this is not in itself a bad thing: it reflects our ability to cover more news, more speedily.</p>

<p>But it does not mean we are covering the news more deeply or more analytically. We may be generating heat. But are we really delivering light?</p>

<p>Newspapers and some broadcasters have, of course, retrenched. Faced with online competition and declining advertising revenues, budgets have been cut. Gone are the halcyon days of multiple foreign bureaus.</p>

<p>And broadcast correspondents, too, on the hamster wheel of live coverage, can complain that they are rooted to the spot for a succession of satellite interviews with the studio, rather than finding out what is actually going on.</p>

<p>So the question I pose today – and it is a question – is whether there is still a bias against understanding because we have tailored our ambitions to suit the technological marvels of the age?</p>

<p>One of the most famous photographs of modern times is the black and white image of a young girl, fleeing naked from a napalm attack in the Vietnam war, arms outstretched in anguish.</p>

<p>So iconic did this photograph become, that few people today realise that there was a television camera filming too.</p>

<p>But recently the algorithms that Facebook uses to curate its output censored the image. Facebook explained: “any photographs of people displaying fully nude genitalia or buttocks, or fully nude female breast, will be removed” – before it backed down in the face of protests.</p>

<p>Is this an editorial metaphor for our times? Have we allowed the technology – utterly brilliant as it is – to dictate to us how we should approach the news? Algorithms, unheralded and unseen, are silently transforming our lives. </p>

<p>There are over a billion websites in the world, yet using search engines like Google and Bing can give us results in fractions of a second. They have been used to create music, writing and art that experts can’t tell from the original. And they have been used to generate news stories.</p>

<p>My message is: human judgment matters. Should we apply it more?</p>

<p>We are unconstrained in our speed of coverage, unmatched in our fleetness of foot but do we lack the depth that we might achieve if we took our foot off the accelerator, or put the handbrake on, and stopped to observe more closely the world on which we are reporting?</p>

<p>For the record, this is not judgment on anyone’s output, but a general point. There are many examples of brave and brilliant journalism and in-depth reporting to be found. And news, of course, is no longer found on just radio and television, or in print.</p>

<p>The very technology that has brought us agility and speed has brought us the internet. I have described some of its sins, but its potential virtues are also profound and we could not live without it. Nor would we want to.</p>

<p>In this debate, it has for example, allowed serious websites such as BBC News Online the space to explain the complexities that lie behind the news, including an impressive and detailed explanation of the migrant crisis. But these are pretty isolated voices.</p>

<p>And as I prepare to leave the BBC, I think technology for all its virtues, may have had another untoward effect which feeds into our consumption of news.</p>

<p>BBC Radio recently broadcast a brilliant series of 15 minute programmes on the subject of “busyness” which showed how technology is shaping our experience of time and attention. </p>

<p>The programme suggested that partly because of the speed of modern technology and the media response to it, increasingly we live in modern societies dominated by impulse. Think of those mantras of Silicon Valley: “Act Now” and “Just Do It” . </p>

<p>And impulse undermines our concentration and ability to deal with depth and complexity. Increasingly we feel too busy to focus on any one thing at one time. We check and recheck our emails, our texts, our social media and the clickbait news headlines which spring up on our phones. </p>

<p>Rarely do we actually follow the news link to understand the full story behind those headlines yet somehow in the receiving and reading of the headline, we are getting something back which feeds our illusion of self-power.</p>

<p>And this could be a problem. Studies apparently show that when we slice time into ever smaller fragments and feel pressurised by this, our creativity drops, our ability to perform complex thinking tasks drops and we tend to enter an unsatisfying psychological state of anxiety named by psychologists as “psychic entropy”. </p>

<p>We may think we are absorbing more information. In fact we are simply giving in to the temptation of the easy over the hard, the quick over the slow. And I would suggest this is a common theme. I detect a change in our public discourse, a cheapening of arguments and a simplifying of debates, to match the speed of the 24/7 news cycle.</p>

<p>Both broadcasters and politicians bear a responsibility for this. The change is not new, but perhaps it is more acute now than it ever was.</p>

<p>The movement towards a more adversarial style of interviewing began in the 1950s, when the advent of commercial television taught the BBC a few lessons, with presenters such as Robin Day practising a more aggressive, challenging, style of questioning which still persists to this day.</p>

<p>The press is right to be properly sceptical – not cynical – about politicians’ views and actions – the better to tease out for the audience the issues and decision-making involved.</p>

<p>More than sixty years ago, an interview with the Labour leader Clement Atlee ran as follows: “Can you tell us something of how you view the election prospects?”</p>

<p>We definitely don’t want to go back to an era of such deference – and for good reason.</p>

<p>Last month, the European Broadcasting Union published a survey that suggested that countries with popular, well-funded public service broadcasters encounter less extremism and corruption. Its report says: “In countries where public service media funding is higher there tends to be more press freedom” and where they have a higher market share “there also tends to be a higher voter turnout”.</p>

<p>The EBU argues that “a strong and well-funded public service media is not only about providing people with news, documentaries and entertainment – it’s also about contributing to democracy”. Questioning politicians, freely but fairly, is a vital part of the body politic.</p>

<p>In the UK, we have just emerged from a referendum campaign, a long period in which facts and figures, claim and counterclaim were thrown at us by both sides.</p>

<p>“What we really need is an end to the arms race of ever more lurid claims and counter-claims made by both sides on this,” was the verdict of the British politician, Andrew Tyrie, in the days before the vote. “I think it’s confusing the public, it’s impoverishing political debate.”</p>

<p>Why did that arms race happen? In the referendum the stakes were high, and unlike in an election, the two sides were running not so much on their past political record, but more on predictions for the future, on what life would be like in or out of the EU.</p>

<p>So fact and fiction were harder to disentangle. But I think there are other, deeper, causes.</p>

<p>It was Machiavelli who first gave voice to a sense that human affairs are devious and complex. In trying to unpick the decision-making of today’s leaders, has the media of the modern age allowed an underlying sense that politicians are inevitably devious to become an implicit part of the discourse?</p>

<p>In doing so, are we helping to make fertile the ground on which the less than conventional, anti-politicians of the age, now stand? If we have, then we can only take a share of the responsibility. Because technology has affected politicians’ behaviour too.</p>

<p>Another former BBC director-general, Mark Thompson, now at <em>The New York Times</em>, argues that today “words hurtle through virtual space with infinitesimal delay”.</p>

<p>“A politician can plant an idea in 10 million other minds before leaving the podium.” Argument, he says, has become cruder and more polarised. The result is “a fight to the political death, a fight in which every linguistic weapon is fair game”. </p>

<p>I have detailed how technology has caused an explosion in media choice. Add to that the hunt for ratings, in order to survive financially, and the risk is of journalists maximising headlines, minimising subtlety and highlighting controversy to attract attention at all costs.</p>

<p>In the face of this, public service broadcasters must hold firm to their values. I believe this passionately. They must be ever more aware of the ratchet effect of the changing journalistic times, and resist being pulled in the same direction.</p>

<p>All institutions must evolve, but their values need to remain constant. More than that: they need to be aware that their values can shift imperceptibly, taking their cue unconsciously from the wider media or swept along by the technology at their command.</p>

<p>As I prepare to pack my bags and leave the BBC after more than three decades, I recognise the huge strides the media has made in the course of my career.</p>

<p>We are, through technology, more enabled, freer, liberated from the restrictions previously placed upon us. We are truly now a global village. But we need to make sure that we do not just reflect the small talk of a village, its parochial concerns, the intense human hatreds and prejudices.</p>

<p>We must use the technology to look upwards and outwards to explore and examine and explain. News will always be immediate. It’s the nature of the beast. So we still need to think fast – but we must remember also to think slow.</p>

<p>Television, in the absence of proper editorial thought, was once described as nothing but wires and lights in a box. Today, with our portable devices, we do not even need the wires and lights, or indeed the box.</p>

<p>So if we do not as journalists take time occasionally to catch our breath, to pause, and slow down, and make greater efforts to explain, we may find that we are left with nothing much in our hands at all, except the indifference of an audience and a vacuous, unblinking, screen.</p>

<p>The choice is ours. The future, as always, is in our hands and the public will judge us by what we do. </p>

<p>So… those are my reflections as I come to the closing months of my BBC career. I feel very fortunate that I have spent most of that career enjoying the benefits of digital technology professionally and as a consumer. I could not live without it. </p>

<p>But today in a world of Fast, I am unapologetically speaking up for the virtues of Slow. Slow Journalism which is engaging and dynamic of course but embodies impartiality, accuracy, expertise and evidence; the things which take time and resource. </p>

<p>The intimate Slow medium of radio, which is so brilliant at telling every kind of story in words or through music. And the role of public service broadcasting in all of these things which for me means the BBC...</p>

<p>The last few years running BBC Radio with all its creativity, innovation and sheer fun, have been especially happy. It’s been a joy to lead our very talented and hugely committed teams and our magnificent Performing Groups and to be part of a thriving UK Radio Industry. </p>

<p>As I leave, our national BBC radio stations are in one family again, in fabulous creative health and well prepared for the next wave of digital change and competition. I am delighted that in a world of extraordinary media choice, BBC Radio remains genuinely world class and greatly loved by its audiences. </p>

<p>Public service broadcasting may no longer be the biggest player in town as it was when I started my career, but for me it remains by far the best. </p>

<p>It is always worth fighting for.</p>

<p><em><a href="http://www.independent.co.uk/news/media/helen-boaden-from-little-britain-to-big-news-15197.html">Helen Boaden</a>, 60, has been at the helm of BBC Radio since 2013, overseeing BBC Radios 1,2,3,4 and the digital-only stations 6 Music, 1Xtra, Radio 4 Extra and the Asian Network. She had previously headed up the broadcaster’s news department for seven years. </em></p>

<p><em>Ms Boaden started her journalistic career on a campus radio station at the University of Sussex and later graduated in radio journalism from the London College of Printing before joining the BBC in 1983 as a news producer with Radio Leeds</em></p>
