title: Get Static
url: https://meyerweb.com/eric/thoughts/2020/03/22/get-static/
hash_url: 4f88ece170719f58ce09ba4b1818730a

<p>If you are in charge of a web site that provides even slightly important information, or important services, <strong>it’s time to get static</strong>.  I’m thinking here of sites for places like health departments (and pretty much all government services), hospitals and clinics, utility services, food delivery and ordering, and I’m sure there are more that haven’t occurred to me.  As much as you possibly can, get it down to static HTML and CSS and maybe a tiny bit of enhancing JS, and pare away every byte you can.</p>

<p>Because too many sites are already crashing because their CMSes can’t keep up with the traffic surges.  And too many sites are using dynamic frameworks that drain mobile batteries and shut out people with older browsers.  That’s annoying and counter-productive in the best of times, but right now, it’s unacceptable.  This is not the time for “well, this is as performant as our stack gets, so I guess users will have to live with it”.  Performance isn’t just something to aspire to any more.  Right now, in some situations, performance could literally be life-saving to a user, or their family.</p>

<p>We’re in this to serve our users.  The best service you can render at this moment is to make sure they can use your site or service, not get <tt>502/Bad Gateway</tt> or a two-minute 20%-battery-drain page render.  Everything should take several back seats to this effort.</p>

<p>I can’t tell you how best to get static—only you can figure that out.  Maybe for you, getting static means using very aggressive server caching and a cache-buster approach to updating info.  Maybe it means using some kind of static-render plugin for your CMS.  Maybe is means accelerating a planned migration to a static-site CMS like <a href="https://jekyllrb.com/">Jekyll</a> or <a href="https://www.11ty.dev/">Eleventy</a><del datetime="2020-04-14T20:01:15+00:00"> or <a href="https://getgrav.org/">Grav</a></del>.  Maybe it means saving pages as HTML from your browser and hand-assembling a static copy of your site for now.  There are a lot of ways to do this, but whatever way you choose, <strong>do it now</strong>.</p>

<hr/>

<p>Addendum: following are a few resources that can help. Please suggest more in the comments!
</p>

<ul>
<li><a href="https://github.com/maxboeck/emergency-site">Emergency Site Kit</a>: “This project aims to enable people to quickly publish a simple website that can withstand large amounts of traffic and will work even under extreme conditions. It is built on the <a href="https://en.wikipedia.org/wiki/Rule_of_least_power">rule of least power</a>, using simple technologies for maximum resilience.”
</li><li><a href="https://www.bing.com/search?q=fastcgi+cache+nginx&#038;qs=n&#038;form=QBRE&#038;sp=-1&#038;pq=fastcgi+cache+nginx&#038;sc=2-19&#038;sk=&#038;cvid=00F6758322E6425BBD79578AD8EB1094">FastCGI Cache for Nginx</a>.</li>
<li><a href="https://sitesauce.app/">Sitesauce</a> is <a href="https://m1guelpiedrafita.typeform.com/to/di6ye0">offering free accounts</a> for critical sites impacted by the pandemic.</li>
</ul>
<ul class="meta">
<li class="date"><cite><a href="https://meyerweb.com/eric/thoughts/2020/03/22/get-static/">Get Static</cite></a> was published on <time>Sunday, March 22nd, 2020</time>.</li>
<li class="cat">It was assigned to the <a href="https://meyerweb.com/eric/thoughts/category/commentary/" rel="category tag">Commentary</a> and <a href="https://meyerweb.com/eric/thoughts/category/tech/web/" rel="category tag">Web</a> categories.</li>
<li class="cmt">There have been <a href="https://meyerweb.com/eric/thoughts/2020/03/22/get-static/#comments">seventeen replies</a>.</li>
</ul>

