title: Letters to a Young Technologist
url: https://letterstoayoungtechnologist.com/Study-the-Past-Create-the-Future
hash_url: 520ea4867de8d36f3cd2b1132e44b719

<h2><b>Study the Past, Create the Future</b></h2><br>
<p>
We are all characters in a human story that is many thousands of years in the making. If human civilization were a book, we would be entering the narrative on page 6,000. No wonder it’s hard to make sense of the world around us: the institutions, cultures, religions, countries, markets, ideologies, and norms that constitute “normal life” are really just a temporary stop on a millenia-long process of creation and destruction by billions of people. We would all be wise to study our backstory.<br>
<br>
The study of history is particularly important for technologists for two reasons: first, because a deep understanding of the past puts you in a powerful position to shape the future, and second, because an inadequate understanding of history might lead to technological disruption that is actively harmful.<br><br>
Let’s begin with the first reason. How exactly does studying history prepare you to build for the future? Well, for one, history teaches you that nothing about our present-day reality was inevitable. The “natural order of things”—going to school, using electricity, believing in human rights, having a job, the existence of hallways, communicating in writing—is a human invention, and human inventions are the product of highly contingent cultural forces and individual decisions. <br>
<br>
In other words, our current world is the product of centuries of people like us, their unpredictable actions and decisions shaping the world we now inhabit. Things are not the way they are because of some inevitable arc of history; they are the way they are because of the conscious decisions, collective actions, and particular personalities of the people who shaped our world. Study these people, and you will find that they are not that different from us—and that, in turn, our actions and decisions are capable of shaping the world.<br><br>
One way to see this in action is to study social institutions that feel like they are in need of a change. The concept of a “9 to 5 job”—and even the notion of a job with standardized hours and a weekend break—is a product of the Industrial Revolution, and really only became commonplace in the 1920s. Fixed-hour wage labour is not a core feature of human existence; it was invented to serve a particular manufacturing need. The idea of assigning numerical or letter grades in schools was a late-19th century invention to efficiently select top pupils for the British civil service. Most statistical techniques and ideas about human management have their origins in eugenics and the slave trade, respectively. Reading about their origins, is it any wonder that these things might make us miserable?<br><br>
These observations might sound trite. Of course our social world was shaped by people and didn’t emerge out of thin air. But take a second to really let it seep into your bones that these things—our workweek, our schooling, our conceptual tools—which feel as essential to your existence as existence itself, are basically brand-new creations that were invented by real people. History enables you to recognize that virtually everything about our present-day reality is open for re-imagining.<br>
<br>
The study of history helps you appreciate the contingency of the present, and therefore view the future as open for creation. But there is a second reason why an understanding of the past helps you create the future, and it’s more psychological: by studying the past, you can situate yourself in a lineage, and find people whose interests and ambitions can help shape your own.<br><br>
There are currently 7.6 billion people on Earth. You probably hang out with people who are working on similar things to you, and probably spend some small amount of time with people who have already achieved things similar to the types of things you want to achieve. Think about this group of people. How well do you know each of these people’s life stories? Have you pored through their diaries, read their intimate letters, and studied their inner life? Almost certainly not. <br>
<br>
But, extraordinarily, there is a group of people permanently employed to probe this deeply into people’s lives: historians. You can pick up a biography of an individual or industry that interests you, and be exposed to the motivations, decisions, social pressures, and cultural forces that shaped their work. In your present-day work, it might take weeks or years to see the implications of the decisions you and your peers make; in studying the past, you can see how great minds (or even foolish minds) weighed their options and dealt with the consequences. You can see the struggles they faced, and the seemingly impossible tasks that they managed to pull off.<br><br>
You can also use history to acknowledge the forebearers to the industry you work in, or field you pursue. No matter what you are working on or interested in, no matter how esoteric, you are not alone—you are the product of generations of scholars, tinkerers, and laborers, who made the present day possible. Reading about them can provide the psychological stability of feeling rooted in a discipline, and is also a way of paying homage to your intellectual ancestors. In times of malaise or existential dread, it is helpful to feel that your work is paying it forward; the best way to thank a trailblazer is by building on their legacy.<br><br>
Even outside of your own field, you will gain an immense amount of insight by simply studying, in great detail, the history of an invention of your choosing. (I recommend electricity, refrigeration, and the bicycle, but literally any invention will do) You will find in every case that these technologies were only possible because of active decisions taken by governments, corporations, and individuals. They never just “happened”, whatever that might mean. People make history happen, and by reading history, you can see yourself as one of those people. What better motivation could there be for working to make things happen yourself?<br><br>
All this said, if you want the strongest possible evidence that history can help you have a profound impact, you need only look at people who have done extraordinary things in their fields. Many entrepreneurial and creative people are devout students of the giants whose shoulders they stand on. Two examples that readily come to my mind in the world of Silicon Valley are <a href="https://noahpinion.substack.com/p/interview-patrick-collison-co-founder">Patrick Collison’s astounding understanding</a> of the history of technology and institutions and <a href="https://www.effectivealtruism.org/articles/ea-neoliberal/">Effective Altruists' close study</a> of how neoliberalism went from a niche idea to dominant social and economic theory. These are two arbitrary choices; feel free to select a person whose work you admire, and I can almost guarantee they are well-versed in history.<br><br>
Thus far, we have been looking at ways that history can support you as a technologist by giving you agency. If you appreciate the contingency of history, you are in a better position to reimagine the future; if you situate yourself in a lineage, you have a set of past-peers to learn from and keep you motivated. But there are also ways that history can serve a cautionary role. History is full of examples of well-intentioned people causing a great deal of harm—or at the very least wasting time and money—because they have not studied the past. We have the entire collective history of human foibles, errors, folly, prejudice, and unintended consequence to learn from: it’s our responsibility to consult it before we do anything risky of our own.<br>
<br>
There are two ways we can make huge mistakes due to lack of historical awareness: first, by inventing things that are predictably harmful, and second, by changing things without first understanding where they came from. I will start by discussing the latter, and begin by turning to the social commentator GK Chesterton, who wrote this now-famous passage in 1929:<br><br>
There exists in such a case a certain institution or law; let us say, for the sake of simplicity, a fence or gate erected across a road. The more modern type of reformer goes gaily up to it and says, “I don’t see the use of this; let us clear it away.” To which the more intelligent type of reformer will do well to answer: “If you don’t see the use of it, I certainly won’t let you clear it away. Go away and think. Then, when you can come back and tell me that you do see the use of it, I may allow you to destroy it.”<br><br>
Over the years, “Chesterton’s Fence” has come to refer to anything we might want to change but whose purpose we do not yet understand. It can be easy to dismiss certain features of our workplaces and society—the British monarchy, public schools, HR departments, standardized tests, lengthy religious rites—but surely it would be unwise to do away with any of these without a profound understanding of the role they serve and what might be lost in their absence.<br><br>
One practical example of Chesterton’s Fence in action is the debate over standardized testing in the United States. Critics of standardized testing argue that it is a fundamentally inequitable practice that privileges students who can afford expensive practice sessions and tutoring. Supporters of testing ask us to consider: why was testing introduced in the first place? Because the alternative is university admissions based on network connections and charisma, rather than objective measures of aptitude. Testing, they say, actually enables more equity because it can help discover untapped talent. Astute critics might dig even deeper into history and argue that the SAT has its roots in eugenics, and was initially designed to validate ideas about white intelligence and black inferiority behind the veneer of science. There is clearly no easy way out here. But all sides would agree: we should only eliminate testing if we can be reasonably sure the alternative is better, and history can help us inform that decision.<br>
<br>
Here’s another less consequential and more personal example: in 2019, I would have told you that office chit-chat was basically a waste of time, an awkward exchange of meaningless pleasantries that could easily be eliminated with little consequence. After working from my bedroom for two years, I now realize that these trite social rituals are actually vital. Without little bursts of socializing and human contact, days feel lethargic and lonely.<br>
<br>
In summary: Don’t attempt to change something until you understand why it exists in the first place. Obtaining that understanding of course requires a detailed study of history.<br>
<br>
The second way that history can help us avoid mistakes is by showing us predictable ways things can go horribly wrong. In the light of history, we can take the long view on present-day crises and take care to not repeat the foibles of the past.<br>
<br>
A simple example is the boom and bust cycle of the stock market. When times are good, people invest their money in assets they naively believe will forever appreciate in value; when the bubble bursts, they react in fear, pulling out their investments and causing prices to decrease, leading to a cascade that can cause an economic recession or depression. Historically-savvy investors understand these cycles as part of a pattern, rather than viewing each rise or fall as an isolated cause for excitement or panic.<br>
<br>
Another recent example is our collective level of preparedness for the COVID-19 pandemic. Historians of public health are well aware of the lessons from previous pandemics—it only takes a brief study of smallpox, 1918 influenza, or even HIV/AIDS to understand that pandemics are marked by predictable cycles of dismissal, fear, panic, scapegoating, isolation, and recovery with permanently altered social norms. These past pandemics teach us the importance of non-pharmaceutical interventions like masking, physical distancing, and regular testing. The large-scale mistakes by governments and health agencies that led to these prior pandemics are also ripe for study, but our schools tend to unwisely ignore them in our curricula.<br>
<br>
A final note on COVID: It was common at the start of the pandemic to hear people talking about “these unprecedented times.” This is a classic example of historical ignorance. A pandemic is an extremely precedented time. If anything, a universal assumption of health, wealth, and prosperity is unprecedented. But if you haven’t studied our species’ history in detail, or if this education has not been deemed important by our public schools and institutions of higher learning, then things that are in fact commonplace in the long view might feel unprecedented at the time.<br>
<br>
In this essay, I have sketched out a view of historical literacy as both superpower and shield. History enables us to recognize the present as contingent, and therefore view the future as unwritten. It situates us in a lineage and grounds us in a tradition upon which we may build. At the same time, history encourages us to understand our world before attempting to change it, and gives us a wealth of past experience to draw on when making sense of novel-seeming events in the present.<br><br>
I worry that history gets a bad rap because it’s often taught by memorizing dates or events. Nothing could be more boring or useless. History is learning to imagine eras unlike our own, re-living incredible scientific discoveries or technological innovations, studying past governments and societies to understand where they succeeded and failed, and gaining invaluable lessons about who we are as humans. No matter your profession, no matter your walk of life, you can learn something about yourself by studying the history of your country, your city, your field of work, or your hobbies, and can dramatically expand your own mind by studying the history of eras, peoples, and events that are unfamiliar to you. There’s no better time than the present to deepen your understanding of the past; indeed, the future depends on it.<br>
<br><br>
<hr><br>

<i>Matthew Jordan is a funk musician who professionally enthuses about the past, present, and future of science &amp; technology.</i><br>
</p>
