title: Vaccin de Pfizer-BioNTech contre la COVID-19 : Ce que vous devez savoir
url: https://www.canada.ca/fr/sante-canada/services/medicaments-produits-sante/covid19-industrie/medicaments-vaccins-traitements/vaccins/pfizer-biontech.html#a1.1
hash_url: 5eeb933db43f2ad26de7f7e714b50705

<p>De nombreux médicaments et vaccins possibles sont à l’étude au Canada et ailleurs dans le monde en vue de leur utilisation contre la COVID-19. Nous suivons de près le développement de tous les médicaments et vaccins éventuels.</p>
<p>Vous pouvez consulter la <a href="/fr/sante-canada/services/medicaments-produits-sante/covid19-industrie/medicaments-vaccins-traitements/demandes.html">liste complète des demandes reçues relatives aux médicaments et vaccins contre la COVID-19</a>, et l’état de chaque demande.
</p><h2>Sur cette page</h2>

<h2 id="a1">À propos du vaccin de Pfizer-BioNTech contre la COVID-19</h2>
<p>Le vaccin à base  d'ARNm de Pfizer-BioNTech contre la COVID-19 (tozinaméran ou BNT162b2) sert à protéger  contre la maladie causée par le coronavirus du syndrome respiratoire aigu  sévère 2 (SRAS-CoV-2).</p>
<p>Le vaccin est  approuvé pour les personnes de 12 ans et plus. Son innocuité et son efficacité  chez les jeunes de moins de 12 ans n'ont pas encore été démontrées.</p>
<p>Le 9 décembre  2020, Santé Canada a d’abord autorisé ce vaccin sous certaines conditions, au  titre de l'<em><a href="/fr/sante-canada/services/medicaments-produits-sante/covid19-industrie/medicaments-vaccins-traitements/arrete-urgence-vente-importation-medicaments-publicitaires/note.html">Arrêté d'urgence concernant  l'importation, la vente et la publicité de drogues à utiliser relativement à la  COVID-19</a></em>. Le 5 mai 2021,  l’autorisation a été élargie pour inclure les personnes âgées de 12 à 15 ans. </p>
<p>Vous trouverez de l’information technique détaillée sur le vaccin de Pfizer-BioNTech, notamment la monographie du produit et le résumé de notre décision réglementaire, dans <a href="https://vaccin-covid.canada.ca/">le portail sur la réglementation relative aux vaccins et aux traitements contre la COVID-19</a>. </p>

    

<h3 id="a1.1">Ingrédients</h3>
<ul>
	<li>Ingrédient médicinal
		
	</li>
	<li>Ingrédients non médicinaux
		<ul>
			<li>ALC-0315 = bis(2-hexyldécanoate) de ((4-hydroxybutyl)azanediyl)bis(hexane-6,1-diyle)</li>
			<li>ALC-0159 = 2-[(polyéthylèneglycol)-2000]-<em>N,N</em>-ditétradécylacétamide</li>
			<li>1,2-distéaroyl-sn-glycéro-3-phosphocholine</li>
			<li>cholestérol</li>
			<li>phosphate dibasique de sodium dihydraté</li>
			<li>phosphate monobasique de potassium</li>
			<li>chlorure de potassium</li>
			<li>chlorure de sodium</li>
			<li>saccharose</li>
			<li>eau pour injection</li>
		</ul>
	</li>
</ul>
<p><a href="https://canadiensensante.gc.ca/recall-alert-rappel-avis/hc-sc/2020/74543a-fra.php">Recommandations pour les personnes qui ont de graves allergies</a></p>
<h2 id="a2">Fonctionnement</h2>
<p>Les vaccins à base d’ARNm enseignent à nos cellules comment fabriquer une protéine qui déclenchera une réponse immunitaire sans utiliser le virus vivant qui cause la COVID-19. Une fois cette réponse amorcée, notre corps produit des anticorps. Ces anticorps nous aident à combattre l’infection si le vrai virus pénètre dans notre corps à l’avenir.</p>
<p>« ARN » signifie acide ribonucléique, une molécule qui fournit aux cellules des instructions pour la fabrication de protéines. <a href="/fr/sante-canada/services/medicaments-produits-sante/covid19-industrie/medicaments-vaccins-traitements/vaccins/type-arnm.html">Les vaccins à base d’ARN messager</a> contiennent  les instructions génétiques servant à la fabrication de la protéine de spicule  du virus SARS-CoV-2 qui se trouve à la surface du virus responsable de  la COVID-19.</p>
<p>Lorsqu’une personne reçoit le vaccin, ses cellules lisent les instructions génétiques comme une recette et produisent la protéine de spicule. Une fois la protéine fabriquée, la cellule décompose les instructions et s’en débarrasse.</p>
<p>La cellule présente ensuite la portion protéique sur sa surface. Notre système immunitaire reconnaît que la protéine n’a pas sa place à cet endroit et commence à construire une réponse immunitaire et à produire des anticorps.</p>
<h2 id="a3">Méthode  d’administration</h2>
<p>Le vaccin est administré par injection (0,3 mL) dans le muscle du bras. Pour que le vaccin soit le plus efficace possible, il faut recevoir 2 doses : une dose initiale, puis une deuxième dose 21 jours plus tard.</p>
<p>L’immunité  se développe avec le temps. Il faut environ deux semaines pour développer une  protection significative contre la COVID‑19. Pour obtenir la meilleure  protection, vous aurez besoin d’une deuxième dose.</p>
<p>Des études  cliniques ont démontré qu’une semaine après l’administration de la deuxième  dose, le vaccin de Pfizer-BioNTech contre la COVID-19 offrait une protection de  :</p>
<ul>
  <li>95 %  chez les participants aux essais âgés de 16 ans et plus</li>
  <li>100 %  chez les participants aux essais âgés de 12 à 15 ans</li>
</ul>
<h2 id="a4">Effets secondaires possibles</h2>
<p>Les effets secondaires observés au cours des essais cliniques sont en général semblables à ceux que vous pourriez avoir avec d’autres vaccins.</p>
<p>Les effets secondaires qui ont suivi l’administration du vaccin dans les essais cliniques étaient légers ou modérés et comprenaient notamment de la douleur au point d’injection, des frissons, de la fatigue et de la fièvre.</p>
<p>Il s’agit d’effets secondaires habituels associés aux vaccins, sans risque pour la santé.</p>
<p>Comme c’est le cas pour tous les vaccins, les effets secondaires sévères sont possibles, mais rares. Un effet secondaire sévère pourrait notamment être une réaction allergique. Discutez de toute allergie grave ou de tout autre problème de santé avec votre fournisseur de soins de santé avant de recevoir le vaccin. </p>
<p>Santé Canada a effectué un examen scientifique rigoureux des preuves médicales disponibles pour évaluer l’innocuité du vaccin de Pfizer-BioNTech contre la COVID-19. Les données que nous avons examinées n’ont soulevé aucune préoccupation majeure.</p>
<h2 id="a5">Sécurité du vaccin après l’autorisation</h2>
<p>Comme pour tous  les médicaments, Santé Canada continue de <a href="/fr/sante-canada/services/medicaments-produits-sante/covid19-industrie/reponse-reglementation-acces-produits-sante.html#a8">surveiller de près l’innocuité</a> du vaccin de Pfizer-BioNTech  contre la COVID-19. De concert avec l’Agence de la santé publique du Canada et  en étroite collaboration avec les provinces et les territoires, ainsi que le  fabricant, nous surveillons tout effet indésirable qui pourrait survenir après  la vaccination.</p>
<p>De plus, le  fabricant (Pfizer Canada ULC et BioNTech Manufacturing GmbH) est tenu par la  loi de déclarer les effets indésirables à Santé Canada.</p>
<p>Pfizer et BioNTech prévoient suivre les participants à l’essai clinique pendant au moins deux ans après l’administration de la deuxième dose du vaccin. Ils devront faire part à Santé Canada de toute préoccupation en matière de sécurité.</p>
<p>Pour veiller à ce que les avantages du vaccin continuent de l’emporter sur les risques, nous pourrions aussi imposer des conditions à tout moment. Par exemple, nous pourrions exiger que le fabricant prenne d’autres mesures d’atténuation des risques ou lui demander de fournir des renseignements supplémentaires en matière de sécurité.</p>
<p>Santé Canada  continue d’examiner toutes les données disponibles en matière d’innocuité et  prendra des mesures immédiates, au besoin, pour protéger la santé et la  sécurité de la population canadienne.</p>
