title: Distributed FAQ: How Did P2 Become Automattic’s Signature Mode of Communication?
url: https://distributed.blog/2020/06/18/distributed-faq-p2-automattic/
hash_url: 92cd5096092b0f66b72ad6e4084c17e4

<p><em>In <strong>Distributed FAQ</strong>, Matt Mullenweg addresses some of the most common issues companies, executives, and individuals face as they consider transitioning to a distributed model.</em></p>



<hr class="wp-block-separator">



<p><strong>Q. Automattic is known for using internal blogs called <a href="https://wordpress.com/p2/">P2s</a> for most work-related conversations. How and why did that happen?</strong></p>



<p>A. In Automattic’s early days, we collaborated a lot directly in the code, or on IRC (Internet Relay Chat), a Slack precursor. We quickly realized that it wasn’t great for asynchronous discussions, and when we tried email instead, it didn’t allow for the transparency that is the hallmark of open source (it also brought a lot of noise with it). Finally, we ditched email and moved to an internal blogging system. <a href="https://wordpress.com/p2/">P2</a> is the evolution of the blog for the purpose of working within and across teams. It’s organized much like a Yammer or Facebook stream, but on the back end it still operates like a blog, allowing for archiving, advanced search, and rich media embeds.  </p>



<span id="more-3167"></span>



<p>Conversations on P2s take place in line, update in real time, and provide space for threaded replies. We’ve stuck with P2 for years now, and it has ultimately evolved into a rich source of institutional wisdom and collective company memory.</p>



<p>I would encourage anyone working in a distributed setting to <a href="https://wordpress.com/p2/">spin up a P2</a> by starting a blog at WordPress.com, which you can then use as your company’s internal blogging system.  </p>



<p>At its core, P2 is organized, searchable knowledge. For example, we write up notes from every meeting, and tag attendees by name. I can search for any person’s name tag and pull up all conversation history related to the individual in question. It’s an invaluable resource.</p>



<hr class="wp-block-separator">



<p>To learn more about Automattic’s distinct culture, listen to “<a href="https://distributed.blog/2019/11/26/the-importance-of-irl-in-a-world-of-screens/">Inside the Grand Meetup</a>,” an episode featuring several Automatticians talking about their experiences at a fully distributed company.</p>
