title: Google introduces a new way to search that combines images and text into one query
url: https://techcrunch.com/2021/09/29/google-introduces-a-new-way-to-search-that-combines-images-and-text-into-one-query/
hash_url: b65dcd34bb1ea8d8b610aaf06a0b5902

<p id="speakable-summary">Earlier this year, at Google’s I/O annual developer conference, the company <a href="https://www.blog.google/products/search/introducing-MUM/">introduced</a> a new AI milestone called Multitask Unified Model, or MUM. This technology can simultaneously understand information across a wide range of formats, including text, images and videos, and draw insights and connections between topics, concepts and ideas. Today, Google announced one of the ways it’s planning to put MUM to work in its own products with an update to its Google Lens visual search.</p>
<p><a href="https://lens.google/">Google Lens</a> is the company’s image recognition technology which lets you use the phone’s camera to perform a variety of tasks, like real-time translation, identifying plants and animals, copying and pasting from photos, finding items similar items to what’s in the camera’s viewfinder, getting help with math problems and much more.</p>
<p>Soon, Google says it will leverage MUM’s capabilities to upgrade Google Lens with the ability to add text to visual searches in order to allow users to ask questions about what they see.</p>
<p>In practice, this is how such a feature could work. You could pull up a photo of a shirt you like in Google Search, then tap on the Lens icon and ask Google to find you the same pattern — but on a pair of socks. By typing in something like “socks with this pattern,” you could direct Google to find relevant queries in a way that may have been more difficult to do if you had only used text input alone.</p>
<p></p><div id="attachment_2209102" class="wp-caption aligncenter"><img aria-describedby="caption-attachment-2209102" loading="lazy" class="size-large wp-image-2209102" src="https://techcrunch.com/wp-content/uploads/2021/09/Search-On-MUM-x-Lens-Shirt-Example.gif?w=680" alt=""><p id="caption-attachment-2209102" class="wp-caption-text"><strong>Image Credits:</strong> Google</p></div>
<p>This could be particularly useful for the type of queries that Google today struggles with — where there’s a visual component to what you’re looking for that is either hard to describe using words alone or that could be described in different ways. By combining the image and the words into one query, Google may have a better shot at delivering relevant search results.</p>
<p>In another example, a part of your bike has been broken and you need to search on Google for repair tips. However, you don’t know what the piece is called. Instead of delving into repair manuals, you could point Google Lens at the broken part of your bike, then type in “how to fix.” This could connect you directly with the exact moment in a video that could help.</p>
<p></p><div id="attachment_2209100" class="wp-caption aligncenter"><img aria-describedby="caption-attachment-2209100" loading="lazy" class="size-large wp-image-2209100" src="https://techcrunch.com/wp-content/uploads/2021/09/Search-On-MUM-x-Lens-Bike-Example.gif?w=680" alt=""><p id="caption-attachment-2209100" class="wp-caption-text"><strong>Image Credits:</strong> Google</p></div>
<p>The company sees these AI-driven initiatives as ways to make its products “more helpful” to end-users by enabling new ways to search. By making use of the phone’s camera as part of Search, Google is aiming to stay relevant in a market where many of its core use cases are starting to shift to other properties. For instance, many shopping searches today <a href="https://britewire.com/amazon-beats-google-in-product-searches/">now start directly</a> on Amazon. And when iPhone users need to do something specific on their phone, they often just turn to Siri, Spotlight, the App Store or a native app to get help. And Apple is<a href="https://www.cnbc.com/2020/10/28/apple-steps-up-effort-to-build-google-search-alternative.html"> developing</a> its own alternative to Google Search as well. You could see the beginnings of this work in the iOS 15 <a href="https://www.macrumors.com/guide/ios-15-spotlight/">update to Spotlight search</a>, which now directly connects users to the information they need without the need for a Google query.</p>
<p>Google says it’s also putting MUM to work in other ways across Google Search and video searches, the company announced at its <a href="https://searchon.withgoogle.com/live/">Search On</a> live event today.</p>
<p>The Google Lens update will roll out in the months ahead, noting that it still needs to go through “rigorous testing and evaluation,” which is a part of every new AI model that its deploys.</p>
