title: Conway’s Law
url: http://www.melconway.com/Home/Conways_Law.html
hash_url: 27638deda91b70669cd1fe708a6ca9f3

<p class="paragraph_style">In 1967 I submitted a paper called "How Do Committees Invent?" to the <span class="style">Harvard Business Review</span>. <span class="style">HBR</span> rejected it on the grounds that I had not proved my thesis. I then submitted it to <span class="style">Datamation</span>, the major IT magazine at that time, which published it April 1968. The text of the paper is <a class="class1" title="Committees_Paper.html" href="Committees_Paper.html">here</a>.<br/></p>
<p class="paragraph_style_1">Here is one form of the paper's thesis:<br/></p>
<div class="paragraph paragraph_style_2"><div id="id1" class="style_SkipStroke_1 shape-with-text inline-block"><div class="text-content graphic_textbox_layout_style_default_External_328_72"><div class="graphic_textbox_layout_style_default"><p class="paragraph_style_3">Any organization that designs a system (defined broadly) will produce a design whose structure is a copy of the organization's communication structure.</p></div></div></div></div>
<p class="paragraph_style"><a title="http://en.wikipedia.org/wiki/Fred_Brooks" href="http://en.wikipedia.org/wiki/Fred_Brooks">Fred Brooks</a> cited the paper and the idea in his elegant classic "The Mythical Man-Month," calling it "Conway's Law." The name stuck.<br/></p>
<p class="paragraph_style">Following is an extract from an <a title="http://en.wikipedia.org/wiki/Conway's_Law" href="http://en.wikipedia.org/wiki/Conway's_Law"><span>article</span> in <span>Wikipedia</span></a>. (The concept originated in the software world but is not limited to any specific domain.)<br/></p>
<div class="paragraph paragraph_style_2"><div id="id2" class="style_SkipStroke_1 shape-with-text inline-block"><div class="text-content graphic_textbox_layout_style_default_External_386_179"><div class="graphic_textbox_layout_style_default"><p class="paragraph_style">Conway's law was not intended as a joke or a Zen koan, but as a valid sociological observation. It is a consequence of the fact that two software modules A and B cannot interface correctly with each other unless the designer and implementer of A communicates with the designer and implementer of B. Thus the interface structure of a software system <span class="style">necessarily</span> will show a congruence with the social structure of the organization that produced it.</p></div></div></div></div>
<p class="paragraph_style">Brooks recognized that the law has important corollaries in management theory. Here is one stated in the paper.<br/></p>
<div class="paragraph paragraph_style_2"><div id="id3" class="style_SkipStroke_1 shape-with-text inline-block"><div class="text-content graphic_textbox_layout_style_default_External_372_84"><div class="graphic_textbox_layout_style_default"><p class="paragraph_style">Because the design that occurs first is almost never the best possible, the prevailing system concept may need to change. Therefore, flexibility of organization is important to effective design.</p></div></div></div></div>
<p class="paragraph_style">In retrospect, <span class="style">HBR</span>'s basis for rejecting the paper says more about differences in notions of "proof" than it does about the paper.<br/></p>
<p class="paragraph_style_4">[Note: I assume no responsibility for information in other Web sites. The reference to Fred Brooks in Wikipedia, for example, was accurate to the best of my knowledge at the time I created the link to it, but it is subject to change beyond my control (as is all information on the Web not in this site).]<br/></p>
