title: Insecure
url: https://laurakalbag.com/insecure/
hash_url: 9ed1e938a66f79b378d382f138a5101f

<p>The state of sharing on the web is broken.</p>

<p>After the <a href="https://www.theguardian.com/world/interactive/2013/nov/01/snowden-nsa-files-surveillance-revelations-decoded#section/1">Snowden revelations</a>, <a href="/you-wont-believe-what-happens-next/">it became clear that my sharing “content” willy-nilly was a potential danger to me</a>. I was previously oblivious to the risk of sharing everything about myself on social media. The tiniest most harmless piece of information about me could be derived in a data set somewhere to become something very meaningful (even if it’s wrong) and potentially dangerous.</p>

<h2 id="blaming-the-victim">Blaming the victim</h2>

<p>These revelations came along at a similar time when we as a society started realising how bad social media could be for our self-confidence and sense of self. I don’t like victim blaming when it comes to addiction to technology. It is not any of our faults that we have become addicted or obsessed with browsing and posting to social media when these interfaces are specifically designed to addict (engage!) and manipulate (call-to-action!) us. It is their business model to collect our information in order to monetise it. It is no surprise that they design systems to make data collection effective.</p>

<p>When I post on someone else’s website (be it Facebook or Twitter), I’m putting myself at risk. By encouraging my friends and family to respond, I’m making them vulnerable too.</p>

<h2 id="vulnerability">Vulnerability</h2>

<p>And I am vulnerable online. Both on social media and when I post stuff to my own site. Far less than many, far more than a lot of you. I’m not important or famous or exciting. I don’t have anything particularly egregious or thrilling to hide from public view, but I want to have control over what I choose to share (y’know, this is a good definition of privacy…) Happy to share photos of the dog, or what I attempted to cook today, but I don’t necessarily want to share my period cycle or my sex life with the world in the same way.</p>

<p>As these thoughts and risks built up in my head, I’ve been posting less and less on social media. I’m not being sanctimonious about leaving, I’ve not left. I’ve not “recaptured my life and my sense of self.” I’m just a quiet lurker, occasionally replying, sometimes getting a hit of confidence (or wine) and posting a thought unprompted. Largely, I am reduced to dog photos and the occasional snarky political comment.</p>

<p>And while there’s much to be said for just listening to a diverse group of people and not feeling like you have to be the person speaking, I <em>have</em> been holding back. Not just on social media, but on my personal site too. I’ve lost confidence in the web I want to share things on, and I’ve lost confidence in those things I want to share.</p>

<h2 id="sharing-through-publishing">Sharing through publishing</h2>

<p>I want to be able to share again. It was the sharing of silly little things that helped me form relationships and social lives with folks in the early(ish) days of Twitter. People who had met me <abbr title="In Real Life">IRL</abbr> after meeting me online behaved as though they already knew me well. They did. I was consistent with my online self. I’m a flawed human and a nervous over-sharer, not a brand.</p>

<p>At Ind.ie, we’ve been looking at building alternatives to mainstream technology. How do we fund, design, and create communities that are not toxic to human rights, but are <a href="/beyond-my-means">also not exclusive to privileged nerds who have the time and resources to configure complicated privacy and security tooling</a>?</p>

<p>A big part of this is going back to first principles, and trying to work out: what do I <em>actually</em> want to do with the Web and Internet? What do I genuinely enjoy and find valuable, rather than just feeling like I have to do it or I’ll miss out (<a href="https://en.wikipedia.org/wiki/Fear_of_missing_out">FOMO</a>). It’s more than just trying to reproduce Twitter or Instagram on my own website, because both of those experiences come with stuff I don’t want. (Harassment, being profiled, nazis etc etc.)</p>

<p>Part of this is convincing myself that I have something worthwhile to say again. That sharing something cool or posting the odd thought doesn’t mean I’m arrogant and think the world needs to hear me. I’m just craving connection over shared experiences.</p>

<h2 id="publishing-isn-t-the-same-as-sharing">Publishing isn’t the same as sharing</h2>

<p>In <a href="/beyond-my-means">my post about how owning my own “content” is often beyond my means</a>, I mentioned there’s a confidence required to share content. It’s also finding the confidence to share the stuff that isn’t lofty. Stuff that isn’t a meaningful philosophical thought on technology, or a tutorial on how to do something useful with web technologies. Sometimes I want to share a photo of the wonky animal I knitted, or my feelings towards the latest TV show I binged, or a half-baked angry comment on politics. Because if I’m to own the kind of detritus I post on social media, it’s this kind of detritus.</p>

<p>And it’s not one-sided publishing I’m after—I want to keep up with other like-minded folks. My sharing my detritus into the void is just sad. I want to consume other people’s detritus too. I want to read what you think about the feminism in Dietland, which track on Dirty Computer is your favourite, and which makeup technique you tried that went awry. I want to compare notes on how to make good naan bread, hear how your government is impacting your life, and what you’re trying to do to chip away at society and carve a safe space for yourself and your kin.</p>

<h2 id="the-folks-i-want-to-hear-from-aren-t-publishing">The folks I want to hear from aren’t publishing</h2>

<p>Last year I got all excited about <a href="https://www.ar.al/2018/07/01/refining-the-rss/">RSS</a> again. I wanted to stop relying on Twitter for news and industry updates, thinking I could use RSS instead. Just like I did before I used Twitter. Thinking it could be a way for me to find all that detritus that I’m looking for too.</p>

<p>Calling out to folks asking for their blogs’ RSS feeds to follow, I swiftly realised that RSS was not a viable replacement for what I wanted to follow. 99% of the RSS feeds recommended to me were of white men. Now I follow plenty of lovely white men and learn a lot from their writing, but Twitter has been vital in connecting with folks from a wider range of backgrounds and experiences.</p>

<p>Most of the folks I want to hear from aren’t publishing in the same way, or with the same confidence, as the white men of RSS. It probably has something to do with <a href="/beyond-my-means">their means</a> (I’m referencing my my own blog post a lot today…), and a lot to do with the vulnerability I mentioned above.</p>

<h2 id="desiring-connection">Desiring connection</h2>

<p>I’m desperately seeking these connections and community. The web can be used to find common connections with folks you find interesting, and who don’t make you feel like so much of a weirdo. It’d be nice to be able to do this in a safe space that is not being surveilled.</p>

<p>Owning your own content, and publishing to a space you own can break through some of these barriers. Sharing your own weird scraps on your own site makes you easier to find by like-minded folks. If you’ve got no tracking on your site (no Google Analytics etc), you are harder to profile. People can’t come to harass you on your own site if you do not offer them the means to do so. <em>(That’s why you will not be finding a comments form or contact form on my website anymore!)</em></p>

<p>So I’m going to experiment with posting my detritus. Finding the edges of what is comfortable and safe to share, trying to make those connections. I can’t make anyone else do the same, so I’ll be sharing sadly into the void. But hopefully it will give me a better understanding of how I relate to other people via technology, and how we can make our <a href="https://ind.ie">ethical alternatives to mainstream technology</a> a safe and fun way to share.</p>

<p>Here comes my first scrap:</p>


<figure>

		<img src="/images/2018/07/weary-laura.jpg" alt="Photo of me looking wearily at the camera."/>




	<figcaption>
		<p>
		How I feel at the end of this blog post. I’m trying.



		</p>
	</figcaption>

</figure>


<p>Oh and hey! If you’re doing something similar, please let me know. Yes, even if you’re a white man… 😉</p>

<hr/>

<p>Part 3 of an as-yet un-named series. Working out my thinking around personal websites.</p>
