title: Progress and its discontents
url: https://newint.org/features/2019/07/01/long-read-progress-and-its-discontents
hash_url: b0a67892fc1a61c836408b4e07c90ee7

<p>
The world has never been better. From global poverty to inequality between nations, all the indicators are showing progress. This is a comforting narrative – popularized by the likes of Bill Gates and Steven Pinker. But is it true? <strong>Jason Hickel</strong> examines the rise of this so-called ‘New Optimism’.</p>
<p>
After the global financial crisis in 2008, political discourse across North America and Europe began to shift. The recession had left a trail of destruction in its wake: home foreclosures, joblessness and collapsing wages were exacerbated by brutal austerity measures and deep cuts to social spending. People were hurting and angry, and their anger was exacerbated by the knowledge that taxpayer money was being pumped out of public coffers to prop up the very banks whose reckless corruption had caused the whole mess. The unfairness was too much to bear. Protest movements like Occupy and the Indignados swept through major cities in the years that followed, drawing attention to the problem of inequality. Thomas Piketty’s treatise on this issue – <em>Capital</em> <em>in the 21st Century</em> – became an instant bestseller after its publication in 2013. And Oxfam drove the point home with its now-famous claim that the richest one per cent had captured more of the world’s wealth than the rest of the human population combined.</p>
<p>
All of this amounted to an unprecedented attack on the prevailing neoliberal consensus, and in some cases on capitalism itself, which was left with its legitimacy at historic lows. Leftwing politicians like Bernie Sanders, Elizabeth Warren and Jeremy Corbyn began to step into the breach, promising to confront inequalities head-on, and their ideas became popular to an extent no-one would have predicted just a few years prior.</p>
<p>
At the same time, a backlash was building. A prominent group of billionaires, pundits and commentators began to rally around a new narrative. This doom and gloom is all wrong, they said: zoom out just a bit and take a moment to appreciate the fact that human progress is, in fact, accelerating. There have been dramatic improvements in indicators such as life expectancy and infant mortality, impressive reductions in the prevalence of disease, and – most importantly – global poverty is disappearing at a rapid rate; poor countries are catching up with rich ones. Things have never been better.</p>
<p>
Before long, this good-news narrative was appearing all over the place, drawing initially on content from the late pop-academic Hans Rosling, who was becoming famous for his slick, glitzy presentations with graphs all moving impressively in the right direction. Rosling’s graphs – created by Gapminder, a Swedish non-profit that ‘fights misconceptions about global development’ – quickly spread across the internet, and Gapminder’s model was soon replicated by a second group, Max Roser’s Our World in Data, which condenses historical data trends into simple, colourful images for easy circulation on social media.</p>
<p>
The online platforms Vox and Buzzfeed became major conduits for these optimistic infographics, pumping out countless articles with headlines such as ‘23 charts and maps that show the world is getting much, much better’, and ‘9 reasons the world is getting better all the time’. Columnist Nicholas Kristof began repeating this narrative in the pages of <em>The New York Times,</em> with articles like ‘2016 was the best year in the history of humanity’. And in 2018 Steven Pinker published the bestselling <em>Enlightenment Now</em>, a book-length Buzzfeed article with graphs stacked up in support of a grand meta-narrative of progress. A linguist by profession, Pinker has made a name for himself in recent years – notably through his much-viewed TED talks – as a commentator on world-historical trends, and now stands as a leading figure of the ideological movement that has come to be known as New Optimism.</p>

<h2>
The best of all possible worlds</h2>
<p>
There’s nothing wrong with celebrating progress. Humanity has made some extraordinary gains in recent history that deserve our attention. But that’s not really what New Optimism is about. The movement’s core argument isn’t just that things have improved, but rather that the progress we’ve seen has been fuelled by the spread of capitalism around the world. As Pinker puts it: ‘Industrial capitalism launched the Great Escape from universal poverty in the 19th century and is rescuing the rest of humankind in a Great Convergence in the 21st.’ Some prominent voices within the movement take this further, and argue that it’s not just capitalism that we have to thank, but specifically the neoliberal variety that has dominated the world economy since the 1980s.</p>
<p class="blockquote quote--right">
At this rate, it will take about 200 years to get everyone above the poverty line of $7.40 per day</p>
<p>
It should come as little surprise, then, that the New Optimist narrative has attracted the attention of well-heeled funders. And it enjoys significant support from one person in particular: Bill Gates. Our World in Data is funded by the Gates Foundation; Gapminder lists Gates as one of its biggest donors; as for Vox and Buzzfeed, Gates is a major investor in both. Indeed, Vox has been pulled up by FAIR, a US media watchdog, for functioning as a sort of propaganda arm for Gates and Microsoft. But Gates isn’t the only one who has tapped into the power of this story. The Koch brothers – billionaire oil barons known for promoting climate denialism and extreme market deregulation – have thrown their hats in too, bankrolling media sites like Reason and Human Progress, a project of the libertarian Cato Institute, whose writers promote New Optimism as part of a nakedly rightwing agenda.</p>
<p>
It’s a powerful story. In today’s political climate, New Optimism is routinely weaponized by those who seek to defend an economic model that has otherwise been haemorrhaging credibility. It has become a kind of last-ditch battle cry for the status quo.</p>
<p>
New Optimists are careful to present themselves as rational and scientific: all they’re doing is ‘sticking to the facts’, as Roser likes to say. And you can’t argue with facts. This sentiment appears on the cover of Hans Rosling’s 2018 book, published posthumously as <em>Factfulness: Ten Reasons We’re Wrong About the World – and Why Things Are Better Than You Think</em>. To highlight this stance, some have taken to calling themselves Rational Optimists, borrowing the title of the manifesto from British aristocrat and entrepreneur Matt Ridley. The idea is that if you’re a rational person, you have to admit that free-market capitalism is serving humanity beautifully, and we need to stick with it. To believe anything else is ideology.</p>
<p>
And yet, despite their insistence on ‘reason’, the New Optimists are often strikingly uninterested in the nuances of the historical evidence they invoke. In their hands, the story of human progress has been distorted into a cartoonishly simple narrative wherein capitalism is responsible for virtually everything good that has happened in modern history and nothing bad. The fact that the most important gains in human welfare have been won by labour unions and social movements, enabled by publicly funded research and secured by public healthcare and education systems, almost always in the face of determined and even violent resistance from the capitalist class, is never acknowledged. Egregious disparities in social indicators between classes and nations are papered over in favour of aggregate trends. And the decidedly regressive sides of capitalism – colonization, genocide, plantation slavery, oil wars, regular attacks on workers’ rights and welfare systems, and, perhaps most damningly, climate change and ecological breakdown – are either downplayed or ignored altogether.</p>
<p>
Not surprisingly, New Optimists have come under fire from scientists and historians many times for their selective use of evidence. For people who stake such a vocal claim to science, they can be remarkably unscientific – sacrificing robust analysis for the sake of political expedience. And nowhere is this tendency more apparent than when it comes to the centrepiece of the New Optimist narrative: the story of global poverty.</p>

<h2>
Behind the numbers</h2>
<p>
In 2015, when Oxfam’s inequality facts first went viral, <em>The Spectator</em> responded with a piece titled ‘What Oxfam doesn’t want you to know: global capitalism means less poverty than ever’. The author argued that all the attention focused on inequality and the richest one per cent is misplaced: they may have more wealth than the rest of the world’s population combined, but this is justified because the very system that has made them so rich has also reduced poverty in developing countries. The text is worth quoting, as it exemplifies the New Optimist narrative:</p>
<p>
‘We are, right now, living through the golden age of poverty reduction. Anyone serious about tackling global poverty has to accept that whatever we’re doing now, it’s working – so we should keep doing it. We are on the road to an incredible goal: the abolition of poverty as we know it, within our lifetime. Those who care more about helping the poor than hurting the rich will celebrate the fact – and urge leaders to make sure that free trade and global capitalism keep spreading. It’s the only true way to make poverty history.’</p>
<p>
This line of argument has been repeated ad nauseum in the years since. It was used by the conservative psychologist Jordan Peterson in his much-publicized debate with philosopher Slavoj <span>Žižek</span>. And Bill Gates wheeled it out in early 2019, as world leaders and business elites arrived in Davos for the World Economic Forum. As if to pre-empt the usual critiques of inequality that surface during Davos, Gates tweeted a graph of global poverty, developed by Our World In Data, to remind his 46 million followers that the world is getting better and better. The graph tells an extraordinary story: that poverty has fallen dramatically over the past 200 years, from 94 per cent of humanity in 1820 down to 10 per cent today – about 730 million people – with particularly rapid improvements since neoliberal globalization began in the 1980s. Gates’ message is clear: before you slam the economic system, remember that it has delivered extraordinary human progress.</p>
<p>
It’s a compelling narrative, but it suffers from a number of crippling flaws. For one, the good-news story relies on an extremely low poverty line of $1.90 per day. This might not seem a problem at first glance; we’re used to hearing this figure, as it’s been normalized over the past few decades by the World Bank and the United Nations. But, remarkably, there is no empirical basis for the $1.90 line in terms of its ability to satisfy basic human needs. It is arbitrary and meaningless as a measure of global poverty. In fact, we have mountains of evidence showing that people who live just <em>above</em> this line remain crushingly poor in every respect, with terribly high levels of malnutrition, infant mortality, and low life expectancy.</p>
<p>
<img alt="" src="/sites/default/files/u354/LongreadFig1.jpg"/></p>
<p>
Consider this rather strange paradox. The UN’s Food and Agricultural Organization (FAO) says that there are 815 million people in the world today who do not have access to enough calories to sustain even ‘minimal’ human activity; some 1.5 billion are food insecure and cannot get enough calories to sustain ‘normal’ human activity; malnutrition is suffered by 2.1 billion. And the FAO says that these numbers are rising. In other words, the $1.90 line peddled by Gates and Pinker would have us believe that there are fewer poor people than hungry and malnourished people, and that the number of poor is decreasing even while the number of hungry is rising.</p>
<p>
If $1.90 is too low, then, to achieve basic nutrition and sustain normal human activity, one might reasonably conclude – as most poverty researchers have – that it’s too low to be used as a baseline measure of poverty. Those who defend this metric insist that it captures ‘extreme’ poverty. But remember: $1.90 is the equivalent of what that amount of money could buy in the US in 2011. The economist David Woodward once calculated that to live at this level would be like 35 people trying to survive in Britain ‘on a single minimum wage, with no benefits of any kind, no gifts, borrowing, scavenging, begging or savings to draw on (since these are all included as “income” in poverty calculations)’. That goes beyond any definition of ‘extreme’. It is an insult to humanity. Simply calling this line ‘extreme’ does not justify its use as an analytical tool.</p>
<p>
In fact, even the World Bank has repeatedly stated that the $1.90 line is too low to be used in any but the very poorest countries, and <span>should not be used to inform policy</span>. In 2016, the Atkinson Report on Global Poverty delivered a trenchant critique of the $1.90 line, and the Bank was forced to respond by creating new thresholds for lower middle-income countries ($3.20/day) and upper middle-income countries ($5.50/day). At these more realistic lines, some 2.4 billion people are in poverty today – more than three times higher than the New Optimists would have people believe.</p>
<p>
But even these updated poverty lines are not rooted in adequate empirical evidence. The evidence we <em>do</em> have suggests that people need much more than this to meet even the most basic human needs. The US Department of Agriculture has calculated that people require at least $6.70 per day to achieve decent nutrition, to say nothing of housing, clothing, transport and other requirements. The British economist Peter Edwards finds that about $7.40 is needed to achieve normal human life expectancy. The New Economics Foundation concludes that around $8 is necessary to reduce infant mortality by a meaningful margin. The Harvard economist Lant Pritchett has argued that since the poverty line is based on purchasing power in the US, then it should be linked to the US poverty line – so around $15 per day.</p>
<p>
The literature on this issue is now vast, and yet – remarkably – New Optimists like Gates and Pinker have never engaged with it.</p>
<p>
When we measure global poverty using evidence-based poverty lines, the story changes completely. At the $7.40 threshold – which is still at the low end of the metrics scholars have proposed – we find that the number of people in poverty hasn’t declined at all. Rather, it has grown dramatically since 1981, going from 3.2 billion to 4.2 billion, according to World Bank data. Six times higher than the 730 million Gates and Pinker would have us believe.</p>
<p>
<img alt="" src="/sites/default/files/u354/LongreadFig2%2C3.jpg"/></p>
<p>
Those 4.2 billion people make up 58 per cent of the world’s population, which is a staggering proportion. That is down from 71 per cent in 1981 – a welcome decline, but a far cry from the dramatic plunge that the New Optimists claim. Suddenly the grand story of progress seems tepid, mediocre and – in a world that’s as fabulously rich as ours – completely unacceptable. What’s more, the vast majority of the gains that <em>have</em> been achieved over this period have come from one region: China and the East Asian tigers. Even if we take just China out of the equation, we find that the proportion of people in poverty today is almost exactly the same as it was in 1981, with no net progress at all.</p>
<p>
This is a crucial point, because the economic success of China and the East Asian tigers is due not to the neoliberal policies that the New Optimists espouse, but rather to state-led industrial policy, protectionism and regulation. These countries have integrated into the world economy, to be sure, but they have done so on their own terms. Contrary to the New Optimist narrative, they cannot be recruited in defence of Washington Consensus neoliberalism. To do so is intellectually dishonest. After all, policies used by China – such as capital controls, industrial subsidies and forced technology transfers – have long infuriated free marketeers, including Gates.</p>
<p>
The rest of the Global South, on the other hand, was rendered ground zero of the neoliberal experiment with very different results. During the 1980s and 1990s, the IMF and World Bank imposed extreme free-market policies across the South in the form of structural adjustment programmes: slashing tariffs and subsidies, reversing land reform, privatizing public assets, and gutting public healthcare and education – often in the face of massive popular resistance.</p>
<p>
The consequences were devastating. The number of people in poverty shot up by an eye-watering 1.3 billion during the structural adjustment period, and even the <em>proportion</em> <span>of people in poverty</span> rose, from 62 per cent to 68 per cent. These are striking figures. What they reveal is that neoliberal globalization during the 1980s and 1990s made poverty worse, not better. And it’s important to understand that this process was not just the unfortunate application of an overzealous version of capitalism. Economic historians argue that structural adjustment was an intentional strategy by Western states and business leaders to restore the rate of profit by breaking open new horizons for investment abroad. The forced liberalization of the South, with all its horrifying human costs, was perpetrated in order to keep Western capitalism chugging along.</p>
<p>
Things have improved a bit on the poverty front since 2000, to be sure. But World Bank data shows that the most impressive gains (outside of East Asia) have come from Latin America. These improvements have coincided with the Pink Tide, the leftwing governments that have swept to power across much of the continent since the turn of the century, in many cases challenging the US’s economic power over the region. Their gains against poverty have been driven by social-welfare, not ‘free market’, policies. Whatever one might think about these governments – and there are plenty of critiques to be made – this doesn’t sit well with New Optimists’ narrative. It’s an uncomfortable fact that they have never acknowledged.</p>
<h2>
Rewriting history</h2>
<p>
There’s another major problem with the poverty-reduction narrative promoted by Gates and Pinker, perhaps even more serious than the flaws identified above – and it has to do with their claims about the colonial period.</p>
<p>
The long-term poverty graph that Gates tweeted – the one developed by Roser – goes back to 1820, and creates the distinct impression that the global poverty rate improved significantly during the colonial era. This is a strange claim for a number of reasons. First of all, real data on poverty has only been collected since 1981, when my graphs start. It is widely known among poverty researchers that any data prior to this is simply too sketchy to be useful and to go as far back as 1820 is meaningless. There is no data to bolster claims about long-term poverty trends. It just doesn’t exist.</p>
<p>
Roser’s graph relies on two different datasets: one that goes from 1820 to 1970, and one that goes from 1981 to the present. The latter is based on actual poverty surveys. The former, by contrast, has nothing to do with poverty at all, but rather GDP. It reports on national accounts of commodity production. Now, there are a number of problems with this. First, the dataset is woefully incomplete, as it focuses almost exclusively on Western countries. For the entire continents of Asia and Latin America, it includes data for only three countries each prior to 1900. For Africa it includes no data at all prior to 1900, and for only three countries prior to 1950. In other words, for the vast majority of the human population, and for the vast majority of the time period in question, there isn’t any data at all. It doesn’t take a statistician to recognize that this is not an adequate empirical basis from which to draw meaningful conclusions regarding global trends.</p>
<p>
The patchiness of the data is beside the point, though, because even if the GDP data <em>were</em> adequate for 1820-1970, it doesn’t tell us anything about the livelihoods of poor people during this period. This is because GDP does not account for the goods and services that people derive from subsistence activities and from commons: game and fodder from communal forests, water from communal irrigation systems, chickens and vegetables raised for domestic consumption, gifts from neighbours, and so on – all of which are normally included in surveys that measure poverty.</p>
<p>
This is important, because for colonized countries most of the period from 1820 to independence in the mid-19th century was characterized by a process of enclosure and mass dispossession, which violently destroyed subsistence economies and curtailed people’s access to commons. People were bulldozed off their land and into the capitalist labour system to work on European-owned mines, factories and plantations. In most cases we know that the income people earned from the new wage economy – pennies a day – didn’t come anywhere close to compensating for their loss of land and other resources, which were gobbled up by colonizers.</p>
<p class="blockquote quote--right">
Bill Gates’ favourite infographic repackages colonialism as a happy story of progress</p>
<p>
If you enclose a forest and sell it for timber, GDP goes up. If you burn subsistence farms and turn the land into cotton plantations, GDP goes up. But this accounting tells us nothing of what local communities lose in terms of their use of that forest or their access to food. The costs to their livelihoods and wellbeing is swept under the statistical rug. For these reasons, GDP is not a legitimate proxy for measuring poverty – particularly not during an era characterized by enclosure and dispossession.</p>
<p>
Consider the case of India. In the 19th century, the British went about enclosing communal forests (which they used to build their ships), privatizing communal waterways, destroying communal granaries and so on. The goal of these policies was explicit: to put farmers at the mercy of hunger so that they would have no choice but to intensify agricultural production for export (to London) if they wanted to survive. And it worked: output went up, and exports rose. This is reflected in the national accounts. But during this very period, 30 million Indians died needlessly of famine as a result of British agricultural policy, a catastrophe recounted in horrifying detail by the historian Mike Davis in his book <em>Late Victorian Holocausts</em>. During the whole period from 1870 to 1920, life expectancy in India dropped by 20 per cent.</p>
<p>
The same story unfolded over and over again across the Global South. The colonization of the Congo thoroughly destroyed local subsistence economies. Ultimately, 10 million people perished – half the country’s population. The colonization of South Africa dispossessed the black population of 90 per cent of the country’s land. The colonization of South America was organized around mass enslavement and a genocide that wiped out the vast majority of the indigenous population. Immiseration followed the colonial project everywhere it went.</p>
<p>
All of this is missing from Roser’s graph. Gates’ favourite infographic takes the violence of colonization and – through creative use of irrelevant statistics – repackages it as a happy story of progress.</p>
<h2>
A rising tide?</h2>
<p>
When confronted with these critiques of the poverty figures, some try a different story altogether. Maybe poor people’s incomes haven’t increased enough to lift them out of actual poverty, but <em>at least they’ve been</em> <em>rising</em>. For those who seek to defend the economic system, this fact becomes a precious touchstone. And while it is true that the average incomes of poor people have increased since 1981, there are two crucial caveats to this that we need to acknowledge.</p>
<p>
First, the increase has not been steady. In fact, during the imposition of neoliberalism in the 1980s and 1990s, the incomes of the poor <em>declined and stagnated</em> – sometimes for long periods of time – across much of the Global South. In sub-Saharan Africa, for example, incomes fell in the 1980s and didn’t recover their previous level until 2005, some two decades later. Once again, this fact is devastating for any narrative that claims neoliberal globalization as the main driver of progress.</p>
<p>
Second, any increase that <em>has</em> happened has been at a glacial pace. According to the World Bank, poor people’s daily incomes have increased by an average of about <span>two cents per year since 1981</span>, outside East Asia. At this rate, it will take about 200 years to get everyone above the poverty line of $7.40 per day.</p>
<p>
The reason it’s so slow is not because we live in a poor world, where poverty is a natural and inevitable condition. On the contrary, we live in an extra­ordinarily rich world. The problem is that the global economy has been designed to funnel the vast majority of income into the pockets of the rich. Remarkably, only about five per cent of all new income from global growth goes to the poorest 60 per cent of humanity. This is an astonishing figure, when you consider that these are the people who provide the majority of the resources and labour. What they get in return is literally pennies. For some reason, the New Optimists see fit to defend this system as the best of all possible worlds.</p>
<p>
It stretches credulity to cast this as ‘progress’, by any definition, particularly when we have the resources to end global poverty many times over. Bringing everyone in the world above the $7.40 poverty line would require shifting only about $6 trillion of existing global income to the poor. For perspective, that’s about 7 per cent of the income of the world’s richest 10 per cent. If we changed the rules of the global economy to allow the poor to capture even just this small additional fraction – with fairer wage laws, fairer trade rules, and so on – we could put an end to global poverty forever.</p>
<p>
This brings us to an important point. Steven Pinker is fond of saying that progressives who criticize his rosy good-news narrative ‘hate progress’, because any improvements that have been delivered by capitalism are, as he puts it, ‘humiliating to their worldview’. It’s a bizarre claim, and only makes sense if one accepts a very narrow definition of progress. You see, the New Optimists are content to measure progress as <em>any</em> improvement on the past. From this perspective, an increase in income of even two cents per year gets held up as a grand story of success.</p>
<p>
For progressives, this isn’t good enough. In the progressive tradition, progress is measured not against a pre-existing state but rather against what is <em>just</em>. From the perspective of justice, it is not acceptable that 60 per cent of humanity should be crippled by poverty when even a small shift of existing global income from the rich could put an end to their suffering in a single stroke. These are the kind of advances that progressives want to see: the world’s majority receiving decent wages, fair prices for their resources, and an equal share of global yields to which they disproportionately contribute. These are not radical demands, and they would be easy to implement – yet for some reason Pinker and other New Optimists actively reject such a future. For them, the inequitable distribution of global income is acceptable, and indeed is to be celebrated, so long as the poor get another penny or two each year.</p>
<p>
This is where the depravity of the New Optimist worldview becomes clear. There is nothing bold or optimistic about their vision. On the contrary, it is feeble and cowardly – a pessimistic resignation to the status quo.</p>
<h2>
Relative problems</h2>
<p>
Over and over again, the question of inequality emerges as a sticking point for the New Optimists. To paper over this problem, many have tried to claim that global inequality is declining, and that poor countries are catching up with rich countries. Charts produced by Gapminder and Our World In Data give the impression that the gap has nearly closed over the past few decades, abolishing the old colonial divide between North and South. This is Pinker’s ‘Great Convergence’. ‘The poorer countries have caught up,’ Max Roser proclaims. And from Bill Gates: ‘The world is no longer separated between the West and the rest.’</p>
<p>
This narrative works by relying on a very particular metric of inequality – one focused not on the actual income gap but rather on relative rates of change. So, if the income of a poor country increases at a faster rate relative to its starting point than that of a rich country, this gets cast as a reduction of inequality <em>even if the gap between them has grown</em>. Take for example a poor country where the average income goes from $500 to $1,000 (a 100-per-cent increase), and a rich country where income rises from $50,000 to $75,000 (a 50-per-cent increase). The poor country’s income has grown twice as fast as that of the rich country, relative to its starting point. But the gap between them has exploded, from a difference of $45,500 to $74,000. By any common-sense definition, inequality has worsened.</p>
<p>
Relative metrics are useful for certain analytical purposes, but it’s dishonest to simply ignore the absolute income gap, as New Optimists do. And the income gap has been growing dramatically. Poor countries aren’t catching up to rich countries at all. In reality, the real per-capita income gap between the North and South has nearly quadrupled in size over the past few decades, going from $9,000 in 1960 to $35,000 today. There is no ‘convergence’, as New Optimists want us to believe. It’s divergence, big time.</p>
<div>
<figure class="image">
<img alt="" src="/sites/default/files/u354/LongreadFig4.jpg"/>
<figcaption>
Source: World Bank. Global North: EU, US, Canada, Australia, New Zealand/Aotearoa, Switzerland, Iceland, Greeland, Norway, Russia, Japan; Global South: rest of the world</figcaption>
</figure>
</div>
<p class="rtecenter">
Why is this happening? Because the rules of the global economy have been organized in such a way as to benefit the Global North at the expense of most of the rest of humanity. The North controls a vastly disproportionate share of voting power in the World Bank and the IMF, and exercises a disproportionate share of bargaining power in the World Trade Organization. They control the economic policy decisions of poorer countries through debt and conditional finance. They manage virtually all of the world’s secrecy jurisdictions, which enable transnational companies to illegally extract untaxed profits out of poorer nations. They retain the ability to topple foreign governments whose economic policies run against their interests, and occupy countries they regard as strategic in terms of resources and geography.</p>
<p>
These geopolitical power imbalances sustain and reproduce a global class divide that has worsened – not improved – in the decades since the end of colonialism.</p>
<p>
Our economic system has failed to deliver any meaningful progress against poverty, not because the problem is inherently intractable, but because the yields of our economy are being locked up at the top. The Yale philosopher Thomas Pogge argues that when it comes to global poverty, the morally relevant metric of progress is neither absolute numbers nor proportions nor even the trajectory of poor people’s incomes, but rather the extent of poverty compared to our capacity to end it. By this yardstick, he says, we are doing worse than at any time in history, as our capacity to end poverty has grown rapidly, while poverty itself remains widespread. In moral terms, we have regressed.</p>
<p>
It doesn’t have to be this way. We can change the rules of our global economy to make it fairer for the world’s majority. In my 2017 book <em>The Divide,</em> I have explored how to go about it: by democratizing the institutions of global economic governance; introducing a global minimum wage system so workers can claim a fair share of the income they produce; cancelling unpayable debts to liberate governments from external policy controls and so on. But, as with all progress in human history, this will require a political struggle against those who benefit so prodigiously from the status quo.</p>
<p>
Ultimately, this is what the New Optimist mythology seeks to fend off. But the thing about myths is that they have an uncanny way of falling apart in the face of reality. And when myths fall apart, new worlds emerge.</p>
