title: Google’s experimental new “slow” label could revolutionize how we tackle web performance
url: http://www.webperformancetoday.com/2015/02/25/google-new-slow-label-web-performance/
hash_url: c7005bd19ddd6878cd773ca63f5be95c

<p>Earlier today, Search Engine Land posted about <a title="SEO: Google Testing A Red Slow Label In The Search Results For Slower Sites" href="http://searchengineland.com/google-testing-red-slow-label-search-results-slower-sites-215483" target="_blank">a new label that Google appears to be testing in its search results pages</a>. The red &#8220;slow&#8221; label, pictured here, warns people that your site is unacceptably slow.</p>
<div id="attachment_6369" style="width: 490px" class="wp-caption aligncenter"><img class="size-full wp-image-6369" src="http://3vavpsbeqbk19ao0rfgkqm17sj.wpengine.netdna-cdn.com/wp-content/uploads/2015/02/google-mobile-slow-label-1424870455.png" alt="Screen capture via K Neeraj Kayastha" width="480" height="600" /><p class="wp-caption-text">Screen capture via <a href="https://plus.google.com/u/0/+NeerajKumarKNKayastha/posts/hzgt3oUXmu1" target="_blank">K Neeraj Kayastha</a></p></div>
<p>There&#8217;s little explanation from Google on how this label is being tested and what the plans for full rollout might be. Based on the small amount of current information, all we know is that it appears to be visible to some, but not all, mobile Android users. It may also only currently be applied to Google properties.</p>
<p>Given the fact that mobile performance is a huge priority for Google, this label isn&#8217;t a trivial feature. If you care about performance, user experience, and SEO, then you should care about this potential game-changer.</p>
<h1>Who defines &#8220;slow&#8221;?</h1>
<p>If you&#8217;re like me, the first question you asked when you heard about this label is <em>&#8220;How does Google define &#8216;slow&#8217;?&#8221;</em> To me, that&#8217;s the most critical missing piece of information. Is a &#8220;slow&#8221; page any page that takes more than 4 seconds to load? Or is it ranked according to its speed relative to competing sites? No one knows but Google.</p>
<h1>Everyone hates slow pages.</h1>
<p>&#8220;Slow&#8221; is a powerfully repellant word. <a title="Web Performance Today: For Impatient Web Users, an Eye Blink Is Just Too Long to Wait" href="http://www.webperformancetoday.com/2012/03/01/nyt-redux-for-impatient-web-users-an-eye-blink-is-just-too-long-to-wait/" target="_blank">People hate to wait.</a> We&#8217;ll visit a site less often if it&#8217;s slower than a competitor by just 250 milliseconds. <a title="Web Performance Today: Our need for web speed: It’s about neuroscience, not entitlement" href="http://www.webperformancetoday.com/2012/03/21/neuroscience-page-speed-web-performance/" target="_blank">This behaviour is hardwired</a>, and it&#8217;s unlikely to change. And as one <a title="Web Performance Today: “Phone rage”: How people react to slow mobile sites" href="http://www.webperformancetoday.com/2011/10/21/phone-rage-how-people-react-to-slow-mobile-sites/" target="_blank">survey from Tealeaf/Harris Interactive</a> shows, when pages are slow, especially on mobile, we don&#8217;t react well.</p>
<p><img class="aligncenter size-full wp-image-6370" src="http://3vavpsbeqbk19ao0rfgkqm17sj.wpengine.netdna-cdn.com/wp-content/uploads/2015/02/phone-rage.png" alt="phone-rage" width="709" height="543" /></p>
<h1>Convincing site owners to care about performance is an uphill struggle.</h1>
<p><em>&#8220;But my site isn&#8217;t slow.&#8221;</em></p>
<p>This is one of the most frequent things I hear when I talk to site owners. And from their perspective, they&#8217;re right. That&#8217;s because most people&#8217;s experience of using their own site happens close to the source, inside a speedy corporate LAN. It&#8217;s also because they may be misinterpreting the performance data they&#8217;re receiving from their measurement vendors. (This is incredibly common.) For many site owners who do see the light about their site&#8217;s real-world performance, this painful &#8212; and often embarrassing &#8212; revelation happens when they&#8217;re on the road and try to demo something outside of their site&#8217;s speedy comfort zone.</p>
<h1>Convincing site owners to care about <em>mobile</em> performance is an even steeper uphill struggle.</h1>
<p>Everything I said above, times ten. When it comes to visibility about mobile performance, there are a lot of heads stuck in the sand. My sense is that this is because measurement has, historically, been tricky for mobile. I think it&#8217;s also because tackling mobile performance is a huge scary beast that a lot of people are, understandably, afraid to look at head on.</p>
<h1>Making speed a priority for SEO reasons has been only somewhat successful in the past.</h1>
<p><a title="Web Performance Today: Google, Site Speed and SEO:  We don’t know much, but we do know something" href="http://www.webperformancetoday.com/2010/06/09/google-site-speed-and-seo-we-dont-know-much-but-we-do-know-something/" target="_blank">This isn&#8217;t the first time Google has waded into the topic of making speed an SEO issue.</a> But while this has attracted a fair bit of tech media attention and discussion in the past, I&#8217;ve never met a site owner who suddenly decided to prioritize performance because of it. This could be due to the fact that the details have always been murky, with most people agreeing that speed is probably just one relatively minor part of Google&#8217;s search ranking algorithm.</p>
<h1>The &#8220;slow&#8221; tag, however, is too in-your-face to dismiss.</h1>
<p>It signals that Google is taking performance &#8212; and particularly mobile performance &#8212; very seriously. Site owners would be wise to do the same now, before this tag is fully rolled out.</p>
<p>Next steps: You can&#8217;t fix what you can&#8217;t measure. First, get real visibility into how actual users see your pages. Identify your performance problem areas. Then fix them.</p>
