title: Petit Guide D Aikido Partie 1
url: http://ut7.fr/blog/2019/05/24/petit-guide-d-aikido-partie-1.html
hash_url: eac6e189be8892da272feafddf801ecd

<p>Dans l’<a href="/blog/2019/01/15/ce-qui-se-passe-en-moi-quand-une-femme-me-parle-de-sexisme.html">article précédent</a>,
je raconte comment j’ai réalisé que mes réflexes de défense m’empêchent
d’écouter, et par conséquent de comprendre, quand une femme me parle de
sexisme.</p>

<p>Ces défenses, j’ai tenté de les déjouer par diverses astuces, et permettre
ainsi une écoute de qualité. Certaines de ces astuces ont bien fonctionné.
Qu’il s’agisse d’habiles contournements, ou bien de détournements abusifs, je
compile ces gestes dans le présent article, sous forme d’un guide d’auto aïkido
mental, adressé à ma propre personne.</p>

<!--more-->

<p>Si je pouvais remettre ce guide à la personne que j’étais il y a quelques
années, voilà ce que je lui dirais :</p>

<blockquote>
  <p>« Que ce guide soit à ton écoute ce que les petites roues ont été à ton
apprentissage du vélo : un dispositif d’entrainement qui t’aidera à
progresser.  Si tu le trouves encombrant, souviens-toi que sa vocation, c’est
de t’apprendre à t’en passer.</p>
</blockquote>

<blockquote>
  <p>En t’entrainant suffisamment, tu développeras ton attention et ta sensibilité
à des signaux auparavant imperceptibles.
Alors viendra une écoute plus simple, débarrassée de tout dialogue interne assourdissant,
et peut-être même aussi une empathie authentique.
Tu pourras alors te débarasser de ces petites roues, et te reposer sur ta
perception et ta pensée critique sans craindre qu’elles ne te jouent encore des
tours. »</p>
</blockquote>

<p>À toute personne lisant ce guide : Puisse sa lecture t’être utile, qui que tu
sois. À toutes fins utiles, sache qu’il a été écrit par et pour un homme,
blanc, hétéro, cis, parisien, ingénieur en informatique, de 43 ans.</p>

<h1 id="partie-1--se-préparer-à-lenquête">Partie 1 : Se préparer à l’enquête</h1>

<p>Voici quelques recommandations pour te mettre en condition d’écouter.</p>

<h2 id="susciter-la-curiosité">Susciter la curiosité</h2>

<p>As-tu déjà observé une situation où une personne ne voit pas un truc énorme
qu’elle a pourtant sous le nez ? Amusant, non ?</p>

<p>Et si c’était pareil pour toi ?  Il y a peut-être un truc énorme, tout autour
de toi, que tu es incapable de voir.</p>

<p>Ce n’est pas un bête manque d’attention de ta part. S’il existe, ce qui
t’empêche de le voir est probablement à la fois puissant et subtile.  Comme un
énorme dragon dans ta chambre, qui se dématérialiserait dès que tu tournes ton
regard vers lui, et qui réapparait dans ton dos.</p>

<p>Mais ce dragon doit bien laisser des traces.  Alors prends ta loupe et ton
déguisement de Sherlock Holmes, et mobilise tes meilleurs éléments (toutes les
parties de toi même) sur l’enquête.</p>

<p>Et prépare-toi à être surpris !</p>

<h2 id="postuler-son-ignorance">Postuler son ignorance</h2>

<p>Si tu lis ce guide, c’est que tu es conscient que tu as des choses à apprendre.
Sur le sexisme, ou des réalités connexes à la question du sexisme.</p>

<p>Rappelle-toi que même si tu t’intéresses au sujet depuis quelque temps, ce que
tu sais déjà doit être bien peu de chose, en comparaison à ce que savent
les personnes qui ont dû faire face à ces questions depuis le début de leur vie.</p>

<p>Tu es un padawan, entourés d’expertes.</p>

<h2 id="reconnaître-les-obstacles-intérieurs">Reconnaître les obstacles intérieurs</h2>

<p>Souviens-toi, ce qui t’empêche de voir est probablement à l’intérieur.
Pour t’en convraincre, relis l’article précédent.</p>

<p>Si ça ne te suffit pas, tu peux aussi étudier ce que sont les mécanismes de
défense, et les biais psychologiques, dans la perspective d’une recherche sur
toi-même.  En particulier, intéresse-toi à ce qu’est le biais de confirmation.</p>

<p>Fort de ces connaissances, tu seras tenté d’expliquer les comportements des
autres.  Ne le fais pas, car suivre cette piste t’éloignerait de ta cible.  Ces
connaissances ne te seront utiles dans ta quête que si elles t’aident à
comprendre comment <em>tu</em> penses, toi et personne d’autre.</p>

<p>Essaie de te détacher de ton souhait d’avoir un regard objectif. C’est avant
tout la part subjective de ta perception qui doit faire l’objet de ton attention.</p>

<p>N’oublie pas : ton terrain d’enquête, c’est autant l’intérieur que l’extérieur.</p>

<h2 id="entretenir-le-doute">Entretenir le doute</h2>

<p>Voici ton mantra : « Si ce que tu comprends t’arrange bien, méfie-toi ».</p>

<p>Accueille le doute comme un allié, une ressource, qui va t’aider à entretenir
ta motivation à enquêter.  Ne saute pas sur les conclusions.</p>

<p>Si tu te sens inconfortable, et si tu ne sais plus quoi penser, accueille cet
événement comme une bonne nouvelle.  Tu peux te contenter de dire « je ne sais plus
quoi penser », et apprendre à vivre avec cet état d’incertitude.</p>

<p>Et ne cesse jamais d’entretenir ce doute, car les perspectives qui t’éclairent
aujourd’hui créent de nouvelles certitudes, qui t’aveugleront peut-être demain.</p>

<h2 id="transcender-son-envie-de-cookie">Transcender son envie de cookie</h2>

<p>Tu le sais : une partie de toi se perçoit comme un mec bien, mais elle en doute
quand même un peu.  Cette partie de toi a très envie d’entendre d’autres
personnes te rassurer, te confirmant que tu es un mec bien.</p>

<p>D’ailleurs, c’est ce même besoin de reconnaissance qui fait que c’est difficile
pour toi d’accepter d’être mis dans le même sac que tous les autres hommes.</p>

<p>Cette envie, ce serait dommage de la jeter à la poubelle, puisque c’est elle
qui te donne l’élan nécessaire pour aller écouter ce que tu ne connais pas, et
suivre ce guide, aussi. Donc, laisse-toi porter par cette envie, mais jusqu’à
un certain point seulement… suffisament pour sortir de ta zone de confort.</p>

<p>Mais pas trop quand même : n’attends surtout pas qu’on t’envoie les
messages rassurants que tu viens chercher.</p>

<p>Pour ce faire, imagine les mots que tu dirais, et l’attitude que tu prendrais,
si tu voulais demander des paroles rassurantes. C’est bon ? Tu arrives à
imaginer ? Et bien, ne le fais pas. Et si c’est frustrant, patience :
tu apprendras quoi faire de cette frustation dans la suite du ce guide.</p>

<h1 id="bientôt-la-suite">Bientôt la suite</h1>

<p>C’est tout pour cette première partie. Ce guide en contient 3 autres, qui seront publiées
dans les semaines qui viennent. Titre du
<a href="/blog/2019/05/30/petit-guide-d-aikido-partie-2.html">chapitre suivant : « Ouvrir les écoutilles</a> ».</p>

<p>En attendant, pratiquez !
Vos réactions, et en particulier vos retours d’expérience sont les
<a href="mailto:raphaelp@ut7.fr">bienvenus</a>.</p>

<p><em>Pub : Envie de travailler avec moi sur ces questions ? Rejoignez-moi à
l’<a href="https://agileopenfrance.com/saison/ete2019/">Agile Open France Été</a>,</em></p>
