title: Finding the Exhaust Ports
url: https://jon.gold/2018/02/exhaust-ports/
hash_url: f6e6da7aba096625384be0454e599e48

<p>The internet I love is hidden behind layers of the internet that I detest. Often I doubt if the internet I love still exists at all — I think &amp; hope it does, but it’s becoming rarer to see it.</p>
<p>The internet used to be cute and home-brewed. I wrote my first websites in elementary school in Notepad, and gave them to my friends on floppy disks because we didn’t have the internet at home and my limited time in internet cafes wasn’t quite long enough to learn how to use FTP. The internet was weird and great. And then the internet became wildly dynamic, and we created online communities where we posted blink-182 lyrics and self-portraits of ourselves taken from cameras held high above our heads.</p>
<p>In time, it became easier for small groups of humans (or even individual humans) to create applications on the internet; to string together a few lines of Ruby and manifest a nice, friendly little slice of the internet in which to welcome our friends for whatever niche social dynamic we wanted to foster.</p>
<p>This went a little bit pear-shaped when the people who read Ayn Rand with a straight face realized that these things should probably make unreasonable amounts of money and that rather than charging people to use services they loved, it would be much better to figure out ways to get them <em>hooked</em> on services and then sell their attention to advertisers. Why pay with the United States dollar when you could pay with your life?</p>
<p>I’d love to say <em>they</em>, but the pronouns blend together; <em>they</em> and <em>we</em> are often inseparable as we pick apart the mistakes the tech industry made over the past decade. We studied casinos—<em>casinos!</em>—for their tricks and started dusting design reviews with words like <em>variable rewards</em> and <em>triggers</em>. We wrote books and gave conference talks about how best to create products that people came back to against their best intentions. As each hot new app radiated out from its San Francisco co-working space, we rushed to congratulate those who created it for their ingenuity in capturing our attention.</p>
<p>We glorified the theft of the ability to be present from anyone who happened to have an internet connection.</p>
<p>Many things ruined the internet: sometimes malice, sometimes stupidity; often good intentions that became problematic when compounded. Lots of the familiar user interface patterns we use today were great in isolation, ten years ago. When the creator of the <em>pull to refresh</em> pattern <a href="https://www.theguardian.com/technology/2017/oct/05/smartphone-addiction-silicon-valley-dystopia">says</a> that it was a “cute and clever” fix that he now regrets, I believe him with my whole heart.</p>
<p>We didn’t notice these behaviors compounding until it was too late because we were all drunk on the punch spiked by the hype and hubris of the tech industry. The conferences and the pitches and the hyperbolic articles announcing new features or irresponsible financing rounds each kept our heads conveniently in the sand. Late-capitalism offers a very limited definition of <em>success</em>, and we were content playing the game rather than challenging if we should change the system. We disrupted everything but the economic model that ruined the internet.</p>
<p>Those services which didn’t embrace the attention economy often found themselves writing blog posts containing words like <em>sunset</em> and <em>incredible journey</em>.</p>
<p>In these dialectics it can be tempting to paint every employee of an Attention Economy company as some super-villain intent on destroying our brains. In my (biased &amp; limited) dataset of knowing a lot of people, I don’t think that’s the case — I’ve met precious few genuine assholes over a decade working with startups in London and Silicon Valley. The system was rigged to favor certain patterns, and we were each played by the system. Whatever the intentions of the past, from this point forward we must work to reverse the damage that has been wrought.</p>
<p>Doctors smoked <em>Camels</em>. Doctors presumably didn’t want to give anyone cancer.</p>
<p>In 2018 the <em>internet</em> is conflated—by us as technologists, but especially by the rest of the world—as a few very behemoth properties who happen to be waging war over each second of our lives. Corporations who don’t have our best interests at heart and corporations for whom <em>time well spent</em> is equal to time anxiously refreshing one of their newsfeeds, rather than smiling at people on the streets or writing poetry or falling in love. Corporations who view their notifications—<em>Zuck just started live streaming!</em>—as a gift rather than a plague.</p>
<p>These corporations don’t see our humanity. Instead, we’re <em>users</em>—faceless data-points on an overzealous Product Manager’s dashboard of metrics to be optimized: <em>cohort</em> is a wonderful way to dehumanize thousands of people at once.</p>
<p>To course-correct the ills of consumerism and materialism and capitalism, we must, as a species, move from <em>scarcity</em> into <em>abundance</em>. Scarcity is the what causes us to harass, to fear our neighbors, to hate, and to wage war. Instead we must freely love and share resources and greet everyone we meet with kindness. There is, unfortunately, one exception: time.</p>
<p>Time is the only thing that is scarce, and those greedy corporations know it, because they’re each striving to own every second of our lives. And somehow, we don’t see the compromise we’ve been tricked into making. Each of us has twenty four hours in a day, and only a finite number of days in our lives. And we check our phone tens or hundreds of times per day. Every thought, hope, dream, punctuated by pings. Every moment genuinely <em>well spent</em> is interrupted by our nagging anxiety to see what’s happening somewhere else.</p>
<p>This would be frustrating if banal if such corporations were benevolently preying on our time and repaying us with joy and harmony. Of course they’re not — time spent on Facebook and Twitter induces anxiety and depression. They bring out the worst traits in each of us — making us bitchy and argumentative. Every photo we view on Instagram mines our insecurities that we’re not living life as fully as our neighbors; each photo we post is a fresh coat of white paint on the picket fences surrounding the houses of our lives. Of course, our lawns are artificial and our houses crumbling on the inside, but the appearance is what matters. The Joneses know this because they play the same game.</p>
<p>The bluesman Robert Johnson was said to have sold his soul to the devil in exchange for his guitar playing prowess: at least he got a good deal out of it. We sold years of our lives to billionaire tech entrepreneurs, and in return we got depression.</p>
<p>Tomorrow, it will be worse. Those same corporations who have tricked us into thinking we enjoy the manufactured anxiety and attention deficit and depression that they feed us have ambitions on virtual reality. This is not a coincidence — Mark Zuckerberg is not an altruistic technologist who thinks VR is a cool toy! Addictive sadness, direct to our eyeballs. That’s what they’re optimizing for. Why go outside and smell the eucalyptus trees when you could lay in bed all day, fully encased in a nightmarish false reality of pings and zips and buzzes in three dimensions? Presumably, it will be the worst consciousness we have yet experienced.</p>
<hr/>
<p>There’s an opportunity cost associated with the smartest people working on these technologies and the financial bubble that has risen in concert with them. The world is full of pressing issues that we desperately need to allocate resources to, and each thing that someone builds or funds that harms us is a waste of energy that could be used to fix non-trivial issues. To take a random, non-weighted sample of examples I’ve been thinking about this week: there are 7000 people sleeping on the streets of San Francisco, and 45 million Americans living below the poverty line. <a href="http://jon.gold/2018/01/waste-society/">5 trillion pieces of plastic</a> are floating in the Pacific, and by 2050 perhaps 200 million or 1 billion people will be displaced by climate change. At the time of writing, Flint, Michigan hasn’t had clean drinking water for 1391 days.</p>
<p>Silicon Valley is obsessed with building nonsense: quick dopamine fixes and Uber-for-X’s and new ways to experience insecurity. Not exclusively—there are some wonderful, world-changing companies (still) here—but Twitter and Facebook are undoubtedly still held in high regard as some of the ones who “got it right”. Impressionable Product Managers at early-stage startups have a shared playbook entry — <em>Just copy what Facebook &amp; Twitter did</em>. Tack on a newsfeed. Add some badges. Gamify it. Make it sticky. And whatever Silicon Valley does, so too do startups in every regional Silicon <em>Suffix</em> across the world. It’s imperative that we remove these companies from the pedestal we’ve placed them on. They’re not to be aspired to.</p>
<p>Every second of Facebook &amp; Twitter being a <em>thing</em> validates the attention economy to founders and venture capitalists. Common feedback to my criticism of Twitter &amp; Facebook is that they are just businesses responding to what the market is currently rewarding. I agree, and the market is rotten. We need to dismantle the whole thing: tricking users into thinking they <em>need</em> whatever nonsense you’re pushing; tracking time-spent as an organizational <em>goal</em> rather than embarrassment; the presumable moneymaker of selling personal data or showing adverts; funding it all with obscene amounts of money that could be used to really save the world.</p>
<p>“But Jon, it’s not just social media, it’s TV and advertising and everything else too” — I agree. Advertising is equally repulsive. We’re destroying the planet, and advertising is an accelerant, and the list of exceptions to this are vanishingly small.</p>
<p>The attention economy presents clear dangers on the consumption side too — if the attention-anxiety-depression machine precludes us from being able to calmly organize &amp; respond, we’re positioning ourselves to lose these larger humanitarian battles over the coming decades: the climate change and the automation and everything else.</p>
<p>Rethinking the way we use screens might feel trivial, but it’s a necessary preparation for the coming century.</p>
<hr/>
<p><em>Charles liked your snarky tweet about someone else’s work. Send Ada a selfie to keep your streak—and by streak we mean friendship—alive.</em></p>
<p>Lamenting about the tech industry’s ills when self-identifying as a technologist is a precarious construction. I care so deeply about using the personal computer for liberation &amp; augmentation. I’m so, so burned out by 95% of the work happening in the tech industry. Silicon Valley mythologizes newness, without stopping to ask <em>“why?”</em>. I’m still in love with technology, but increasingly with nuance into that which is for us, and that which productizes us.</p>
<p>Perhaps when Bush prophesied lightning-quick knowledge retrieval, he didn’t intend for that knowledge to be footnoted with <em>Outbrain</em> adverts. Licklider’s man-computer symbiosis would have been frustrated had it been crop-dusted with notifications. Ted Nelson imagined many wonderfully weird futures for the personal computer, but I don’t think gamifying meditation apps was one of them.</p>
<p>John Perry Barlow embodied the technologists that each of us should strive to be, and I’m heartbroken that he’s not with us anymore. So eloquently put by the Electronic Frontier Foundation:</p>
<blockquote>
<p>Barlow knew that new technology could create and empower evil as much as it could create and empower good. He made a conscious decision to focus on the latter: “I knew it’s also true that a good way to invent the future is to predict it. So I predicted Utopia, hoping to give Liberty a running start before the laws of Moore and Metcalfe delivered up what Ed Snowden now correctly calls ‘turn-key totalitarianism.‘”</p>
</blockquote>
<p>Barlow viewed his life’s work as being a <em>good ancestor</em> — one who consistently did the right things, and whose contributions we can look back on with fondness.</p>
<p>Fixing the tech industry doesn’t necessitate a rejection of all that technology could be, just most of what it is right now. We can be optimists for the possibilities whilst cynics of the present. Artificial Intelligence and Virtual Reality will either liberate us or enslave us, and we must fight for the future that we want. Each genie is already out of the bottle — if we don’t do the work then evil has a guaranteed victory. If we do the work, we have a chance of making a better future.</p>
<hr/>
<blockquote>
<p>“Technology is destructive only in the hands of people who do not realize that they are one and the same process as the universe” — Alan Watts</p>
</blockquote>
<p>This sounds gloomy—and it is—but we made this mess so we can fix it. It’s time for an industrial rejection of casino techniques and newsfeeds and variable rewards and notifications and manufactured depression.</p>
<p>The Death Star had a thermal exhaust port, leading straight to the reactor system. We better start hunting for the plans to our own Death Stars, to be those good ancestors.</p>
