title: Slow Design for an Anxious World by Jeffrey Zeldman
url: https://adactio.com/journal/14882
hash_url: fc8dd80abcb569305e733349eaf1efeb

<p>I’m at <a href="https://aneventapart.com/event/seattle-2019">An Event Apart in Seattle</a>, ready for three days of excellence. Setting the scene with the first talk of the event is the one and only <a href="https://www.zeldman.com/">Jeffrey Zeldman</a>. His talk is called <cite>Slow Design for an Anxious World</cite>:</p>

<blockquote>
  <p>Most web pages are too fast or too slow. Last year, Zeldman showed us how to create design that works faster for customers in a hurry to get things done. This year he’ll show how to create designs that deliberately slow your visitors down, helping them understand more and make better decisions. </p>

  <p>Learn to make layouts that coax the visitor to sit back, relax, and actually absorb the content your team works so hard to create. Improve UX significantly without spending a lot or chasing the tail lights of the latest whiz-bang tech. Whether you build interactive experiences or craft editorial pages, you’ll learn how to ease your customers into the experience and build the kind of engagement you thought the web had lost forever.</p>
</blockquote>

<p>I’m going to attempt to jot down the gist of it as it happens…</p>

<p>Jeffrey begins by saying that he’s going to slooooowly ease us into the day. Slow isn’t something that our industry prizes. Things change fast on the internet. “You’re using <em>last year’s</em> framework!?” Ours is a newly-emerging set of practices.</p>

<p>Slow is negative in our culture too. We don’t like slow movies, or slow books. But somethings are better slow. Wine that takes time to make is better than wine that you produce in a prison toilet in five days. Slow-brewed coffee is well-brewed coffee. Slow dancing is nice. A slow courtship is nice. And reading slowly is something enjoyable. Sometimes you need to scan information quickly, but when we really immerse ourselves in a favourite book, we really comprehend better. Hold that thought. We’re going to come to books.</p>

<p>Fast is generally what we’re designing for. It’s the best kind of design for customer service designs—for people who want to accomplish something and then get on with their lives. Fast is good for customer service designs. Last year Jeffrey gave a talk last year called <cite>Beyond Engagement</cite> where he said that service-oriented content must be designed for speed of relevancy. Speed of loading is important, and so is speed of relevancy—how quickly can you give people the <em>right</em> content.</p>

<p>But slow is best for comprehension. Like Mr. Rogers. When things are a little bit slower, it’s kind of easier to understand. When you’re designing for readers, s l o w i t d o w n.</p>

<p>How do we slow down readers? That’s what this talk is about (he told us it would be slow—he only just got to what the point of this talk is).</p>

<p>Let’s start with a form factor. The book. A book is a hack where the author’s brain is transmitting a signal to the reader’s brain, and the designer of the book is making that possible. Readability is more than legibility. Readability transcends legibility, enticing people to slow down and read.</p>

<p>This is about absorption, not conversion. We have the luxury of doing something different here. It’s a challenge.</p>

<p>Remember <a href="https://www.readability.com/">Readability</a>? It was designed by Arc90. They mostly made software applications for arcane enterprise systems, and that stuff tends not to be public. It’s hard for an agency to get new clients when it can’t show what it does. So they decided to make some stuff that’s just for the public. Arc90 Labs was spun up to make free software for everyone.</p>

<p>Readability was like Instapaper. Instapaper was made by Marco Arment so that he could articles when he was commuting on the subway. Readability aimed to do that, but to also make the content like beautiful. It’s kind of like how reader mode in Safari strips away superfluous content and formats what’s left into something more readable. Safari’s reader mode was not invented by Apple. It was based on the code from Readability. The mercury reader plug-in for Chrome also uses Readability’s code. Jeffrey went around pointing out to companies that the very existence of things like Readability was a warning—we’re making experiences so bad that people are using software to work around them. What we can do so that people don’t have to use these tools?</p>

<p>Craig Mod wrote an article for A List Apart called <a href="https://alistapart.com/article/a-simpler-page"><cite>A Simpler Page</cite></a> back in 2011. With tablets and phones, there isn’t one canonical presentation of content online any more. Our content is sort of amorphous. Craig talked about books and newspapers on tablets. He talked about bed, knee, and breakfast distances from the body to the content.</p>

<ol>
<li>Bed (close to face): reading a novel on your stomach, lying in bed with the iPad propped up on a pillow.</li>
<li>Knee (medium distance from face): sitting on the couch, iPad on your knee, catching up on Instapaper.</li>
<li>Breakfast (far from face): propped up at a comfortable angle, behind your breakfast coffee and bagel, allowing hands-free news reading.</li>
</ol>

<p>There’s some correlation between distance and relaxation. That knee position is crucial. That’s when the reader contemplates with pleasure and concentration. They’re giving themselves the luxury of contemplation. It’s a very different feeling to getting up and going over to a computer.</p>

<p>So Jeffrey redesigned his own site with big, big type, and just one central column of text. He stripped away the kind of stuff that Readability and Instapaper would strip away. He gave people a reader layout. You would <em>have to</em> sit back to read the content. He knew he succeeded because people started complaining: “Your type is huge!” “I have to lean back just to read it!” Then he redesigned A List Apart with Mike Pick. This was subtler.</p>

<p>Medium came along with the same focus: big type in a single column. Then the New York Times did it, when they changed their business model to a subscription paywall. They could remove quite a bit of the superfluous content. Then the Washington Post did it, more on their tablet design than their website. The New Yorker—a very old-school magazine—also went down this route, and they’re slow to change. Big type. White space. Bold art direction. Pro Publica is a wonderful non-profit newspaper that also went this route. They stepped it up by adding one more element: art direction on big pieces.</p>

<p>How do these sites achieve their effect of slowing you down and calming you?</p>

<p><strong>Big type</strong>. We spend a lot of our time hunched forward. Big type forces you to sit back. It’s like that first moment in a yoga workshop where you’ve got to just relax before doing anything. With big type, you can sit back, take a breathe, and relax.</p>

<p><strong>Hierarchy</strong>. This is classic graphic design. Clear relationships.</p>

<p><strong>Minimalism</strong>. Not like Talking Heads minimalism, but the kind of minimalism where you remove every extraneous detail. Like what Mies van der Rohe did for architecture, where just the proportions—the minimalism—is the beauty. Or like what Hemingway did with writing—scratch out everything but the nouns and verbs. Kill your darlings.</p>

<p><strong>Art direction</strong>. When you have a fancy story, give it some fancy art direction. Pro Publica understand that people won’t get confused about what site they’re on—they’ll understand that this particular story is special.</p>

<p><strong>Whitespace</strong>. Mark Boulton wrote <a href="https://alistapart.com/article/whitespace">an article about whitespace</a> in A List Apart. He talked about two kinds of whitespace: macro and micro. Macro is what we usually think about when we talk about whitespace. Whitespace conveys feelings of extreme luxury, and luxury brands know this. Whitespace makes us feels special. Macro whitespace can be snotty. But there’s also micro whitespace. That’s the space between lines of type, and the space inside letterforms. There’s more openness and air, even if the macro whitespace hasn’t changed.</p>

<p>Jeffrey has put a bunch of these things together into <a href="https://studiozeldman.github.io/poynter-style-guide-2017/">an example</a>.</p>

<p>To recap, there are five points:</p>

<ol>
<li>Big type</li>
<li>Hierarchy</li>
<li>Minimalism</li>
<li>Art direction</li>
<li>Whitespace</li>
</ol>

<p>There are two more things that Jeffrey wants to mention before his done. If you want people to pay attention to your design, it must be branded and it must be authoritative.</p>

<p><strong>Branded</strong>. When all sites look the same, all content appears equal. Jeffrey calls this the Facebook effect. Whether it’s a noble-prize-winning author, or your uncle ranting, everthing gets the same treatment on Facebook. If you’re taking the time to post content to the web, take the time to let people know who’s talking.</p>

<p><strong>Authoritative</strong>. When something looks authoritative, it cues the reader to your authenticity and integrity. Notice how every Oscar-worthy movie uses Trajan on its poster. That’s a typeface based on a Roman column. Strong, indelible letter forms carved in stone. We have absorbed those letterforms into our collective unconcious. Hollywood tap into this by using Trajan for movie titles.</p>

<p>Jeffrey wrote an article called <a href="http://www.zeldman.com/2016/12/19/save-real-news/"><cite>To Save Real News</cite></a> about some of these ideas.</p>

<p>And with that, Jeffrey thanks us and finishes up.</p>
