title: #CivicTech Primer: What is “civic tech”?
url: https://medium.com/@grodeska/civictech-primer-what-is-civic-tech-7ea788e766d3
hash_url: 070ea3ee2d8e0320a83576036b8274db

<p name="7020" id="7020" class="graf--p graf-after--figure">Here in the Second Great Internet Bubble, we’ve come to accept Marc Andreessen’s maxim that “<em class="markup--em markup--p-em">software is eating the world</em>.” The evidence is outstanding for sectors like retail, social, finance and entertainment. And as you read this, software is quickly devouring many more sectors and systems, from transportation to health to energy. But our civic sphere — <a href="https://en.wikipedia.org/wiki/Public_sphere#Definitions_of_the_public_sphere" data-href="https://en.wikipedia.org/wiki/Public_sphere#Definitions_of_the_public_sphere" class="markup--anchor markup--p-anchor" rel="nofollow">the relationships in the public world that gather us together</a> into communities, cities, states and nations — stubbornly resists the advances of software.</p><p name="d097" id="d097" class="graf--p graf-after--p">Enter civic tech, a movement that aims to revitalize and transform some of our most fundamental societal institutions. A movement which also happens to account for <a href="http://www.techrepublic.com/article/civic-tech-in-2015-6-9-billion-to-connect-citizens-to-services-and-to-one-another/" data-href="http://www.techrepublic.com/article/civic-tech-in-2015-6-9-billion-to-connect-citizens-to-services-and-to-one-another/" class="markup--anchor markup--p-anchor" rel="nofollow">$6.4 billion to be spent in 2015 to connect citizens to services, and to one another</a>.</p><h4 name="6f8d" id="6f8d" class="graf--h4 graf-after--p">So What is “Civic Tech”?</h4><p name="2767" id="2767" class="graf--p graf-after--h4">For all the recent attention, civic tech remains an amorphous term. <a href="http://techcrunch.com/2015/04/29/civic-tech-is-ready-for-investment/" data-href="http://techcrunch.com/2015/04/29/civic-tech-is-ready-for-investment/" class="markup--anchor markup--p-anchor" rel="nofollow">TechCrunch recently offered a narrow interpretation of civic tech</a> as that used to “<em class="markup--em markup--p-em">empower citizens or help make government more accessible, efficient and effective</em>.” However, <a href="http://www.slideshare.net/knightfoundation/knight-civictech" data-href="http://www.slideshare.net/knightfoundation/knight-civictech" class="markup--anchor markup--p-anchor" rel="nofollow">the Knight Foundation painted a broader picture in their 2013 report on the rise of civic tech</a>, going beyond government to include “<em class="markup--em markup--p-em">residents engaging in their communities, including sharing their time, information and resources</em>.” Yet some draw a wider circle still. Beat reporter <a href="http://www.techrepublic.com/article/civic-tech-in-2015-6-9-billion-to-connect-citizens-to-services-and-to-one-another/" data-href="http://www.techrepublic.com/article/civic-tech-in-2015-6-9-billion-to-connect-citizens-to-services-and-to-one-another/" class="markup--anchor markup--p-anchor" rel="nofollow">Alex Howard thinks of civic tech</a> “as any tool or process that people as individuals or groups may use to affect the public arena.” And <a href="https://twitter.com/jedmiller/status/606450379253882881" data-href="https://twitter.com/jedmiller/status/606450379253882881" class="markup--anchor markup--p-anchor" rel="nofollow">Micah Sifry of Personal Democracy Media adds that civic technology “cannot be neutral,”</a> and only technology that is “<em class="markup--em markup--p-em">used for public good and betters the lives of the many, not just the few</em>” can be considered civic.</p><p name="cf58" id="cf58" class="graf--p graf-after--p">A brief history lesson may offer some clarity. Civic tech has its roots in government technology, a movement jump started by <a href="http://www.forbes.com/2009/08/10/government-internet-software-technology-breakthroughs-oreilly.html" data-href="http://www.forbes.com/2009/08/10/government-internet-software-technology-breakthroughs-oreilly.html" class="markup--anchor markup--p-anchor" rel="nofollow">Tim O’Reilly’s formative Government 2.0 call to action in 2009</a>. Decrying the “<em class="markup--em markup--p-em">vending machine</em>” model for government in which citizens put in our taxes and get services in return, he argued that we instead need an interoperable, extensible platform for government upon which anyone can build services that increase transparency, efficiency and participation.</p><p name="c512" id="c512" class="graf--p graf-after--p">Since that clarion call, a host of organizations like <a href="http://codeforamerica.org/" data-href="http://codeforamerica.org/" class="markup--anchor markup--p-anchor" rel="nofollow">Code for America</a>, a “<em class="markup--em markup--p-em">Peace Corps for Geeks</em>,” have carried the conversation forward, out of government and into the tech sector. Viable business models have developed, like that of <a href="http://change.org/" data-href="http://change.org/" class="markup--anchor markup--p-anchor" rel="nofollow">Change.org</a> and <a href="http://www2.seamlessdocs.com/" data-href="http://www2.seamlessdocs.com/" class="markup--anchor markup--p-anchor" rel="nofollow">SeamlessDocs</a>, and funders like <a href="https://www.omidyar.com/" data-href="https://www.omidyar.com/" class="markup--anchor markup--p-anchor" rel="nofollow">Omidyar Network</a>, <a href="http://www.tumml.org/" data-href="http://www.tumml.org/" class="markup--anchor markup--p-anchor" rel="nofollow">Tumml</a>, and <a href="http://govtechfund.com/" data-href="http://govtechfund.com/" class="markup--anchor markup--p-anchor" rel="nofollow">GovTech Fund</a> are starting to add civic tech to their portfolios. Tech inroads to government are being paved with the adoption of Chief Innovation Officers and open data portals at the local level and ground-breaking outfits like <a href="https://18f.gsa.gov/" data-href="https://18f.gsa.gov/" class="markup--anchor markup--p-anchor" rel="nofollow">18F</a> and the <a href="https://www.whitehouse.gov/digital/united-states-digital-service" data-href="https://www.whitehouse.gov/digital/united-states-digital-service" class="markup--anchor markup--p-anchor" rel="nofollow">U.S. Digital Service</a> at the Federal. This maturation and expansion has led <a href="http://www.knightfoundation.org/blogs/knightblog/2013/12/9/knight-foundations-civic-tech-report-why-it-matters/" data-href="http://www.knightfoundation.org/blogs/knightblog/2013/12/9/knight-foundations-civic-tech-report-why-it-matters/" class="markup--anchor markup--p-anchor" rel="nofollow">Tom Steinberg, founder of longstanding civic technology lab mySociety,</a> to observe that, as a brand name, <a href="http://www.google.com/trends/explore#q=civic%20tech%2C%20edemocracy%2C%20egovernment%2C%20digital%20government%2C%20gov%202.0&amp;geo=US&amp;cmpt=q&amp;tz=Etc%2FGMT%2B7" data-href="http://www.google.com/trends/explore#q=civic%20tech%2C%20edemocracy%2C%20egovernment%2C%20digital%20government%2C%20gov%202.0&amp;geo=US&amp;cmpt=q&amp;tz=Etc%2FGMT%2B7" class="markup--anchor markup--p-anchor" rel="nofollow"><em class="markup--em markup--p-em">“civic tech” has won out</em></a><em class="markup--em markup--p-em"> over past alternatives like “eGovernment” and “Gov 2.0</em>.”</p><h4 name="ddf9" id="ddf9" class="graf--h4 graf-after--p">Civic Tech is a Big Tent for Democracy</h4><p name="34f9" id="34f9" class="graf--p graf-after--h4">Which leads us to the present. I view civic tech as a new “big tent” movement for democracy that encapsulates many smaller segments, such as gov tech, online campaigning, digital advocacy, and voting tech. I am also a firm believer that “civic” is the operative word, meaning “us” and “we.” That is, people and communities, along with our hopes, dreams and needs, and the decisions that we make together to realize them. <em class="markup--em markup--p-em">With software continually devouring so much of our lives, I see civic tech as an opportunity to embed “we” at the center of our technology</em>. In civic tech, technology is always the means to an end, not the end itself.</p><p name="7575" id="7575" class="graf--p graf-after--p">As you can imagine, this perspective presents a civic tech space as wonderfully varied as the communities it aims to serve. Some will continue to be caught up on definitions. Is Facebook civic tech? What about SnapChat? Certainly, these tools can be used for both positive outcomes, like organizing a rally, or negative outcomes, like bullying or illegal surveillance. The dividing line comes back to intention. <em class="markup--em markup--p-em">Was this technology designed to improve the public good and better the lives of the many?</em></p><p name="b943" id="b943" class="graf--p graf-after--p">Let’s take a look at some of my favorite civic tech tools to illustrate this criteria in action:</p><ul class="postList"><li name="58b4" id="58b4" class="graf--li graf-after--p"><a href="https://neighborland.com/" data-href="https://neighborland.com/" class="markup--anchor markup--li-anchor" rel="nofollow">Neighborland</a>, a public input toolkit that “empowers civic leaders to collaborate with residents in an accessible, participatory, and enjoyable way.”</li><li name="e04f" id="e04f" class="graf--li graf-after--li"><a href="https://www.loomio.org/" data-href="https://www.loomio.org/" class="markup--anchor markup--li-anchor" rel="nofollow">Loomio</a>, a collective decision-making service that helps groups discuss topics, build proposals and make decisions together.</li><li name="66c3" id="66c3" class="graf--li graf-after--li"><a href="http://en.seeclickfix.com/" data-href="http://en.seeclickfix.com/" class="markup--anchor markup--li-anchor" rel="nofollow">SeeClickFix</a>, a communications platform for citizens to report and governments to manage non-emergency issues to foster “transparency, collaboration, and cooperation.</li><li name="7939" id="7939" class="graf--li graf-after--li"><a href="https://handup.org/" data-href="https://handup.org/" class="markup--anchor markup--li-anchor" rel="nofollow">Handup</a>, a charitable giving platform that facilitates direct donations to homeless neighbors in need.</li></ul><p name="5f19" id="5f19" class="graf--p graf-after--li">These and many other inspiring projects give me hope that the civic tech movement, and the passionate community behind it, will transform our communities, our workplaces and institutions to be more equitable, resilient, and even more fun. There are obstacles, of course. Some powerful people and institutions would rather not see communities empowered to make self-directed decisions. But I believe that the civic tech movement is putting people at the center of software development so that software doesn’t eat us, too. That’s why I founded <a href="http://civicmakers.org/" data-href="http://civicmakers.org/" class="markup--anchor markup--p-anchor" rel="nofollow">CivicMakers</a>, to highlight the growing array of civic tech solutions helping more people make better decisions together.</p><p name="a7e8" id="a7e8" class="graf--p graf-after--p graf--last">This is my first of four posts introducing civic tech to those new to the sector. I hope you follow along. And if you have a tool or project you’d like to share, or just want to know more about civic tech, I’d love to hear from you.</p>
