title: Gilbert Simondon et la libération par les techniques
url: https://www.slate.fr/tribune/85761/gilbert-simondon-liberation-par-les-techniques
hash_url: 18a83df62e9855e9d8c98f6b730620a3

<p><a href="http://www.amazon.fr/Sur-technique-Gilbert-Simondon/dp/2130625282/ref=sr_1_1?ie=UTF8&amp;qid=1397036392&amp;sr=8-1&amp;keywords=sur+la+technique"><em>Sur la technique, </em></a>Gilbert Simondon</p>
<p><span>Q</span>u’est-ce qu’un objet technique? Il est de saine méthode, lorsqu’on entreprend de définir un mot, de ne pas introduire dans la définition le terme à définir, ni de renvoyer, du moins pas immédiatement, à un contexte particulier d’actions ou à un réseau de circonstances.</p>
<p>En l’occurrence, ce serait bien mal définir une horloge que de dire: une horloge n’est rien d’autre que ce qui se trouve suspendue dans ma cuisine et que vous verrez si vous voulez bien venir y jeter un œil. Pour définir de manière plus rigoureuse une horloge, il semblerait préférable de se référer:</p>
<ul>
<li>1. au mécanisme des engrenages, au dispositif des aiguilles</li>
<li>2. à la finalité de cet objet.</li>
</ul>
<p>Or, touchant le premier, il n’est pas du tout sûr que ce soit un bon choix que s’appuyer sur la nature du mécanisme en jeu (ici: un mécanisme par engrenages) pour définir un objet technique: il n’y a aucun engrenage dans une horloge atomique à hydrogène, et pourtant il s’agit bien d’une horloge, et même d’une horloge autrement plus précise qu’une horloge mécanique. Qu’est-ce qui autorise à ranger des fonctionnements et des structures fort hétérogènes dans une seule et même catégorie? </p>
<p>Touchant le second point, il n’est pas sûr que la référence à la finalité à laquelle répond l’objet technique et en vue de laquelle il a été conçu soit réellement éclairante. Une horloge est certes un instrument qui sert ordinairement à mesurer le temps, mais l’usage que j’en fais ne permet de déterminer sa spécificité puisque l’on peut toujours imaginer qu’elle puisse se prêter à d’autres usages pour lesquelles elle n’a pas d’abord été conçue. Il s’ensuit que l’usage seul ne peut pas faire critère.</p>
<p>La proposition avancée par Gilbert Simondon (1924-1989) consiste à dire que seule la considération de la genèse de l’objet technique peut permettre de déterminer ce qui le constitue en propre. Ce qui fait un objet technique, c’est son type d’inscription dans une lignée technique –inscription qui le définit comme un individu doué d’une unité de devenir et ayant comme tel une place déterminée au sein d’une certaine évolution. Le moteur à essence, par exemple, ne serait pas tel ou tel moteur donné dans le temps, mais le fait qu’il y ait une suite, une continuité allant du premier moteur Ford à ceux que nous connaissons aujourd’hui, lesquels sont eux-mêmes en évolution.</p>
<p>Proposition géniale, comme nous allons nous efforcer de le montrer, qui a permis à Simondon d’élaborer l’une des réflexions sur la technique les plus originales et les plus profondes de la seconde moitié du XXe siècle, ainsi que Gilles Deleuze –le premier, sans doute– l’avait signalé, et ainsi que l’ont souligné depuis de nombreux philosophes, sociologues, «technologues» et autres spécialistes des «milieux techniques» (pour reprendre l’appellation de Jean-Claude Beaune). C’est dire par là même l’importance du travail d’édition des œuvres complètes de Simondon par les Presses Universitaires de France, dont les deux présents volumes constituent les premières livraisons, réunissant pour le premier le manuscrit d’un cours sur la perception prononcé en Sorbonne durant l’année universitaire 1964-1965, et pour le second les divers textes sur la technique écrits entre 1953 et 1983, encadrant ses deux principaux ouvrages, à savoir <em>Du mode d’existence des objets techniques</em> et <em>L’individuation à la lumière des notions de forme et d’individuation </em>(publiés respectivement en 1958 et en 1964)</p>
<h3 class="rtecenter"><strong>La lignée technique et les directions de convergence</strong></h3>
<p>Le mode privilégié d’accès à l’essence d’un objet technique est donné par la prise en considération de son évolution. Un objet technique est un instrument qui évolue, qui figure donc dans une lignée technique. Mais, demandera-t-on, quel est le critère du changement et de l’évolution? Un objet technique est un instrument qui évolue…par rapport à quoi? Par rapport à l’usage qu’on peut en faire? Non, puisque l’usage a déjà été écarté comme étant sans pertinence. Comme le dit Simondon, pour tel usage précis, il se peut tout à fait qu’un vieux moteur des années 1910 se révèle  bien supérieur à un moteur des années 1980. Simondon propose de prendre en considération un autre critère de l’évolution d’un objet technique, lequel a le mérite de ne se référer qu’à la technicité de l’objet technique lui-même: les directions de convergence.</p>
<p>De quoi s’agit-il? Celui qui entreprendrait de comprendre le fonctionnement d’un moteur du début du siècle se verrait contraint de le démonter pièce par pièce, et d’élucider le type de travail assuré par chaque pièce prise isolément. Le moteur ancien se ramène à un assemblage d’éléments définis par leur fonction complète et unique, où toutes les pièces travaillent chacune à tour de rôle en s’ignorant les unes les autres. Aucun échange d’énergie ne s’effectue entre les divers éléments, chaque unité est un absolu, un système fermé. Assembler un moteur de ce type consiste à coordonner des unités fonctionnelles.</p>
<p>Par contraste, les ingénieurs qui, de nos jours, mettent au point un nouveau modèle de moteur ne partent pas de la pièce, mais d’un réseau d’échanges d’énergie. Chaque pièce est telle qu’elle se voit affectée des caractères qui correspondent à toutes les composantes du fonctionnement du moteur. Chaque pièce remplit plusieurs fonctions intégrées au fonctionnement de l’ensemble, de sorte que c’est le fonctionnement d’ensemble qui distribue à chaque pièce la fonction non pas isolée mais complémentaire qui l’associe à toutes les autres pièces. Il s’ensuit que c’est le fonctionnement qui décide de la forme que devra avoir la pièce. À la limite, en voyant une seule pièce, un «technologue» devrait pouvoir dire de quel ensemble de fonctionnement elle est solidaire et indissociable.</p>
<p>Ce qui est premier de nos jours, donc, c’est le fonctionnement, c’est-à-dire un certain régime de causalités réciproques, un réseau d’échanges d’énergie, une convergence de directions fonctionnelles. Ces directions de convergence tendent à faire de l’objet technique un système entièrement cohérent avec lui-même, pleinement unifié. C’est ce que Simondon appelle une évolution par auto-corrélation. Le moteur définit un véritable petit système du nécessaire. Retirez une seule pièce, ou modifiez la forme d’une seule pièce, et il vous faudra changer de moteur parce qu’avec cette pièce c’est tout le réseau d’échanges d’énergie qui aura été modifié.</p>
<h3 class="rtecenter"><strong>L’espérance de vie d’un individu technique</strong></h3>
<p>On aurait tort d’en conclure que le nouveau moteur est plus fragile que l’ancien. Au contraire, il est plus robuste. Dans la mesure où l’ancien moteur se présente comme la coordination de sous-ensembles de fonctionnement, il suffit qu’il y ait un sous-ensemble qui ne fonctionne pas pour que la conservation de tous les autres sous-systèmes soit menacée. Si, par exemple,  le système de refroidissement ne fonctionne pas, le moteur continuera de tourner, mais il se détériorera jusqu’au point de rupture.</p>
<p>En revanche, lorsque le refroidissement est réalisé par un effet solidaire du fonctionnement d’ensemble, le fonctionnement implique en tant que tel refroidissement: si le moteur tourne, c’est donc que le système de refroidissement n’est pas en panne parce que le moteur a été conçu de telle sorte que l’échange d’énergie provenant du système de refroidissement est indispensable au fonctionnement d’ensemble.</p>
<p>L’évolution des objets techniques doit être comprise en ce sens comme la recherche d’un système qui est tel qu’il ne peut être autodestructif. Le système doit pouvoir se maintenir stable le plus longtemps possible. Pour le dire autrement, il s’agit au fond d’augmenter l’espérance de vie de l’objet technique –ce que rend précisément possible l’établissement de directions de convergence. Un objet technique est d’autant plus évolué qu’il n’est pas en lutte avec lui-même. Un objet technique évolué est celui dans lequel aucun effet secondaire ne nuit au fonctionnement de l’ensemble, ou aucun effet secondaire n’est laissé en dehors de ce fonctionnement. Un objet technique se caractérise par le fait de son inscription au sein d’une lignée technique qui augmente à chaque génération son espérance de vie par l’artifice d’une auto-corrélation.</p>
<p>Mais, précisément, est-ce bien un artifice? L’objet technique est-il artificiel? Ce qui est frappant, bien plutôt, note Simondon, est que l’objet technique évolué se rapproche du mode d’existence des objets naturels, en ce sens où il tend lui aussi vers la cohérence interne ou la fermeture du système des causes et des effets qui s’exercent circulairement au sein de son enceinte. On estime d’ordinaire que ce qui fait l’artificialité d’un objet ne tient pas seulement à ceci que l’objet considéré a été fabriqué (et non pas produit spontanément par la nature), mais aussi et surtout à ceci que l’intervention de l’homme est nécessaire pour maintenir cet objet dans l’existence en le protégeant contre le monde naturel, en lui donnant ainsi un statut à part d’existence. L’artificialité est ce qui est intérieur à l’action artificialisante de l’homme: est artificiel ce qui requiert le concours de l’homme non seulement pour exister, mais encore pour se maintenir dans l’existence. Or le propre d’un objet technique est justement qu’il requiert de moins en moins l’intervention de l’homme pour se maintenir dans l’existence: c’est un objet artificiel (en tant qu’objet fabriqué) qui a un mode d’existence naturel.</p>
<p>Soit telles fleurs que vous vous apprêtez à mettre en bouquet dans un vase. Une fleur a-t-elle un mode d’existence naturel ou artificiel? La réponse ne va pas de soi. Une fleur obtenue en serre chaude, ne donnant que des pétales sans pollen, est la fleur d’une plante artificialisée: l’homme a détourné les fonctions de cette plante de leur accomplissement cohérent, si bien qu’elle ne puisse plus se reproduire que par des procédés tels que le greffage, exigeant une intervention humaine. Dans la mesure où l’intervention de l’homme est constamment requise pour assurer la reproduction de la plante, l’on peut bien dire que cette fleur a un mode d’existence artificiel, en dépit de son origine naturelle (il ne s’agit pas d’une fleur en plastic). C’est un être naturel qui a un mode d’existence artificiel. Inversement, le moteur moderne, ou n’importe quel objet technique évolué, a une espérance de vie et une autonomie de plus en plus grandes, si bien que l’intervention humaine est de moins en moins requise: à la lettre, <em>ça marche tout seul.</em> L’objet technique se referme sur lui-même, sa cohérence interne s’accroît, sa systématique fonctionnelle se ferme en s’organisant. Il a sa propre vie –bref: il vit <em>comme</em> un objet naturel. C’est un objet artificiel qui a un mode d’existence naturel, ou du moins qui y tend de plus en plus.</p>
<p>Certes un moteur a (encore et toujours) besoin d’être entretenu. Il n’est certes pas (encore) possible de se passer tout à fait de l’intervention de l’homme. À cette objection, Simondon répond que, d’une part, cet état de fait prouve seulement que l’objet technique est encore en évolution et qu’il n’a pas fini sa course à l’auto-corrélation, que l’auto-corrélation doit être pensée comme un terme idéal, un point de fuite, et que l’élimination sans reste de l’intervention humaine est bien au programme d’une telle évolution ; et d’autre part, que le milieu associé à l’objet technique, sans lequel il ne pourrait pas fonctionner correctement bien longtemps, est de moins en moins un milieu composé d’hommes: l’objet technique n’a pas besoin d’intelligence humaine qui prenne en charge de le conserver en bon état. Il y a, pour ainsi dire, une intelligence de l’objet technique.</p>
<h3 class="rtecenter"><strong>Les matériaux intelligents </strong></h3>
<p>À quoi songe exactement Simondon? À le lire attentivement, il semble qu’il ait surtout à l’esprit cette forme d’intelligence qui provient de l’association de plusieurs objets techniques en vue d’un même travail (par exemple, dans le cadre d’une usine), mais il est loisible en ce point d’enrichir sa réflexion en se référant à l’intelligence, non plus collective, mais bien individuelle caractéristique de ce que l’on appelé les matériaux intelligents.</p>
<p>Dire d’un matériau qu’il est intelligent, ce n’est pas dire que la matière a accédé à une sorte de conscience ou qu’elle serait devenue capable de réflexion. Un matériau intelligent est une combinaison de capteurs qui perçoivent les variations de l’environnement ou des caractéristiques du matériau lui-même; c’est un système de traitement de données et d’actionneurs qui permettent la réaction du matériau; c’est un type de matériau sensible à certaines informations et capable de réagir en fonction de celles-ci.</p>
<p>Ce sont par exemple les verres photochromes dont on se sert pour équiper certaines lunettes (qui s’obscurcissent à la lumière, et redeviennent transparents lorsque l’intensité de la lumière décroît). C’est la prothèse de l’enfant qui grandit en même temps que lui. Ce sont aussi les vis, les broches ou les plaques qu’on emploie en cas de fracture, et qui permettent de reformer l’os en rapprochant les deux bords de la fracture. Il y a encore une trentaine d’années, ces vis, ces broches, etc., étaient réalisées dans des alliages métalliques (en acier ou en titane), ce qui nécessitait une nouvelle opération pour ôter l’implant, une fois l’os soudé, quand on ne laissait pas le patient garder pendant toute sa vie un implant métallique dans l’organisme. De nos jours, ils sont faits de telle sorte qu’ils sont biorésorbables. L’intelligence du matériau réside dans sa capacité à se dégrader sans laisser de traces une fois sa mission accomplie. Toutes les vis, un peu différentes, utilisées actuellement en chirurgie ligamentaire sont faites dans le même matériau.</p>
<p>En un mot, un matériau intelligent est auto-quelque chose…: il s’auto-détruit, il s’auto-surveille, il s’auto-adapte, il s’auto-nettoie, etc. Il ne s’auto-construit pas encore, mais une fois construit, il a sa propre vie.</p>
<p>Tout le problème aujourd’hui est de savoir comment intégrer dans la construction d’objets techniques (moteur, machine d’usine, etc.) des matériaux intelligents, de sorte à élever l’autonomie de ces objets à un niveau inégalé. Jusqu’alors, il a été possible d’obtenir que les machines se règlent les unes les autres en les couplant: il suffit de connecter toutes les machines à un ordinateur central, de placer des capteurs tout au long de la chaîne de production afin de détecter d’éventuelles modifications de certains paramètres (mettons, la température), modifications qui sont analysées par l’ordinateur, lequel commande alors des actionneurs pour compenser les variations perçues. Les machines dialoguent entre elles et forment un petit monde à part. Le monde des objets techniques n’est ni le monde de l’artifice, ni le monde de la nature, c’est un monde d’un genre nouveau et inédit, avec ses citoyens, son centre de décision, son taux de mortalité, son espérance de vie, son évolution, et peut-être bientôt son auto-adaptation et son auto-destruction si l’on parvient à intégrer dans la construction des objets techniques des matériaux intelligents.</p>
<h3 class="rtecenter"><strong>L’enfant de son père</strong></h3>
<p>Le monde des objets techniques est celui qu’enfante l’intelligence. Et cette dernière a enfanté un monde à son image. L’homme n’est lui-même ni pur être d’artifice, ni un pur être de nature. Son intelligence ouvre une nouvelle ligne, suscite un nouvel ordre absolument original et inédit. C’est toute l’intelligence de l’homme, avec toute sa singularité comparée aux autres formes inventées par la nature, qui se donne à lire dans la technique.</p>
<p>Dire du monde des objets techniques qu’il est l’enfant de l’homme, c’est moins souligner la paternité de l’homme que l’indépendance et l’autonomie de l’enfant. Bien sûr, c’est moi et nul autre qui ai donné vie à mon enfant, mais ce qui fait de lui un être humain –son intelligence, sa capacité à prendre son essor sans mon soutien, son indépendance acquise bien avant l’âge de la maturité– est sans lien avec moi. L’enfant réinvente par lui-même l’humanité à chaque étape de sa croissance sous les yeux de ses parents.</p>
<p>Pour cette raison, l’invention d’un objet technique n’est pas une activité intellectuelle parmi les autres: elle est l’activité intellectuelle par excellence. L’intelligence est invention technique, et ce pour deux raisons. D’une part, parce que l’objet technique s’élève au même mode d’être aussi incoordonnable que celui de l’être humain doué d’intelligence (moyennant quoi, d’ailleurs, il n’y a aucun abus de langage à parler de matériaux intelligents). D’autre part parce que toute pensé s’identifie à une invention technique. Qu’est-ce au fond qu’élaborer une philosophie ou défendre une thèse, sinon faire en sorte qu’elle tienne debout toute seule sans que l’on ait besoin de glisser une béquille en permanence pour lui éviter de chuter ou de boiter? Qu’est-ce sinon mettre au monde un enfant qui n’a plus besoin de son père? L’invention, quelle qu’elle soit, se ramène toujours à la constitution d’un système d’auto-corrélation, où le coefficient de frottement des pièces entre elles doit idéalement être ramené à zéro, où tous les éléments doivent recevoir une direction de convergence, où chaque idée doit être l’image en réduction du système tout entier de sorte qu’il soit impossible d’évoquer l’une d’entre elles sans convoquer l’ensemble? De la même manière qu’une idée ne doit pas pouvoir être pensée qu’au carrefour d’autres idées, de même chaque pièce d’un objet technique ne doit pas pouvoir être fonctionnelle que replacée au cœur  du système de fonctionnement dont on l’a extrait. La technique est l’expression la plus explicite et la plus réussie d’une activité intellectuelle. Penser, c’est monter des machines.</p>
<h3 class="rtecenter"><strong>La vie technique</strong></h3>
<p>La philosophie de Simondon a voulu proposer une Nouvelle Alliance. Chacun se souvient de la célèbre parabole de deux fils dans l’Evangile de saint Luc (15, 11-32): celle du fils perdu et du fils fidèle. Lors du retour du fils prodigue, le père s’écrie, en l’accueillant dans le giron familial, que son fils, après avoir mené si longtemps une vie corrompue, «a repris vie». De la même manière, Simondon nous invite à réintégrer ce fils aujourd’hui bafoué comme tel qu’est la technique, à lui redonner vie, c’est-à-dire à ne pas abandonner la technique à sa fonctionnalité, à ne pas seulement se servir des techniques, mais à comprendre comment marchent les objets techniques. Apprenez à comprendre comment marche le moteur de votre voiture, comment marche votre téléphone portable, votre poste de télévision, votre ordinateur, etc., non pas pour pouvoir faire les réparer vous-même en faisant ainsi une belle économie, mais pour pouvoir vivre au diapason de ces techniques qui vous entourent, c’est-à-dire pour pouvoir vivre en harmonie avec vous-même, en tant que votre intelligence ne tend à rien autre chose qu’à produire des objets techniques.</p>
<p>La vie technique ne consiste pas à diriger des machines, mais à exister au même niveau qu’elles. La vie technique est cette vie dans laquelle le geste de construction ou de réparation prolonge naturellement le geste d’invention. Etre un «technologue», c’est n’être plus morcelé en concepteur, consommateur ou utilisateur des techniques –ce qui constitue la pire forme d’aliénation. La philosophie de Simondon est une philosophie de la libération –non pas une libération <em>de</em> la technique, mais une libération <em>par </em>la technique.</p>
<p>De ce point de vue, il n’est pas sûr que le marxisme ait bien su analyser la situation d’aliénation du travailleur. Ce qui fait l’aliénation du travailleur dans une usine ne tient pas au fait que le travailleur, en tant que tel, n’est pas le possesseur des moyens de productions. Le rapport de propriété ou de non-propriété ne peut pas permettre de penser l’aliénation. Cette dernière tient bien plutôt à ce qu’il n’existe aucune continuité entre l’individu humain et l’individu technique. Et sous ce rapport le propriétaire des moyens de production est au moins aussi aliéné, si ce n’est plus, que ses propres ouvriers, car il est dans la même situation qu’eux: lui non plus ne sait pas comment tout cela marche. Les uns et les autres savent ce qui entre dans la machine et ce qui en sort, mais nul le sait ce qui s’y passe. En la présence même de l’opérateur s’effectue une opération à laquelle il ne participe pas, même s’il la commande ou la sert. Commander est encore rester extérieur à ce que l’on commande, lorsque le fait de commander consiste à déclencher selon un montage préétabli. L’aliénation se traduit par la rupture entre le savoir technique et l’exercice des conditions d’utilisation. La régleur d’un machine n’est pas l’ouvrier, et celui-ci n’a même pas le droit de régler sa propre machine. Or l’activité de réglage est celle qui prolonge le plus naturellement la fonction d’invention et de construction. Le réglage est une invention perpétuée, quoique limitée. La libération n’exige qu’une chose: faire en sorte que le geste du travailleur qui opère sur la machine prolonge naturellement l’activité d’invention.</p>
<p><em><strong>Hicham-Stéphane Afeissa</strong></em></p>
