title: Splendid isolation: how I stopped time by sitting in a forest for 24 hours
url: https://www.theguardian.com/news/2020/jan/24/wilderness-solo-splendid-isolation-stopped-time-sitting-in-a-forest-24-hours
hash_url: 3fc386b9b57aa937db0a1883502b9ab8

<p><span class="drop-cap"><span class="drop-cap__inner">I</span></span>t was early summer, and I was on the verge of turning 40. I found myself entertaining a recurring daydream of escaping from time. I would be hustling my son out the door to get him to school, or walking briskly to work on the day of a deadline, or castigating myself for being online when I should have been methodically and efficiently putting words on paper, and I would have this vision of myself as a character in a video game discovering a secret level. This vision was informed by the platform games I loved as a child – Super Mario Bros, Sonic the Hedgehog and so on – in which the character you controlled moved across the screen from left to right through a scrolling landscape, encountering obstacles and adversaries as you progressed to the end of the level. In this daydream, I would see myself pushing against a wall or lowering myself down the yawning mouth of a pipe, and thereby discovering this secret level, this hidden chamber where I could exist for a time outside of time, where the clock was not forever running down to zero.</p>
<p>My relationship with time had always been characterised by a certain baleful anxiety, but as I approached the start of the decade in which I would have no choice but to think of myself as middle-aged, this anxiety intensified. I was always in the middle of some calculation or quantification with respect to time, and such thoughts were always predicated on an understanding of it as a precious and limited resource. What time was it right now? How much time was left for me to do the thing I was doing, and when would I have to stop doing it to do the next thing?</p>
<p>This resource being as limited as it was, should I not be doing something better with it, something more urgent or interesting or authentic? At some point in my late 30s, I recognised the paradoxical source of this anxiety: that every single thing in life took much longer than I expected it to, except for life itself, which went much faster, and would be over before I knew where I was.</p>
<p>Much of this had to do with being a parent. Having two young children had radically altered my relationship with the days and hours of my life. Almost every moment was accounted for in a way that it had never been before. But it was also the sheer velocity of change, the state of growth and flux in which my children existed, and the constant small adjustments that were necessary to accommodate these changes. I would realise that my son no longer mispronounced a particular word in that adorable way he once had, or that his baby sister had stopped doing that thing of nodding very seriously and emphatically when she heard a song she liked – that she was, in fact, no longer a baby at all – and that those eras had now passed for good, along with countless others that would pass unnoticed and unremembered, and I would feel sad and remorseful about not having lived more fully in those moments, not having stopped or at least slowed the flow of time. And when I felt this way, I would succumb to the daydream of the video game, the secret level, the escape from time itself.</p>
<p>My son turned six around then, itself a significant milestone in that he was, for the first time, at an age I myself could dimly remember being. And with this new phase of parenthood, I began to think how strange it was, given how precious those early years now seemed to me, that I spent so little time thinking about my own childhood, the lost civilisation on which my adult self now stood. The motion of the video game unfurled rightward, and I had no choice but to follow its motion towards the future, towards the completion of the game itself.</p>
<p>And then one day, about a week and a half before I turned 40, I found myself alone in a forest in Devon, where I discovered this secret level of my daydreams.</p>
<hr class="section-rule"/>
<p><span class="drop-cap"><span class="drop-cap__inner">H</span></span>ere is how I did it: I came to a clearing in a forest by a riverbank in Dartmoor national park, far enough from any trail that it seemed unlikely I would encounter anyone while I was there. I gathered some loose branches and stones and arranged them in a circle of about 10 metres in diameter, and then I walked into the circle and did not leave it until the same time the following day.</p>
<p>The short version of this story is that nothing happened in that time: that I did nothing and witnessed nothing, experienced only the passage of the hours and minutes, and the languid dynamics of my own boredom. The long version isn’t exactly The Iliad, either, but in that version something could be said to have happened. Because by the time I walked out of that circle the following afternoon, I’d had an entirely unexpected and intensely cathartic encounter with the passage of time, and with my own mortality.</p>
<p>This is a practice commonly referred to as a “wilderness solo”. The basic principle is that you go out into nature, the wilder and more remote the better, and confine yourself to one very small area for a set period – a day, two days, three days, sometimes longer. During this period, you forego anything that might come between yourself and your own solitude. No phone. No books or other reading material. You don’t build a fire, because building a fire is a way to keep yourself busy, watching the dance of its flames a primitive entertainment. Most participants choose not to bring food, because when you have got nothing to do for a day and a night, the prospect of eating a sandwich can easily become an all-encompassing preoccupation, undermining the entire project of unmediated communion with nature. After that period of immersion, you step outside of your circle, and you re-enter the world.</p>
<p>Until fairly recently, I was not a person who had a lot of time for nature. I wished it well in all its dealings, and was glad to take its side in any quarrel with the forces arrayed against it, but my regard for it was essentially abstract, and I would just as soon have left it to its own devices. Nature was something I encountered as scenery, an experience to be consumed before getting back in the car and continuing on my way. But about the middle of 2016, amid the endlessly unfurling horrors of that year’s news, I became increasingly preoccupied with how this darkening political reality seemed to foreshadow a near future defined by a permanent state of climate emergency. And these things felt connected in some way that resisted easy definition: the speed and efficiency with which technology was gutting democracy and alienating us from the reality of human suffering, and the increasing extremity of our estrangement from the natural world. I was thinking all the time about climate change, about the future my children would be forced to live in, about what we had done and were continuing to do to the world. But at some point it dawned on me that I didn’t know the first thing about that world. What I knew was the great indoors in which I lived my life: the insides of buildings, the insides of books, the interlocking interiors of the internet and my own mind. When I talked about nature, I didn’t know what I meant. In a way that was somehow both vague and urgent, I felt that it was time to go outside.</p>

<p>I came across an organisation called Way of Nature UK that arranged group wilderness retreats, and I signed up for a trip. This was how, in the spring of 2017, I ended up spending a week with a group of about 20 other people in a remote wilderness reserve called Alladale in the Scottish Highlands, towards the end of which everyone went off to various locations and did a solo. How did I feel about sitting by a river for 24 hours and doing absolutely nothing, aside from looking at grass and clouds and water and so on? I felt slightly intimidated. I felt uncomfortable. I felt, above all, reflexively cynical, in the way that I was reflexively cynical about pretty much anything that felt new-agey or hippyish or otherwise overly earnest to me. But over the course of that week, and in particular the 24 hours I spent alone by the river, that brittle carapace of cynicism began to give way. What affected me most deeply about that time alone in nature was the aspect of it I had initially been most daunted by. The experience of the solo is the experience of time itself, in its rawest and most unmediated form.</p>
<p>When I stepped into that ad-hoc ceremonial circle in Devon last summer, it had been over a year since I had performed the ritual, and I found myself craving the solitude and immersion it provided.</p>
<p>Andres Roberts, Way of Nature’s co-founder, picked me up that morning outside my hotel in Bristol, near where he lives. I had got to know him pretty well on the two previous trips I had done with him, and my new enthusiasm for spending time alone in nature had been informed by his quietly ecstatic way of talking about the wilderness. As we drove south along the M5 through intermittent downpours of rain, he spoke about his work, and the ideas underpinning it. If there was a single word that encapsulated the value he was trying to incubate, that word was “slowness”. There was an extraordinary transformative power, he insisted, in the practice of sitting and doing nothing, and thereby slowing your mind and body to a meditative rhythm in nature.</p>
<p>One of Roberts’s major themes was the idea that our particular civilisation, at our particular time, was unusual in not having as part of its cultural repertoire some ritual whereby during periods of change or upheaval people went out alone into nature. When he talked about the practice of the wilderness solo, he talked about it in such terms – as a ritual whereby you stepped out of the flux of the world, in order to gain some perspective on the flux, and your place within it.</p>
<p>A word he used a lot in talking about his work, and in describing the experience and value of the nature solo, was “re-enchantment”. He was of the opinion that most people, most of the time, lived life in a state of disenchantment. What he wanted to do, above all, was to help people strip away the layers of hard rationalism that accrued around the adult mind, so that they could return to a more childlike engagement with the world. And in reaching this state, he said, this place of re-enchantment, we could come to see ourselves not as separate from and in control of nature, but as part of it.</p>
<hr class="section-rule"/>
<p><span class="drop-cap"><span class="drop-cap__inner">I</span></span>t was harder than anticipated, finding a solo spot. We had settled on Dartmoor for its proximity to Bristol and its relatively humane weather outlook, but it was not a place with which Roberrts was particularly familiar. We followed at first a northward trail, planning to cross a footbridge into deeper forest on the far side of the river, but when we eventually found it, the gate to the footbridge was firmly padlocked.</p>
<p>Further along the trail we met a man out for a walk with his dog. Early 70s, bearded, wax jacketed, he wore the dog’s lead draped athwart himself shoulder to hip in the manner of a mayoral sash. Roberts asked him whether there was a bridge we could cross further on. He shook his head and courteously informed us, in a Devonshire accent as soft and mulchy as the ground beneath our feet, that we were on land privately owned by one of his neighbours, and that the more densely forested territory across the river was private, too, and that we technically required a permit to walk this trail.</p>
<p>We turned and strolled back with him toward the road, and as he chatted to us about the cottage he and his wife had recently renovated, and their troubles with the local conservation society who disapproved of their alterations to the property, I was struck by how easily the concept of private land ownership could be made to feel absurd. It seemed perfectly rational in towns and cities, in housing estates and apartment buildings, for people to own their little portions of the world. But here, on the flourishing banks of a torrential river, the thought that this place was the sole property of some mere person – that that person could own the deeds to a river bank or a forest – seemed deeply and disorientingly counterintuitive, in a way that threatened to undermine the whole spirit of our enterprise. It felt impossible, as I put it to Roberts after we parted company with the man, to pursue the kind of immersive experience of a place we were after when you worried you might be trespassing.</p>

<p>“Yes,” he said. “Although this is England. Literally half of the land in this country is owned by less than <a href="https://www.theguardian.com/environment/2019/apr/19/who-owns-england-secretive-companies-hoarding-land" title="" data-link-name="in body link" class="u-underline in-body-link--immersive">1% of the population</a>. A handful of aristocrats and corporations.”</p>
<p>He reassured me, though, that we would find a suitable place for my solo, on commonly owned land where I wouldn’t have to worry about some local squire coming along and telling me I had no business having an immersive experience with his privately owned nature.</p>
<p>We found another trail, running northward along the River Dart. Roberts lowered his voice to not much more than a whisper, eventually stopping talking altogether, and slowed his pace so that I was walking well ahead of him. I understood this deliberate minimisation of his own presence to mean that we had entered a kind of buffer zone between the outside world and the solo space. This was one of the great charms of how he worked; without his having seemed to do anything very specific, you were made to understand that some ritual was underway, that you were somehow in the midst of the sacred.</p>
<hr class="section-rule"/>
<p><span class="drop-cap"><span class="drop-cap__inner">T</span></span>he point of being here is to be here. An hour or two into my time in the forest, I wrote these words in my notebook, and drew a box around them to emphasise their authority and self-sufficiency. And then I stopped writing words in my notebook altogether, because writing words is my work, and I was wary of taking an utilitarian approach to the solo. The point of being there, after all, was to be there. (The cynical reader might argue that the point of being there was to <em>write</em> about being there – an argument the cynical writer will, on balance, concede, if only to avoid getting bogged down in the ontological complexities of the whole relationship between experiencing things and writing about them.)</p>
<p>And what did I do, while I was being there, in the forest, by the river? Nothing, more or less. The first half hour or so, there was a certain amount of housekeeping to attend to. I had to find exactly the right spot: not too damp; flat enough to pitch a tent once night began to fall; sheltered from the elements, but not so sheltered as to obscure the view of the river and the far bank. I had to mark out the circle, of course. I had to gather flat stones and sticks and bits of branches, and arrange them around a beech tree I had chosen as the central feature of my location. It could, I suppose, have been an oak tree, or an elm, or some other type of lofty deciduous of which I, being no Robert MacFarlane, had no prior knowledge.</p>
<p>But once all that was out of the way, I had to confront that fact of having nothing to do. In theory, I should have greeted this experience with open arms. I had, in fact, been looking forward to it for weeks – to having no tasks to attend to, no places to go, no obligations to meet. Here I was with nothing to do but inhabit the spaciousness of every passing moment, to bathe at leisure in the pooled flow of time itself. In theory, it was the dream. In practice, if I could have taken out my phone and gone on Twitter I surely would have. (Thankfully, this possibility was foreclosed to me by the fact of having no mobile coverage. In any case, I’d stowed my phone in my backpack in order to stop myself violating the spirit of the wilderness solo by spending the whole time looking through photos of my children, or opening up the New Yorker app and immersing myself not in nature, but in back issues of a magazine I never had the time to read, for reasons gestured at above.)</p>
<p>When you’re actually in it, the reality of the solo is, at least at first, one of total boredom. I cannot stress enough how little there is to do when you have confined yourself to the inside of a small circle of stones and sticks in a forest. But it is an instructive kind of boredom, insofar as boredom is the raw and unmediated experience of time. It is considered best practice not to have a watch, and to turn off your phone and keep it somewhere in the bottom of a bag so as to avoid the temptation to constantly check how long you’ve been out and how long you have left. And as you become untethered from your accustomed orientation in time – from always knowing what time it is, how long you have to do the thing you’re doing, when you have to stop doing it to do the next thing – you begin to glimpse a new perspective on the anxiety that arises from that orientation. Because this anxiety, which amounts to a sort of cost-benefit analysis of every passing moment, is a quintessentially modern predicament.</p>

<p>As weirdly counterintuitive as it feels to acknowledge, human beings are not naturally predisposed to think of life in terms of seconds and hours, of how they might be optimised. The development of mechanical clocks during the middle ages and, later, the advent of widespread precision timekeeping that facilitated the industrial revolution, fundamentally changed the way in which the human animal related to the world. Time became both an abstraction and a commodity, a raw material to be bought and sold, saved or squandered.</p>
<p>The mass adoption of this new conception of time, abstract and removed from the organic context of nature, was central to the rise of capitalism, and to the accelerating mechanisation of life. “Beginning in the 14th century,” as the American cultural critic Neil Postman put it, “the clock made us into time-keepers, and then time-savers, and now time-servers. In the process, we have learned irreverence toward the sun and the seasons, for in a world made up of seconds and minutes, the authority of nature is superseded.” To sit by a river for a day and a night is to experience the reinstatement, if only temporarily, of that authority.</p>
<p>What did I do, sitting in that forest? I drank a lot of water, because I had brought a lot of water, and drinking it was, if only in the most basic of senses, something to do. And because I drank a lot of water, I took a great many resulting pisses around the far side of the tree, and this too presented something to do, however minor. I would occasionally treat myself to a bit of a stand, or even a little stroll around my circle, but mostly I was content to sit propped against my backpack with my legs spread before me on the soft carpet of leaves. I spent a lot of time looking at those leaves: holding them up to the light, observing the delicate webbings, the desiccated veins, crumbling them slowly between my fingers. This, I admit, was only slightly more interesting than doing nothing at all.</p>
<p>The tree, in time, became a central object of my attention. I can’t say how long I spent standing in front of its trunk, staring at its covering of bright green moss, its gnarled protuberances of bark, but it must have been at least an hour. The moss was leafy, and felt both delicate and spongily resilient beneath my hand, and the longer I stared at it, the more I came to feel that I was gazing downward from a great height at a forest, that the moss was a canopy of leaves and the bark the ground beneath. The surface of the tree was its own ecosystem, expansive and intricate, and when I looked closely enough I saw that there were tiny insects everywhere, spiders and other many-legged creatures, whom I imagined living out their days aware of no other world than that little vastness, that forest within a forest.</p>
<p>My own incapacity to give this tree a name seemed suddenly strange to me, and slightly sad. In the ordinary run of things, if I were curious enough about what kind of tree I was looking at, I would have just gone on Google, or downloaded one of those tree-recognising apps, but this option was not available to me. Then it occurred to me that there was something about the not knowing that was somehow right. Not having a human name to give the tree, a category in which to put it, made the tree more real and present to me than it otherwise would have, or so I allowed myself to believe.</p>
<p>At some point it came to my attention that I was no longer bored, and that I had not been bored for some time. This is not to say that I was in a state of high mental stimulation, but that the hours of inactivity had induced in me a kind of meditative stupor, whereby I was receptive to the information of the environment – to the ceaseless clamour of the river, the chattering of the birds overhead, the urgent whisperings of the leaves in the breeze, the modulations of temperature and light – but uninclined to think much about this information, or anything else. I had, I realised, become attuned to the frequencies of the forest. I had found the secret level.</p>
<p>This is a thing that has happened to me whenever I have been alone in nature for an extended period: there occurs, some hours in, a subtle but profound modulation in consciousness whereby I come to experience myself as part of the place I am in, as an organism among organisms. This is a state of mind in which I can watch a small spider crawl along my arm for many minutes, feeling a kind of sentimental fellowship with this busy, delicate creature, whom in the normal run of things I would not hesitate to brush off in irritation or disgust.</p>
<p>In these moments, I find myself thinking of the place itself as somehow conscious of my presence. To be alone in a forest, and to be thinking of the forest as somehow aware of you: I will acknowledge that this sounds like the very substance of nightmare, but, in fact, it is a strangely beautiful and quietly moving experience, and I think it must be what people mean when they talk about intuiting the presence of God.</p>
<p>The word that comes to mind is immanence – a term I learned as a philosophy undergraduate and which I did not remotely understand until I began to have these experiences of being alone in nature. In his 1836 essay Nature, American poet Ralph Waldo Emerson identifies precisely this sublime phenomenon. “The greatest delight which the fields and woods minister,” he writes, “is the suggestion of an occult relation between man and the vegetable. I am not alone and unacknowledged. They nod to me, and I to them.” It’s a phenomenon that he views as both an apprehension of the divine and a return to the child’s perception of the world. “In the woods,” he writes, “a man casts off his years, as the snake his slough, and at what period soever of life, is always a child.”</p>
<hr class="section-rule"/>
<p><span class="drop-cap"><span class="drop-cap__inner">I</span></span> am struck now by how strongly these lines of Emerson – these ideas of casting off years, of attaining the spirit of early childhood – resonate with the strangest and most unsettling and, in the end, most wonderful aspect of my experience in the woods. While I was there, I didn’t spend much time thinking about reaching 40, and whatever lay beyond. What I thought about was the distant past of my own childhood, which I spent in the countryside, in a house beside a small wood with a little stream running through it: a tamely arcadian surrounding which provided the setting for countless imagined adventures, battles and voyages. Something about sitting alone among the trees, looking at the river, put me in mind of that period of my life. The fact of having all this time now, and nothing to do with it; the slow process by which intense boredom had given way to a kind of absent-minded and playful immersion: these were things I associated with my own childhood. I remembered what Andres Roberts had said about re-enchantment, about time in nature as a means of returning to a more childlike engagement with the world.</p>
<p>And then for a long time I thought about my son, of how he existed in a thin space between reality and fantasy. I thought of how attached he was to his favourite toy, a small brown rabbit he carried everywhere with him, clutched in the crook of an arm, of how real and alive that rabbit was to him. This was in my mind because the previous evening, as I had unpacked at my hotel, I saw that my wife had slipped among my camping things a stuffed rabbit I myself had been deeply attached to when I was small. She had found it on a recent visit to my parents’ house, where it had been lying around for years in my childhood bedroom. That rabbit, with its floppy long limbs and its black button eyes and its faded blue dungarees, had been as real to me, as invested with surplus love, as my son’s stuffed rabbit now was to him. I thought of how soon – a year from now, or maybe less – my son’s rabbit would stop being real to him, how soon his world would lose the magic he himself had breathed into it.</p>
<p>And I thought with a pang of how I was always hurrying him – to get dressed, to get out the door for school, to finish his dinner, to get ready for bed – and of how heedlessly I was inflicting upon him my own anxious awareness of time as an oppressive force. How before he knew where he was, his own childhood would have receded into the past, and he too would be out of the secret level of childhood and into the laterally scrolling world of adulthood.</p>
<p>As the sun was going down in Dartmoor, I put up my tent and, in the dwindling light of the forest, rummaged in my backpack for my head-mounted torch. Inside the backpack, my hand encountered again the familiar softness of the stuffed rabbit. I held the toy a moment, smiled again at this touching and witty gesture of my wife’s, and then decided to take a photo of it to send to her when I had mobile coverage the following day. I propped the rabbit against the outer lining of the tent and turned away to rummage again in my bag for my phone, and when I turned back I was overcome by a shock of recognition. I was seeing the rabbit not as I had seen it a moment before, as an intriguing relic of the submerged civilisation of my childhood, but as I had seen it as a small boy.</p>
<p>The rabbit was entirely alive to me in that moment. It was as though all the love I had invested in this object in those days was still contained within it, within him, and the experience of its sudden animation was overwhelming. I was looking at the rabbit, and the rabbit was looking at me, and it was seeing me, and I was both myself and the child I had once been. Whatever complex of emotions I was feeling was neither sentimental nor nostalgic in character, but powerfully existential. I felt simultaneously closer to myself as a child than I had in all the years of adulthood, and yet that sudden closeness came as an experience of loss, of immeasurable distance. It was as though time had folded in on itself, and the present was touching the past. There I was, as close to 40 as made no difference, alone in a forest on a moonless night and weeping with cathartic abandon at the sight of a threadbare stuffed animal. I was mourning my childhood, and the mourning felt long overdue.</p>
<hr class="section-rule"/>
<p><span class="drop-cap"><span class="drop-cap__inner">I</span></span> woke early, and lay still for a time listening to water dropping from the branches and leaves onto the outer layer of my tent. I had slept more soundly than I had expected, given the hard ground beneath me and the mummifying strictures of the sleeping bag. The absolute darkness and solitude had aroused neither loneliness nor unease. I had felt strangely at home with the sounds and silences of the forest at night.</p>
<p>Until very recently, the idea of spending a rainy morning alone in a forest would have been a profoundly unattractive one, but I found myself relishing the prospect of these last hours. The restlessness I had experienced the previous day, in that last stretch of the solo, was entirely absent now, the question of what to do with myself for several hours having come to seem nowhere near as pressing. The idea of such a question felt, in fact, somehow absurd. I went to the edge of my circle and sat down, and looked at the river.</p>
<p>You would have thought that I’d have been more or less done with looking at the river by now, but in fact I was eager to get stuck into it again after the long night-time hours of not looking at the river. In terms of the diversions that were presently available to me, looking at the river was the hottest ticket in town. And so I sat there at the edge of my little circle on the riverbank and binge-watched the river. There is, it turns out, a lot going on at any one time in a river, especially if you’ve got nothing else to be looking at.</p>
<p>There were birds coming and going all the time, skimming low over the water and landing on the banks. There was the occasional ambiguous shape flitting on the periphery of my vision that may well have been some kind of leaping fish. I attended in particular to a bit of river directly in front of me where the water plunged low into a sort of miniature waterfall, immediately after which it appeared to run backward into itself, a phenomenon I couldn’t begin to try to account for, but for which the most likely culprit seemed to be gravity. I stared at this spectacle for so long that a kind of optical illusion began to assert itself, whereby when I glanced up at the opposite bank, the long grass and drooping ferns seemed themselves to be engaged in sympathetic movements, swirling impossibly before my eyes. It could have been the effect of hours of meditative inactivity, or it could just have been hunger, but there was something mildly trippy about the experience.</p>
<p>Around noon, I heard a gently insistent bird call coming from a little way upriver. I turned toward it, and saw Roberts standing not far off with his back against a tree trunk, making an owl sound with his hands cupped to his mouth. I gathered my things, and we walked in silence out of the forest, him keeping several paces behind me. This seemed both entirely deliberate and entirely natural, and its effect was to preserve a measure of my solitude as I gradually emerged from the circle, out of the secret level and back into time.</p>
