title: 9/12 - by Edward Snowden
url: https://edwardsnowden.substack.com/p/9-12
hash_url: 6201ca5ee00ceafd79ab4a889a20419e

<h5>The following is an excerpt from my memoir, <strong><a href="https://us.macmillan.com/books/9781250237231" rel="">Permanent Record</a></strong>, available in most languages wherever fine books are sold.</h5><p></p><p>Pandemonium, chaos: our most ancient forms of terror. They both refer to a collapse of order and the panic that rushes in to fill the void. For as long as I live, I’ll remember retracing my way up Canine Road—the road past the NSA’s headquarters—after the Pentagon was attacked. Madness poured out of the agency’s black glass towers, a tide of yelling, ringing cell phones, and cars revving up in the parking lots and fighting their way onto the street. At the moment of the worst terrorist attack in American history, the staff of the NSA—the major signals intelligence agency of the American Intelligence Community (IC)—was abandoning its work by the thousands, and I was swept up in the flood.</p><p>NSA director <a href="https://www.washingtonpost.com/investigations/us-surveillance-architecture-includes-collection-of-revealing-internet-phone-metadata/2013/06/15/e9bf004a-d511-11e2-b05f-3ea3f0e7bb5a_story.html" rel="">Michael Hayden</a><strong> </strong>issued the <a href="http://www.historycommons.org/context.jsp?item=a930nsaevacuated#a930nsaevacuated" rel="">order to evacuate</a> before most of the country even knew what had happened. Subsequently, the NSA and the CIA—which also evacuated all but a skeleton crew from its own headquarters on 9/11—would explain their behavior by citing a concern that one of the agencies might potentially, possibly, perhaps be the target of the fourth and last hijacked airplane, United Airlines Flight 93, rather than, say, the White House or Capitol.</p><p>I sure as hell wasn’t thinking about the next likeliest targets as I crawled through the gridlock, with everyone trying to get their cars out of the same parking lot simultaneously. I wasn’t thinking about anything at all. What I was doing was obediently following along, in what today I recall as one totalizing moment—a clamor of horns (I don’t think I’d ever heard a car horn at an American military installation before) and out-of-phase radios shrieking the news of the South Tower’s collapse while the drivers steered with their knees and feverishly pressed redial on their phones. I can still feel it—the present-tense emptiness every time my call was dropped by an overloaded cell network, and the gradual realization that, cut off from the world and stalled bumper to bumper, even though I was in the driver’s seat, I was just a passenger.</p><p>The stoplights on Canine Road gave way to humans, as the NSA’s special police went to work directing traffic. In the ensuing hours, days, and weeks they’d be joined by convoys of Humvees topped with machine guns, guarding new roadblocks and checkpoints. Many of these new security measures became permanent, supplemented by endless rolls of wire and massive installations of surveillance cameras. With all this security, it became difficult for me to get back on base and drive past the NSA—until the day I was employed there.</p><p><hr></p><p>Try to remember the biggest family event you’ve ever been to—maybe a family reunion. How many people were there? Maybe 30, 50? Though all of them together comprise your family, you might not really have gotten the chance to know each and every individual member. <a href="https://en.wikipedia.org/wiki/Dunbar%27s_number" rel="">Dunbar’s number</a>, the famous estimate of how many relationships you can meaningfully maintain in life, is just 150. Now think back to school. How many people were in your class in grade school, and in high school? How many of them were friends, and how many others did you just know as acquaintances, and how many still others did you simply recognize? If you went to school in the United States, let’s say it’s a thousand. It certainly stretches the boundaries of what you could say are all “your people,” but you may still have felt a bond with them.</p><p>Nearly three thousand people died on 9/11. Imagine everyone you love, everyone you know, even everyone with a familiar name or just a familiar face—and imagine they’re gone. Imagine the empty houses. Imagine the empty school, the empty classrooms. All those people you lived among, and who together formed the fabric of your days, just not there anymore. The events of 9/11 left holes. Holes in families, holes in communities. Holes in the ground.  </p><p>Now, consider this: <a href="https://www.democracynow.org/2015/3/25/headlines/study_us_wars_have_left_over_1_million_dead_in_iraq_afghanistan_pakistan" rel="">over one million people</a> have been killed in the course of America’s response.</p><p>The two decades since 9/11 have been a litany of American destruction by way of American self-destruction, with the promulgation of secret policies, secret laws, secret courts, and secret wars, whose traumatizing impact—whose very existence—the US government has repeatedly classified, denied, disclaimed, and distorted. After having spent roughly half that period as an employee of the American Intelligence Community and roughly the other half in exile, I know better than most how often the agencies get things wrong. I know, too, how the collection and analysis of intelligence can inform the production of disinformation and propaganda, for use as frequently against America’s allies as its enemies—and sometimes against its own citizens. Yet even given that knowledge, I still struggle to accept the sheer magnitude and speed of the change, from an America that sought to define itself by a calculated and performative respect for dissent to a security state whose militarized police demand obedience, drawing their guns and issuing the order for total submission now heard in every city: “Stop resisting.”</p><p>This is why whenever I try to understand how the last two decades happened, I return to that September—to that ground-zero day and its immediate aftermath. To return to that fall means coming up against a truth darker than the lies that tied the Taliban to al-Qaeda and conjured up Saddam Hussein’s illusory stockpile of WMDs. It means, ultimately, confronting the fact that the carnage and abuses that marked my young adulthood were born not only in the executive branch and the intelligence agencies, but also in the hearts and minds of all Americans, myself included.</p><p>I remember escaping the panicked crush of the spies fleeing Fort Meade just as the North Tower came down. Once on the highway, I tried to steer with one hand while pressing buttons with the other, calling family indiscriminately and never getting through. Finally I managed to get in touch with my mother, who at this point in her career had left the NSA and was working as a clerk for the federal courts in Baltimore. They, at least, weren’t evacuating.</p><p>Her voice scared me, and suddenly the only thing in the world that mattered to me was reassuring her.</p><p>“It’s okay. I’m headed off base,” I said. “Nobody’s in New York, right?”</p><p>“I don’t—I don’t know. I can’t get in touch with Gran.”</p><p>“Is Pop in Washington?”</p><p>“He could be in the Pentagon for all I know.”</p><p>The breath went out of me. By 2001, Pop had retired from the Coast Guard and was now a senior official in the FBI, serving as one of the heads of its aviation section. This meant that he spent plenty of time in plenty of federal buildings throughout DC and its environs.</p><p>Before I could summon any words of comfort, my mother spoke again.“There’s someone on the other line. It might be Gran. I’ve got to go.”</p><p>When she didn’t call me back, I tried her number endlessly but couldn’t get through, so I went home to wait, sitting in front of the blaring TV while I kept reloading news sites. The new cable modem we had was quickly proving more resilient than all of the telecom satellites and cell towers, which were failing across the country.</p><p>My mother’s drive back from Baltimore was a slog through crisis traffic. She arrived in tears, but we were among the lucky ones. Pop was safe.</p><p>The next time we saw Gran and Pop, there was a lot of talk—about Christmas plans, about New Year’s plans—but the Pentagon and the towers were never mentioned.</p><p>My father, by contrast, vividly recounted his 9/11 to me. He was at Coast Guard Headquarters when the towers were hit, and he and three of his fellow officers left their offices in the Operations Directorate to find a conference room with a screen so they could watch the news coverage. A young officer rushed past them down the hall and said, “They just bombed the Pentagon.” Met with expressions of disbelief, the young officer repeated, “I’m serious—they just bombed the Pentagon.” My father hustled over to a wall-length window that gave him a view across the Potomac of about two-fifths of the Pentagon and swirling clouds of thick black smoke.</p><p>The more that my father related this memory, the more intrigued I became by the line: “They just bombed the Pentagon.” Every time he said it, I recall thinking, “They”? Who were “They”?</p><p>America immediately divided the world into “Us” and “Them,” and everyone was either with “Us” or against “Us,” as President Bush so memorably remarked even while the rubble was still smoldering. People in my neighborhood put up new American flags, as if to show which side they’d chosen. People hoarded red, white, and blue Dixie cups and stuffed them through every chain-link fence on every overpass of every highway between my mother’s home and my father’s, to spell out phrases like UNITED WE STAND and STAND TOGETHER NEVER FORGET.</p><p>I sometimes used to go to a shooting range and now alongside the old targets, the bull’s-eyes and flat silhouettes, were effigies of men in Arab headdress. Guns that had languished for years behind the dusty glass of the display cases were now marked SOLD. Americans also lined up to buy cell phones, hoping for advance warning of the next attack, or at least the ability to say good-bye from a hijacked flight.</p><p>Nearly a hundred thousand spies returned to work at the agencies with the knowledge that they’d failed at their primary job, which was protecting America. Think of the guilt they were feeling. They had the same anger as everybody else, but they also felt the guilt. An assessment of their mistakes could wait. What mattered most at that moment was that they redeem themselves. Meanwhile, their bosses got busy campaigning for extraordinary budgets and extraordinary powers, leveraging the threat of terror to expand their capabilities and mandates beyond the imagination not just of the public but even of those who stamped the approvals.</p><p>September 12 was the first day of a new era, which America faced with a unified resolve, strengthened by a revived sense of patriotism and the goodwill and sympathy of the world. In retrospect, my country could have done so much with this opportunity. It could have treated terror not as the theological phenomenon it purported to be, but as the crime it was. It could have used this rare moment of solidarity to reinforce democratic values and cultivate resilience in the now-connected global public.</p><p>Instead, it went to war.  </p><p>The greatest regret of my life is my reflexive, unquestioning support for that decision. I was outraged, yes, but that was only the beginning of a process in which my heart completely defeated my rational judgment. I accepted all the claims retailed by the media as facts, and I repeated them as if I were being paid for it. I wanted to be a liberator. I wanted to free the oppressed. I embraced the truth constructed for the good of the state, which in my passion I confused with the good of the country. It was as if whatever individual politics I’d developed had crashed—the anti-institutional hacker ethos instilled in me online, and the apolitical patriotism I’d inherited from my parents, both wiped from my system—and I’d been rebooted as a willing vehicle of vengeance. The sharpest part of the humiliation comes from acknowledging how easy this transformation was, and how readily I welcomed it.</p><p>I wanted, I think, to be part of something. Prior to 9/11, I’d been ambivalent about serving because it had seemed pointless, or just boring. Everyone I knew who’d served had done so in the post–Cold War world order, between the fall of the Berlin Wall and the attacks of 2001. In that span, which coincided with my youth, America lacked for enemies. The country I grew up in was the sole global superpower, and everything seemed—at least to me, or to people like me—prosperous and settled. There were no new frontiers to conquer or great civic problems to solve, except online. The attacks of 9/11 changed all that. Now, finally, there was a fight.</p><p>My options dismayed me, however. I thought I could best serve my country behind a terminal, but a normal IT job seemed too comfortable and safe for this new world of asymmetrical conflict. I hoped I could do something like in the movies or on TV—those hacker-versus-hacker scenes with walls of virus-warning blinkenlights, tracking enemies and thwarting their schemes. Unfortunately for me, the primary agencies that did that—the NSA, the CIA—had their hiring requirements written a half century ago and often rigidly required a traditional college degree, meaning that though the tech industry considered my <a href="https://www.aacc.edu/" rel="">AACC</a> credits and MCSE certification acceptable, the government wouldn’t. The more I read around online, however, the more I realized that the post-9/11 world was a world of exceptions. The agencies were growing so much and so quickly, especially on the technical side, that they’d sometimes waive the degree requirement for military veterans. It’s then that I decided to join up.</p><p>You might be thinking that my decision made sense, or was inevitable, given my family’s record of service. But it didn’t and it wasn’t. By enlisting, I was as much rebelling against that well-established legacy as I was conforming to it—because after talking to recruiters from every branch, I decided to join the army, whose leadership some in my Coast Guard family had always considered the crazy uncles of the US military.</p><p>When I told my mother, she cried for days. I knew better than to tell my father, who’d already made it very clear during hypothetical discussions that I’d be wasting my technical talents there. I was twenty years old; I knew what I was doing.</p><p>The day I left, I wrote my father a letter—handwritten, not typed—that explained my decision, and slipped it under the front door of his apartment. It closed with a statement that still makes me wince. “I’m sorry, Dad,” I wrote, “but this is vital for my personal growth.”  </p>

