title: CommunityWiki: Smol Net
url: https://communitywiki.org/wiki/SmolNet
hash_url: cd910565715dbc18d4b31ad60546a4a3

<p>The “smol” net is the “small” net. It’s small because it is build for friends and friends of friends. It doesn’t have to scale to millions of people because those millions should build their own local small nets.</p><p>That is:</p><ul><li>servers are small, with fewer resources (cores, RAM, disk space)</li><li>communities are small (sometimes the number of accounts are limited arbitrarily)</li></ul><p>That is, there is a plan to <i>limit growth</i>. Since scale is not a goal, the technology stack can be <i>simpler</i> and <i>easier to understand</i>. The smol net prefers <a class="local" href="https://communitywiki.org/wiki/SimpleSystems">simple systems</a>.</p><h2>Smolnet communities</h2><ul><li>Pubnix systems and the family of Tilde servers offer all sorts of hosting and shell access</li><li>The Circumlunar spaces offer Gemini hosting, shell access</li><li>Local, non-federating chat servers are simple to set up and run for a community</li></ul><h2>What is the smol net?</h2><p><a class="fediverse" href="https://mastodon.sdf.org/users/Shufei">@Shufei</a> said:</p><blockquote><p>There’s a nascent movement offing, I think. Retrotech started it, hacker culture and tech, natch, but it’s incorporating new stuff like Gemini. Textnet, “slow internet”, I call it smolnet. People are tired of the corporate behemoths and cacophony. Demimondes like SDF provide a respite from all that, and a forum for some resistance and development apart from the bloat and blather. There’s a demotic tinge to it all in the hacker tradition, but without necessitating 1337ness.</p></blockquote><p> Talon’s post <a class="url https outside" href="https://talon.computer/log/small-web/">Small Web</a> said:</p><blockquote><p>Unfortunately, capitalism has been working ever diligently in the opposite direction towards hooking people into unhealthy computing practices. It can feel hopeless hearing my loved ones actively complain about how Facebook and Twitter make them feel bad yet continue checking their timeline throughout the day. … By reconsidering the utility of time-tested protocols and hobbling together a few new ones, a growing community of people are leaving the proprietary world of flashy social-media websites to slow down and enjoy life accented by computers, not controlled by them. … On the Small Web, communities host themselves which means cross-domain browsing is very much encouraged and an important feature of the network at large. Real people, not corporations, host the Small Web.</p></blockquote><h2>Applying the concept of smol net</h2><p>The emphasis on the small net or <i>smol</i> in general is surprisingly fruitful.</p><p>Here’s an example of how to use “smol” in reasoning about web crawlers.</p><p>Do you ever think about web crawlers? The Googlebots and Bingbots of this world? They don’t know whether a site is active or not. And since they have tons of money and work at scale, they just crawl the web permanently. They don’t mind the CO₂ they produce. Maybe they think their energy is green. They don’t mind the CO₂ <i>your</i> site produces as it serves their useless crawling, since that CO₂ is on you, not on <i>them</i>. They operate at scale, so they can’t ask you for your permission. It would take forever to ask everybody for permission, they say. It doesn’t scale, they say! Ah, but that’s only important to them because when it scales, they can make money. <i>You</i> don’t care if it scales! They also can’t be arsed to learn how your site works. Perhaps they should simply subscribe their machines to your feed. That’s where all the new stuff is, after all. But no, if it’s all the same to you, they don’t believe in feeds and they’d rather just download your site all over, follow all the links. Perhaps, if they’re nice and did their job, they’ll observe the [[Robots_exclusion_standard<a class="edit" href="https://communitywiki.org/wiki?action=edit;id=Robots_exclusion_standard" rel="nofollow" title="Click to edit this page">?</a>]]. If you were an obedient citizen of the world, you will have written the <code>robots.txt</code> file they require, and you will have organised the URLs of your site such that the exclusion rules actually work. This might not be obvious but you can only exclude URL path prefixes, so it is impossible to exclude URLs that <i>end</i> in <code>/history</code> for example. You can only exclude URLs where the path <i>starts</i> with <code>/history</code>. And then the cancer grows. Bots can have their dedicated sections in the <code>robots.txt</code> file. They are expected to self-identify via the user agent header on the web. Now you can write more complicated rules on your server taking the user agent into account. And slowly but surely you have been pulled into the arms race, have made your technology stack more complicated, have spent time of your short life on dealing with problems <i>they</i> are causing, because <i>they</i> are making money, where as <i>your</i> website will crash and burn as it runs out of memory and CPU. They will say: why didn’t you install a caching proxy? Why don’t you rate limit access? Did you double check your setup? And more time is spent on the corpocaca web of scaling shit. Until you emerge on the other end, proud of what you have done not because it was easy but because it was hard. Now you can offer the same kind of condescending advice to newbies! Sweet, sweet <i>knowledge is power</i>. Of course, it was useless and unwanted knowledge. You could have played a musical instrument or painted some flowers, but no, you had to fix your website because you were thinking small and they are operating at scale. This is why you can never talk to a human on their side, and if you do, they can’t fix it for you. It wouldn’t scale. And if it doesn’t scale, it doesn’t pay. So you go with the flow and waste away your life.</p><p>Or you could decide to do your best and leave it. Join the small web instead. Discover other “smol” tech outside the web.</p><h2>Failing at being smol</h2><p>Let’s use a different example: Wikipedia. With wikis still being non-federating, one would think that they don’t really scale. And indeed, Google, Facebook, Twitter, Amazon: none of them run one big wiki to rule them all. But in a way, Wikipedia does. How?</p><p>Mediawiki (the <a class="near" href="http://www.usemod.com/cgi-bin/mb.pl?WikiEngine" title="MeatBall">wiki engine</a> Wikipedia uses) has some features that were new at the time. Sure, technically, Wikipedia is surrounded by caching servers and all of that. But more fundamentally, from a social perspective:</p><p>There is no useful, unified list of recent changes. The torrent of changes is simply too big for individuals to absorb. Instead, people often just see their own <a class="near" href="http://www.usemod.com/cgi-bin/mb.pl?SubscribedChanges" title="MeatBall">subscribed changes</a>. Thus, there is no community to build around community editing. There are no <a class="near" href="http://www.usemod.com/cgi-bin/mb.pl?RecentChangesJunkies" title="MeatBall">RecentChangesJunkies</a> for the entire site.</p><p>If at all, communities form around subsets of pages. Pages belong to categories and some editors feel particular affinity with just a few categories. The “Project Gemini” page, for example, belongs to:</p><ul><li>Project Gemini</li><li>Space program of the United States</li><li>History of the United States (1945–1964)</li><li>History of the United States (1964–1980)</li><li>1962 establishments in the United States</li><li>1966 disestablishments in the United States</li><li>Engineering projects</li><li>Human spaceflight programs</li><li>Crewed spacecraft</li><li>Military projects of the United States</li></ul><p>Quite disparate fields of interest!</p><h2>See Also</h2><p>« … we need to adopt a broader view of what it will take to fix the brokenness of the social web. That will require challenging the logic of today’s platforms — and first and foremost challenging the very concept of megascale as a way that humans gather. If megascale is what gives Facebook its power, and what makes it dangerous, collective action against the web as it is today is necessary for change.» – in <a class="url https outside" href="https://www.theatlantic.com/technology/archive/2020/12/facebook-doomsday-machine/617384/">Facebook is a Doomsday Machine</a> by Adrienne LaFrance, for The Atlantic, via <a class="url https outside" href="https://tech.slashdot.org/story/21/01/03/2321217/the-atlantic-urges-humankind-to-fix-the-social-web">Slashdot</a></p><p>«We’ve been killing conversations about software with “That won’t scale” for so long we’ve forgotten that scaling problems aren’t inherently fatal. … Situated software isn’t a technological strategy so much as an attitude about closeness of fit between software and its group of users, and a refusal to embrace scale, generality or completeness as unqualified virtues.» – <a class="url https outside" href="https://web.archive.org/web/20180429085210/http://shirky.com/writings/herecomeseverybody/situated_software.html">Situated Software</a>, by <a class="local" href="https://communitywiki.org/wiki/ClayShirky">ClayShirky</a>, on the <a class="near" href="http://archive.org" title="CommunityLocalNames">InternetArchive</a></p><hr><p><a class="near" href="http://wiki.c2.com/?CategoryPhilosophy" title="Wiki">CategoryPhilosophy</a></p>
