title: Du soin à la surveillance…
url: https://www.internetactu.net/a-lire-ailleurs/du-soin-a-la-surveillance/
hash_url: d13d382d8d1f51c3e2920029ccca5303

<p>La surveillance relève la plupart du temps de la coercition, mais bien souvent, elle nous est présentée comme un moyen de prendre soin des autres, et cet argument sert à nous y adapter, à normaliser et justifier la surveillance. Le problème, c’est que l’argument de la protection de nos proches, comme le proposent nombre de technologies proposées aux parents par exemple, contribue à l’acceptation finalement de bien d’autres formes de surveillance. Pour autant, si la surveillance relève bien <a href="https://www.internetactu.net/2019/11/05/interdire-la-reconnaissance-faciale-13-la-reconnaissance-faciale-nest-pas-une-technologie-cest-une-ideologie/">d’une idéologie</a>, si la surveillance de nos proches peut relever du soin, elle a des conséquences problématiques sur nos capacités à faire société, <a href="https://www.internetactu.net/2019/06/25/quel-controle-democratique-sur-la-videosurveillance-privee-en-reseau/">quand elle instrumente et alimente nos anxiétés en réseaux</a>.   </p>
<h2>De la surveillance des enfants à la surveillance d’État : un continuum</h2>
<p><img src="https://www.internetactu.net/wp-content/uploads/2021/06/distancecurezeavin.jpg" alt="Couverture du livre The Distance Cure de Hannah Zeavin" title="Couverture du livre The Distance Cure de Hannah Zeavin" class="alignright size-medium wp-image-35317">En février, <a href="https://www.zeavin.org/">Hannah Zeavin</a> (<a href="https://twitter.com/hzeavin">@hzeavin</a>), historienne spécialiste des technologies médicales (qui s’apprête à publier cet été <em><a href="https://mitpress.mit.edu/books/distance-cure">The Distance Cure</a></em>, MIT Press, 2021, une histoire de la « téléthérapie »), revenait <a href="https://reallifemag.com/family-scanning/">pour <em>Real Life</em></a> (<a href="https://twitter.com/_reallifemag">@_reallifemag</a>) sur l’origine du babyphone, ce fantasme de vigilance parentale. Depuis <a href="https://fr.wikipedia.org/wiki/Affaire_du_b%C3%A9b%C3%A9_Lindbergh">l’enlèvement du bébé Lindbergh</a> au début des années 30 et la frénésie médiatique qui l’a accompagné, la peur des disparitions d’enfants a façonné les technologies de leur surveillance. <em>« La promesse d’étendre et d’augmenter l’attention et la protection parentales a conduit à la commercialisation et au développement de nombre de technologies parentales de surveillance des enfants comme de ceux qui en ont la charge »</em>. L’intensification de la surveillance parentale liée aux vulnérabilités des enfants définit différentes menaces face auxquelles les enfants ne sont pourtant pas tous égaux socialement. Pour autant, ces modalités modernes de surveillance n’ont cessé de s’étendre : le babyphone inventé à la fin des années 30 est désormais utilisé par environ 75 % des parents américains. Il a été complété depuis de nombreux autres appareils (bracelets GPS, dispositifs biométriques…) dans une offre d’innovation toujours plus étendue. Ces surveillances ont l’air innocentes, mais leurs implications ne sont pas sans poser problème, à l’image des caméras pour surveiller celles et ceux qui s’occupent des enfants. Lorsqu’elles sont apparues, l’industrie et la culpabilité parentale ont été stimulées par les images qui en ont été diffusées. L’anxiété s’ajoute au classisme, voire au sexisme ou au racisme, et participe notamment d’une matrice psychologique ancienne à l’égard des travailleurs domestiques comme des enfants. </p>
<p>Les dispositifs de surveillance numériques tiennent de dispositifs d’auto-apaisements, explique Hannah Zeavin. <em>« Le soin s’accommode et justifie la surveillance et la présente comme une nécessité de sécurité, une nécessité « éthique », plutôt que comme un choix politique »</em>. Les technologies de surveillance domestiques se présentent comme permettant de renforcer les barrières entre l’extérieur et l’intérieur, alors que les captures qu’elles produisent (données et vidéo notamment) ouvrent de nouvelles voies d’intrusion dans les foyers (par d’autres services que ce soit la police ou les fournisseurs de technologies, mais aussi par leur piratage…), renforçant finalement les anxiétés qu’elles sont censées apaiser. Ces technologies ne cessent de renforcer leurs techniques pour lutter contre l’anxiété qu’elles génèrent, comme quand les babyphones se dotent de capteurs biométriques pour tenter de distinguer le sommeil d’un arrêt respiratoire. En fait, souligne l’historienne, ces outils développent surtout l’anxiété des parents : la compulsion à leur vérification conduit nombre d’entre à des insomnies voire à des dépressions et les faux positifs de ces appareils conduisent également nombre de parents jusqu’aux services pédiatriques d’urgence <a href="https://www.nytimes.com/2020/04/17/parenting/owlet-baby-monitor.html">expliquait le <em>New York Times</em></a>. </p>
<p>Pour Hannah Zeavin, la surveillance des enfants et la surveillance d’État sont moins distinctes qu’il n’y paraît. L’utilisation de technologies parentales peut sembler un choix individuel, mais leur portée dépasse souvent ce cadre par les impacts qu’ils peuvent produire auprès de services sociaux, des services de police ou par l’entretien voire le renforcement des préjugés culturels de la société. Le risque de leur généralisation ou de leur extension (à l’école notamment) montre que les compromis moraux et politiques des parents ont un impact au-delà de la cellule privée. Du soin à la surveillance, il y a un continuum d’anxiété qui a des effets sur la société elle-même.  </p>
<h2>Distinguer le soin de la surveillance : une question de genre ?</h2>
<p>Dans <a href="https://reallifemag.com/the-weaponization-of-care/">un autre article</a> du magazine <em>Real Life</em>, <a href="http://autummcaines.com/">Autumm Caines</a> (<a href="https://twitter.com/autumm">@autumm</a>) revient sur la militarisation du soin. Pour cela, la chercheuse rappelle la distinction établie par <a href="https://fr.wikipedia.org/wiki/%C3%89thique_de_la_sollicitude">l’éthique de la sollicitude</a> (ou éthique du <em>care</em>), dans les travaux fondateurs des années 80  de <a href="https://en.wikipedia.org/wiki/Nel_Noddings">Nel Noddings</a> (auteure de <em><a href="https://www.ucpress.edu/book/9780520275706/caring">Caring</a></em>, University of California Press, 1984, non traduit) et de <a href="https://fr.wikipedia.org/wiki/Carol_Gilligan">Carol Gilligan</a> (auteure de <em><a href="https://editions.flammarion.com/une-voix-differente/9782081479388">Une voix différente</a></em>, 1986) : à savoir, la distinction entre <em>« l’attention vertueuse »</em> et <em>« l’attention relationnelle »</em>, la première étant plus théorique et générale, quand la seconde est plus intime et contingente – la seconde étant souvent plus dévaluée que la première et plus souvent féminisée. Les deux semblent pourtant pareillement utilisées pour justifier le déploiement de la surveillance de nos proches, pourtant elles restent mobilisées distinctement l’une de l’autre. Pour Caines, cela montre que dans la communication, le soin reste distinct du contrôle et que l’on peut adopter l’un sans assumer les implications de l’autre. Cette distinction fait écho à celle établie par <a href="https://starkcontrast.co/">Luke Stark</a> (<a href="https://twitter.com/luke_stark">@luke_stark</a>) et <a href="http://www.karen-levy.net/">Karen Levy</a> (<a href="https://twitter.com/karen_ec_levy">@karen_ec_levy</a>) dans <a href="https://journals.sagepub.com/doi/10.1177/0163443718781985">leur article sur le « consommateur surveillant »</a> qui distingue le consommateur gestionnaire (le vertueux) du consommateur observateur (le relationnel). Par exemple quand les consommateurs sont recrutés pour faire de la surveillance en évaluant les travailleurs des plateformes de services (comme Uber), ils sont recrutés en invoquant un idéal de service au service de la commodité afin d’améliorer la qualité de service plutôt que de prendre soin des travailleurs qui effectuent ces services. Alors que les dispositifs de surveillance du consommateur observateur visent surtout à <em>« améliorer »</em> nos relations, comme le propose un babyphone. <em>« Dans ce paradigme, la surveillance est construite comme étant normativement essentielle aux devoirs de soins (…). L’observation et le contrôle ne sont pas simplement interprétés comme les droits d’un parent responsable, d’un partenaire romantique consciencieux ou d’un enfant aimant, mais comme des obligations inhérentes à ces rôles »</em>. Prendre soin de ceux que nous aimons est l’un des instincts humains les plus forts, et les sociétés de surveillance s’en servent comme d’une vulnérabilité. Pour Caines, <em>« à mesure que les technologies créent des moyens de surveillance toujours plus nuancés, la ligne définissant ce qui est raisonnable de ce qui ne l’est pas devient floue »</em> et permet de justifier des intrusions toujours plus avancées. </p>
<p>Dans un cas comme dans l’autre, la communication joue des stéréotypes de genre qui leur sont liés, pour renforcer ces deux types d’attention aux autres. <em>« Leur lien avec les différentes manières de prendre soin des autres est utilisé pour inciter les gens à adopter des technologies de surveillance contraires à l’éthique, en fonction de la manière dont ils aspirent à s’identifier à ces normes : pour être suffisamment homme ou femme, il faut être capable de démontrer un engagement à surveiller d’une manière particulière »</em>. Ces stéréotypes influencent la façon dont le soin est instrumenté dans des milieux professionnels eux-mêmes sexués et genrés. L’éducation par exemple est truffée de technologies de surveillance, comme <a href="https://hackeducation.com/2020/04/30/surveillance">le montrait la spécialiste du sujet Audrey Watters</a>, avec une approche plus relationnelle quand elle concerne les enfants les plus petits. L’attention vertueuse, elle, est souvent convoquée pour promouvoir des systèmes de surveillance à distance, comme ceux déployés à l’égard des étudiants tels que ProctorU, ce système pour protéger les examens en distancie de la triche, qui visent à protéger l’intégrité académique. Dans ce cas, bien sûr, comme dans celui des plateformes de livraisons, les préjudices subis par les étudiants sont clairement minimisés. Les outils de surveillance, relationnels comme vertueux, sont également très développés dans le domaine de la santé. La poétesse et militante féministe <a href="https://fr.wikipedia.org/wiki/Audre_Lorde">Audre Lorde</a> a rejeté les idées d’un soin sexué. Pour elle, le soin est un acte politique qui nécessite de reconnaître qu’il peut être utilisé comme une arme contre les intérêts des communautés auxquels chacun est relié, contre ses proches et contre soi-même. Pour Caines, cela implique que nous ayons besoin de mieux comprendre les limites du soin. </p>
<p>Hubert Guillaud  </p>
<p><img src="https://www.internetactu.net/wp-content/uploads/2021/06/The-Weaponization-of-Care-%E2%80%94-Real-Life.png" alt="La militarisation du soin sur Real Life" title="La militarisation du soin sur Real Life" class="alignnone size-large wp-image-35612"></p>
