title: I helped pioneer UX design. What I see today disturbs me
url: https://www.fastcompany.com/90642462/i-helped-pioneer-ux-design-what-i-see-today-horrifies-me
hash_url: f5a7f2346b8c7317be12857b52321f52

<div><p>When user experience design broke out of the research labs and into a full-blown industry 20 years ago, the future looked so bright. UX went from the obscure interest of a handful of practitioners to a burgeoning industry demanding thousands of new recruits seemingly overnight. And ever since, the story has been one of more success, ever-increasing influence, and, most important, happier users.</p></div><div><p>I was there for some big parts of that story. In 2001, I cofounded a design agency, Adaptive Path, that turned out to be on the forefront of a huge wave of change for digital products: the arrival of user experience and user-centered design. Many of the tools and concepts we developed became a standard part of the many UX programs that have sprung up since. These days, as a coach to UX leaders, I am having continual conversations with them about the direction of the field. And over and over again, the question I hear is: Where did we go wrong?</p><p>That might sound strange, because in some ways things have never been better for UX. The field is huge and growing. And much of the actual design work is higher quality than it’s ever been. But to those who have been in the field a while, there’s a cloud behind all those silver linings.</p><p>The implicit promise of UX for many of us was a burgeoning philosophy of management by inquiry and insight, in which new creative explorations would lead to new questions about human behavior, which in turn would drive the definition of new product and value opportunities. The culture of UX also seemed to necessitate a degree of respect, compassion, and simple humility toward the people who use what we make, and the ways in which their lives and experiences may shape their behavior to look very different from our own. More exposure to this kind of thinking, the theory went, would lead to more demand for it, and the rising tide of human-centered design would pave the way for human-centered enterprises.</p></div><div><p>That, to put it bluntly, did not happen.</p><p>Instead of challenging teams to stretch their thinking to address deeper and subtler user needs, product design practices have become increasingly less insight-driven. UX processes in many organizations these days amount to little more than <a href="https://www.spydergrrl.com/2020/05/ux-theatre-poster.html" target="_blank" rel="noopener noreferrer">“UX Theatre”</a> (an idea developed by Tanya Snook in 2018): creating the appearance of due diligence and a patina of legitimacy that’s just enough to look like a robust design process to uninformed business leaders and hopeful UX recruits alike.</p><p>Too many UX leaders have seen the field’s language and ideas co-opted and corrupted by outsiders who never knew or cared about the principles underlying the practices. We thought we were winning hearts and minds, but we were really setting ourselves up for exploitation, as businesses cherry-picked the bits of UX most compatible with their existing agendas and eschewed the parts that might lead to uncomfortable questions that could influence more than the color of a button on a screen.</p></div><div><p>One such agenda is that of “agile transformation,” which promises to remake organizations to optimize their processes for developer efficiency. This is a win for developers tired of businesses that can’t articulate what they want, but, perhaps more important, it’s a win for businesses trying to wring maximum productivity out of their growing armies of engineers. However, in the rush toward transformation, something has been lost.</p><p>What got lost along the way was a view of UX as something deeper and more significant than a step in the software delivery pipeline: an approach that grounds product design in a broad contextual understanding of the problem and goes beyond the line-item requirements of individual components. Also lost along the way were many of the more holistic and exploratory practices that enabled UX to deliver that kind of foundational value.</p><p>Talk to any highly experienced UX practitioner these days, and most have a favorite method or practice that they’d like to see revived (or restored to its former glory). Research-driven persona development. Concept models. Cocreation sessions. Task flows. These things didn’t get cut out of UX processes because they were unnecessary. They simply didn’t fit a development process that demands clear accountability for every activity and has no space for foundational work that can’t be predictably packaged up into two-week units.</p></div><div><p>Agile’s success at the expense of UX is just one manifestation of a deeper truth: Businesses want scaling. And foundational UX work doesn’t scale. It doesn’t lend itself to predictable, repeatable processes and generic cookie-cutter roles. It can’t, because by definition it deals with unknown, slippery, hard-to-define problems that characterize the leading edge of an organically evolving business.</p><p>The same things that make agile a great fit for scaling engineering work—regular sprint tempos; clearly articulated outcomes to be produced; breaking down the complex, unfolding experience of users into concrete elements that can be tied to code—are the very things that make it a terrible fit for foundational UX work. The holism necessary to do foundational UX is antithetical to the assembly-line chunks of user behavior agile requires.</p><p>Focusing on production-level UX allows organizations to check the “UX” box without having to deal with the messiness that sometimes results when you hire people who are charged with asking questions that have never been asked—questions senior leaders may not know the answers to, or may not want to. The factory floor prefers interchangeable, replaceable parts.</p></div><div><p>Foundational UX is where the stuff that makes people really care about UX happens: the human insights, the collaborative exploration, the creative experimentation. For people joining the field, the disjunction between the dream and the reality can feel like a terrible bait and switch. Sold in school on UX as a noble and creative pursuit, they hit the job market to find roles where every chance for nobility and creativity has been carved out and cleaned away in the name of shipping product.</p><p>It would be fair to say the blame for the current state lies squarely at the doorstep of UX practitioners themselves, who have been slow to create the room for foundational UX by failing to tell a compelling story about the value of that work and build the necessary credibility to get it funded. If UX has failed to live up to its promise to deliver more than production-level value, maybe it was a bad promise in the first place. In other words, what if—just hear me out—what if we were all wrong?</p><p>Or UX’s current malaise could simply be the product of the collective midcareer burnout of its first generation of practitioners, who may have underestimated how slow and messy a grassroots revolution can be. The disgruntlement seems to go up the longer someone has been in the field: The more seasoned and experienced a UX person is, the more likely they are to be asking whether realizing user-centered values is even possible under capitalism. These are definitely questions worth asking and conversations worth having as a community.</p></div><div><p>What no one is saying, interestingly enough, is that UX is struggling because all of the juicy problems have been solved. Despite the accumulation of standards, best practices, and conventional wisdom that comes with any field growing up—not to mention the continual pressure from business to make UX practices simpler and more digestible—the messy complexity of humanity continues to challenge us around the edges. And the organizations looking for more than UX theater are still creating new opportunities there.</p><p>For those new to the field, it’s surely disconcerting to see its elders handwringing over its direction, like an airline pilot announcing that maybe Albuquerque isn’t the best destination for this flight after all. But it’s a sign of the field’s health that questions of its values and intentions are even being raised from within. An actual erosion of the field’s values would be marked by considerably less self-awareness.</p><p>The truth is that UX is now far too big to be considered a single community or even a single set of methods or practices. It used to sort of mean something about an organization that it even had a UX team. Now it can mean anything, or nothing at all. UX now means whatever organizations choose it to mean, for better or worse. For those still fighting the good fight for hearts and minds, influencing how that meaning gets defined is now the heart of the challenge.</p>
</div>
