title: Why we need to reinvent democracy for the long-term
url: http://www.bbc.com/future/story/20190318-can-we-reinvent-democracy-for-the-long-term
hash_url: 44f0cb47043f0627df9ccfb4d8227922

<p> “The origin of civil government,” wrote David Hume in 1739, is that “men are not able radically to cure, either in themselves or others, that narrowness of soul, which makes them prefer the present to the remote.” The Scottish philosopher was convinced that the institutions of government – such as political representatives and parliamentary debates – would serve to temper our impulsive and selfish desires, and foster society’s long-term interests and welfare.</p>

<p>Today Hume’s view appears little more than wishful thinking, since it is so startlingly clear that our political systems have become a cause of rampant short-termism rather than a cure for it. Many politicians can barely see beyond the next election, and dance to the tune of the latest opinion poll or tweet. Governments typically prefer quick fixes, such as putting more criminals behind bars rather than dealing with the deeper social and economic causes of crime. Nations bicker around international conference tables, focused on their near-term interests, while the planet burns and species disappear.</p><p>As the 24/7 news media pumps out the latest twist in the Brexit negotiations or obsesses over a throwaway comment from the US president, the myopia of modern democratic politics is all too obvious. So is there an antidote to this political presentism that pushes the interests of future generations permanently beyond the horizon?</p><p><em>You might also like:</em></p><p>Let’s start with the nature of the problem. It’s common to claim that today’s short-termism is simply a product of social media and other digital technologies that have ratcheted up the pace of political life. But the fixation on the now has far deeper roots.</p><blockquote><p> Politicians might offer enticing tax breaks to woo voters at the next electoral contest, while ignoring long-term issues out of which they can make little immediate political capital </p></blockquote><p>One problem is the electoral cycle, an inherent design flaw of democratic systems that produces short political time horizons. Politicians might offer enticing tax breaks to woo voters at the next electoral contest, while ignoring long-term issues out of which they can make little immediate political capital, such as dealing with ecological breakdown, pension reform or investing in early childhood education. Back in the 1970s, this form of myopic policy-making was dubbed the <a href="https://www.jstor.org/stable/2296528?seq=1#page_scan_tab_contents">“political business cycle”</a>.</p>
<p>Add to this the ability of special interest groups – especially corporations – to use the political system to secure near-term benefits for themselves while passing the longer-term costs onto the rest of society. Whether through the funding of electoral campaigns or big-budget lobbying, the corporate hacking of politics is a global phenomenon that pushes long-term policy making off the agenda.</p><p>The third and deepest cause of political presentism is that representative democracy systematically ignores the interests of future people. The citizens of tomorrow are granted no rights, nor – in the vast majority of countries – are there any bodies to represent their concerns or potential views on decisions today that will undoubtedly affect their lives. It’s a blind spot so enormous that we barely notice it: in the decade I spent as a political scientist specialising in democratic governance, it simply never occurred to me that future generations are disenfranchised in the same way that slaves or women were in the past. But that is the reality. And that’s why hundreds of thousands of schoolchildren worldwide, inspired by Swedish teenager Greta Thunberg, have been <a href="https://www.bbc.co.uk/news/uk-47250424">striking</a> and <a href="https://www.bbc.co.uk/news/world-47581585">marching</a> to get rich nations to reduce their carbon emissions: they have had enough of democratic systems that render them voiceless and airbrush their futures out of the political picture.</p><p>The time has come to face an inconvenient reality: that modern democracy – especially in wealthy countries – has enabled us to colonise the future. We treat the future like a distant colonial outpost devoid of people, where we can freely dump ecological degradation, technological risk, nuclear waste and public debt, and that we feel at liberty to plunder as we please. When Britain colonised Australia in the 18th and 19th Century, it drew on the legal doctrine now known as <em>terra nullius</em> – nobody’s land – to justify its conquest and treat the indigenous population as if they didn’t exist or have any claims on the land. Today our attitude is one of <em>tempus nullius</em>. The future is an “empty time”, an unclaimed territory that is similarly devoid of inhabitants. Like the distant realms of empire, it is ours for the taking.</p>
<p>The daunting challenge we face is to reinvent democracy itself to overcome its inherent short-termism and to address the intergenerational theft that underlies our colonial domination of the future. How to do so is, I believe, the most urgent political challenge of our times.</p><p>Some suggest that democracy is so fundamentally short-sighted that we might be better off with “benign dictators”, who can take the long view on the multiple crises facing humanity on behalf of us all. Amongst them is the eminent British astronomer Martin Rees, who has <a href="https://www.prospectmagazine.co.uk/magazine/if-i-ruled-the-world-martin-rees">written that on critical long-term challenges</a> such as climate change and the spread of bioweapons, “only an enlightened despot could push through the measures needed to navigate the 21st Century safely”. When I recently asked him in a public forum whether he was offering dictatorship as a serious policy prescription to deal with short-termism, and suggested that perhaps he had been joking, he replied, “actually, I was semi-serious”. He then gave the example of China as an authoritarian regime that was incredibly successful at long-term planning, evident in its huge ongoing investment in solar power.</p><p>A surprisingly large number of heads were nodding in the audience, but mine was not amongst them. History has few, if any, examples of dictators who remain benign and enlightened for very long (witness, for instance, <a href="https://www.bbc.co.uk/news/magazine-34592336">China's record on human rights</a>). Moreover, there is <a href="https://www.tandfonline.com/doi/abs/10.1080/13569775.2013.773204">little evidence</a> that authoritarian regimes have a better record on long-term thinking and planning than democratic ones: Sweden, for instance, manages to generate almost <a href="https://yearbook.enerdata.net/renewables/renewable-in-electricity-production-share.html">60% of its electricity</a> through renewables without having a despot in charge (compared to only 26% in China).</p>
<p>A more fundamental point is that there may be ways to reinvent representative democracy to overcome its current bias towards the here and now. In fact, several countries have already embarked on pioneering experiments to empower the citizens of the future. Finland, for instance, has a parliamentary Committee for the Future that scrutinises legislation for its impact on future generations. Between 2001 and 2006 Israel had an <a href="http://www.fdsd.org/ideas/knesset-commission-future-generations/">Ombudsman for Future Generations</a>, although the position was abolished as it was deemed to have too much power to delay legislation.</p><p>Perhaps the best-known contemporary example is in Wales, which established a Future Generations Commissioner, Sophie Howe, as part of the 2015 <a href="https://www.bbc.co.uk/news/uk-wales-44073725">Well-being for Future Generations Act</a>. The role of the commissioner is to ensure that public bodies in Wales working in areas ranging from environmental protection to employment schemes, make policy decisions looking at least 30 years into the future. There are now growing calls for a similar Future Generations Act to cover the <a href="http://www.fdsd.org/lord-john-bird-calls-for-future-generations-act-for-the-uk/">whole UK</a>. It’s an idea that may gain traction with a new <a href="https://www.appgfuturegenerations.com/home">All-Party Parliamentary Group for Future Generations</a>, formed in 2018 with support from Martin Rees, who sits in the House of Lords and clearly still has some faith in the democratic process.</p>
<p>Such initiatives have been criticised, however, for being too reformist and doing little to alter the structure of democratic government at a fundamental level. A more radical alternative has been suggested by the veteran Canadian ecological campaigner <a href="https://www.nationalobserver.com/2018/03/05/news/david-suzuki-fires-death-zone-trudeau-weaver-and-broken-system">David Suzuki</a>, who wants to replace the country’s elected politicians with a randomly selected citizens’ assembly, which would contain everyday Canadians with no party affiliation who would each spend six years in office. In his view, such an assembly, resembling a form of political jury service, would deal more effectively with long-term issues such as climate change and biodiversity loss, and solve the problem of politicians obsessed with the next election.</p><p>But could an assembly of today’s citizens really be able to step into the shoes of future generations and effectively represent their interests? A new movement in Japan called <a href="https://www3.nhk.or.jp/nhkworld/en/radio/plugin/201805110600/">Future Design</a> is attempting to answer this very question. Led by economist Tatsuyoshi Saijo of the Research Institute for Humanity and Nature in Kyoto, the movement has been conducting citizen assemblies in municipalities across the country. One group of participants takes the position of current residents, and the other group imagines themselves to be “future residents” from the year 2060, even wearing <a href="https://www3.nhk.or.jp/nhkworld/en/radio/plugin/201805110600/">special ceremonial robes</a> to aid their imaginative leap forward in time. Multiple studies have shown that the future residents devise far more radical and progressive city plans compared to current ones. Ultimately the movement aims to establish a <a href="https://european.economicblogs.org/voxeu/2018/interests-future-generations">Ministry of the Future</a> as part of central government, and a Department of the Future within all local government authorities, which would use the future citizens’ assembly model for policy-making.</p>
<p>Future Design is partly inspired by the <a href="https://nnigovernance.arizona.edu/oren-lyons-looking-toward-seventh-generation">Seventh Generation Principle</a>, observed by some Native American peoples, where the impact on the welfare of the seventh generation in the future (around 150 years ahead) is taken into account.</p><blockquote><p> What makes this case notable is that the plaintiffs are in their teens or early 20s </p></blockquote><p>Such indigenous thinking has also motivated a major lawsuit in the US, where the youth-led organisation <a href="https://www.ourchildrenstrust.org/">Our Children’s Trust</a> is attempting to secure the legal right to a stable climate and healthy atmosphere for the benefit of all present and future generations. What makes this case notable is that the plaintiffs are in their teens or early 20s. They are arguing the US government has wittingly pursued policies that have contributed to an unstable future climate, a public resource, therefore denying their future constitutional rights. As Ann Carlson, a professor of environmental law at the University of California Los Angeles, <a href="https://www.vox.com/energy-and-environment/2019/2/22/17140166/climate-change-lawsuit-exxon-juliana-liability-kids">told Vox recently</a>: “That’s the brilliance of having children as the plaintiffs…they’re arguing about the future of the planet.” If successful, it will be a landmark case finally granting rights to the citizens of tomorrow.</p><p>What do all these initiatives add up to? We are in the midst of an historic political shift. It is clear that a movement for the rights and interests of future generations is beginning to emerge on a global scale, and is set to gain momentum over coming decades as the twin threats of ecological collapse and technological risk loom ever larger. The dream of a benign dictator is not the only option to deal with our long-term crises. Democracy has taken many forms and been reinvented many times, from the direct democracy of the Ancient Greeks to the rise of representative democracy in the 18th Century. The next democratic revolution – one that empowers future generations and decolonises the future – may well be on the political horizon.</p><p>--</p><p><em><a href="http://www.romankrznaric.com/">Roman Krznaric</a></em><em> is a public philosopher, former political scientist, and founder of the world’s first Empathy Museum. He is currently writing a book on the power of long-term thinking. </em></p>
