title: How yuppies hacked the hacker ethos
url: http://aeon.co/magazine/technology/how-yuppies-hacked-the-original-hacker-ethos/
hash_url: 6a3a772c3cbb34351570865c67548e58

<p>Any large and alienating infrastructure controlled by a technocratic elite is bound to provoke. In particular, it will nettle those who want to know how it works, those who like the thrill of transgressing, and those who value the principle of open access. Take the US telephone network of the 1960s: a vast array of physical infrastructure dominated by a monopolistic telecoms corporation called AT&amp;T. A young Air Force serviceman named John Draper – aka Captain Crunch – discovered that he could manipulate the rules of tone-dialling systems by using children’s whistles found in Cap’n Crunch cereal boxes. By whistling the correct tone into a telephone handset, he could place free long-distance calls through a chink in the AT&amp;T armour.</p>
<p>Draper was one of the first <i>phone phreakers</i>, a motley crew of jokers bent on exploring and exploiting loopholes in the system to gain free access. Through the eyes of conventional society, such phreakers were just juvenile pranksters and cheapskates. Yet their actions have since been incorporated into the folklore of modern hacker culture. Draper said in a 1995 interview: ‘I was mostly interested in the curiosity of how the phone company worked. I had no real desire to go rip them off and steal phone service.’</p>
<p>But in his book <i>Hackers: Heroes of the Computer Revolution</i> (1984), the US journalist Steven Levy went so far as to put up Draper as an avatar of the ‘true hacker’ spirit. Levy was trying to hone in on principles that he believed constituted a ‘hacker ethic’. One such principle was the ‘hands-on imperative’:<br/>
<span class="pullquote">Hackers believe that essential lessons can be learned about the systems – about the world – from taking things apart, seeing how they work, and using this knowledge to create new and even more interesting things.</span></p>
<p>For all his protestations of innocence, it’s clear that Draper’s curiosity was essentially subversive. It represented a threat to the ordered lines of power within the system. The phreakers were trying to open up information infrastructure, and in doing so they showed a calculated disregard for the authorities that dominated it.</p>
<p>This spirit has carried through into the modern context of the internet, which, after all, consists of computers connected to one another via physical telecommunications infrastructure. The internet promises open access to information and online assembly for individual computer owners. At the same time, it serves as a tool for corporate monopolists and government surveillance. The most widely recognised examples of modern ‘hackers’ are therefore groups such as Anonymous and WikiLeaks. These ‘cypherpunks’ and crypto-anarchists are internet natives. They fight – at least in principle – to protect the privacy of the individual while making power itself as transparent as possible.</p>
<p>This dynamic is not unique to the internet. It plays out in many other spheres of life. Consider the pranksters who mess with rail operators by jamming ticket-barrier gates to keep them open for others. They might not describe themselves as hackers, but they carry an ethic of disdain towards systems that normally allow little agency on the part of ordinary individuals. Such hacker-like subcultures do not necessarily see themselves in political terms. Nevertheless, they share a common tendency towards a rebellious creativity aimed at increasing the agency of underdogs.</p>
<p>Unlike the open uprising of the liberation leader, the hacker impulse expresses itself via a constellation of minor acts of insurrection, often undertaken by individuals, creatively disguised to deprive authorities of the opportunity to retaliate. Once you’re attuned to this, you see hacks everywhere. I see it in capoeira. What is it? A dance? A fight? It is a hack, one that emerged in colonial Brazil as a way for slaves to practise a martial art under the guise of dance. As an approach to rebellion, this echoes the acts of subtle disobedience described by James Scott in <i>Weapons of the Weak: Everyday forms of Peasant Resistance</i> (1986).</p>
<p>Hacking, then, looks like a practice with very deep roots – as primally and originally human as disobedience itself. Which makes it all the more disturbing that hacking itself appears to have been hacked.</p>

<p><span class="drop">D</span>espite the hive-mind connotations of faceless groups such as Anonymous, the archetype of ‘the hacker’ is essentially that of an <i>individual</i> attempting to live an empowered and unalienated life. It is <i>outsider</i> in spirit, seeking empowerment outside the terms set by the mainstream establishment.</p>
<p>Perhaps it’s unwise to essentialise this figure. A range of quite different people can think of themselves in those terms, from the lonely nerd tinkering away on DIY radio in the garage to the investigative journalist immersed in politicised muckraking. It seems safe to say, though, that it’s not very hacker-like to aspire to <i>conventional</i> empowerment, to get a job at a blue-chip company while reading <i>The Seven Habits of Highly Effective People</i>. The hacker impulse is <i>critical</i>. It defies, for example, corporate ambitions.</p>
<p>In my book <i>The Heretic’s Guide to Global Finance</i> (2013), I used this figure of the hacker as a model for readers wishing to challenge the global financial system. The machinery of global capital tends to be seen as complex, disempowering and alienating. The traditional means of contesting it is to build groups – such as Occupy Wall Street – to influence politicians and media to pressure it on your behalf. But this sets up a familiar dynamic: the earnest activist pitted against the entrenched interests of the business elite. Each group defines itself against the other, settling into a stagnant trench warfare. The individual activists frequently end up demoralised, complaining within echo-chambers about their inability to impact ‘the system’. They build an identity based on a kind of downbeat martyrdom, keeping themselves afloat through a fetishised solidarity with others in the same position.</p>
<p class="aeon-explore-panel-video" data-video-id="36358"/>
<p>I was attracted to the hacker archetype because, unlike the straightforward activist who defines himself in direct opposition to existing systems, hackers work <i>obliquely</i>. The hacker is ambiguous, specialising in deviance from established boundaries, including ideological battle lines. It’s a trickster spirit, subversive and hard to pin down. And, arguably, rather than aiming towards some specific reformist end, the hacker spirit is a ‘way of being’, an attitude towards the world.</p>
<p>Take, for example, the urban explorer subculture, chronicled by Bradley Garrett in <i>Explore Everything: Placehacking the City</i> (2013). The search for unusual detours – through a sewer system, for example – is exhilarating because you see things that you’re not <i>supposed</i> to be interested in. Your curiosity takes you to places where you <i>don’t belong</i>. It thus becomes an assertion of individual defiance of social norms. The byproduct of such exploration is pragmatic knowledge, the disruption of standard patterns of thought, and also dealienation – you see what’s behind the interfaces that surround us, coming closer to the reality of our social world.</p>
<blockquote><p>the hacker modifies the machine to make it self-destruct, or programmes it to frustrate its owners, or opens its usage to those who don’t own it</p></blockquote>
<p>This is a useful sensibility to cultivate in the face of systems that create psychological, political and economic barriers to access. In the context of a complex system – computer, financial or underground transit – the political divide is always between well-organised, active insiders versus diffuse, passive outsiders. Hackers challenge the binary by seeking <i>access</i>, either by literally ‘cracking’ boundaries – breaking in – or by redefining the lines between those with permission and those without. We might call this <i>appropriation</i>.</p>
<p>A figure of economic power such as a factory owner builds a machine to extend control. The activist Luddite might break it in rebellion. But the hacker explores and then modifies the machine to make it self-destruct, or programmes it to frustrate the purpose of it owners, or opens its usage to those who do not own it. The hacker ethic is therefore a composite. It is not <i>merely</i> exploratory curiosity or rebellious deviance or creative innovation within incumbent systems. It emerges from the intersection of all three.</p>
<p><span class="drop">T</span>he word ‘hacker’ came into its own in the age of information technology (IT) and the personal computer. The subtitle of Levy’s seminal book – <i>Heroes of the Computer Revolution</i> – immediately situated hackers as the crusaders of computer geek culture. While some hacker principles he described were broad – such as ‘mistrust authority’ and ‘promote decentralisation’ – others were distinctly IT-centric. ‘You can create art and beauty on a computer,’ read one. ‘All information should be free,’ declared another.</p>
<p>Ever since, most popular representations of the hacker way have followed Levy’s lead. Neal Stephenson’s cyberpunk novel <i>Snow Crash</i> (1992) featured the code-wielding Hiro as the ‘last of the freelance hackers’. The film <i>Hackers</i> (1995) boasted a youthful crew of jargon-rapping, keyboard-hammering computer ninjas. The media stereotype that began to be constructed was of a precocious computer genius using his technological mastery to control events or battle others. It remains popular to this day. In the James Bond film <i>Skyfall</i> (2012), the gadget-master Q is reinvented by the actor Ben Whishaw as a young hacker with a laptop, controlling lines of code with almost superhuman efficiency, as if his brain was wired directly into the computer.</p>
<blockquote><p>In the hands of a sensationalist media, the ethos of hacking is conflated with the act of cracking computer security</p></blockquote>
<p>In a sense, then, computers were the making of the hacker, at least as a popular cultural image. But they were also its undoing. If the popular imagination hadn’t chained the hacker figure so forcefully to IT, it’s hard to believe it ever would have been demonised in the way it has been, or that it could have been so effectively defanged.</p>
<p>Computers, and especially the internet, are a primary means of subsistence for many. This understandably increases public anxiety at the bogeyman figure of the criminal ‘hacker’, the dastardly villain who breaches computer security to steal and cause havoc. Never mind that in ‘true’ hacker culture – as found in hackerspaces, maker-labs and open-source communities around the world – the mechanical act of breaking into a computer is just one manifestation of the drive to explore beyond established boundaries. In the hands of a sensationalist media, the ethos of hacking is conflated with the act of cracking computer security. Anyone who does that, regardless of the underlying ethos, is a ‘hacker’. Thus a single manifestation of a single element of the original spirit gets passed off as the whole.</p>
<p>Through the lens of moral panic, a narrative emerges of hackers as a class of computer attack-dogs. Their primary characteristics become aggression and amorality. How to guard against them? How, indeed, to round out the traditional good-versus-evil narrative? Well, naturally, with a class of poacher-turned-gamekeepers. And so we find the construction of ‘white-hat’ hackers, protective and upstanding computer wizards for the public good.</p>
<p>Here is where the second form of corruption begins to emerge. The construct of the ‘good hacker’ has paid off in unexpected ways, because in our computerised world we have also seen the emergence of a huge, aggressively competitive technology industry with a serious innovation obsession. This is the realm of startups, venture capitalists, and shiny corporate research and development departments. And, it is here, in subcultures such as Silicon Valley, that we find a rebel spirit succumbing to perhaps the only force that could destroy it: gentrification.</p>
<p><span class="drop">G</span>entrification is the process by which nebulous threats are pacified and alchemised into money. A raw form – a rough neighbourhood, indigenous ritual or edgy behaviour such as parkour (or free running) – gets stripped of its otherness and repackaged to suit mainstream sensibilities. The process is repetitive. Desirable, unthreatening elements of the source culture are isolated, formalised and emphasised, while the unsettling elements are scrubbed away.</p>
<p>Key to any gentrification process are successive <i>waves</i> of pioneers who gradually reduce the perceived risk of the form in question. In property gentrification, this starts with the artists and disenchanted dropouts from mainstream society who are drawn to marginalised areas. Despite their countercultural impulses, they always carry with them traces of the dominant culture, whether it be their skin colour or their desire for good coffee. This, in turn, creates the seeds for certain markets to take root. A WiFi coffeeshop appears next to the Somalian community centre. And that, in turn, sends signals back into the mainstream that the area is <i>slightly less alien</i> than it used to be.</p>
<p>If you repeat this cycle enough times, the perceived dangers that keep the property developers and yuppies away gradually erode. Suddenly, the tipping point arrives. Through a myriad of individual actions under no one person’s control, the exotic <i>other</i> suddenly appears within a safe frame: interesting, exciting and cool, but not threatening. It becomes open to a carefree voyeurism, like a tiger being transformed into a zoo animal, and then a picture, and then a tiger-print dress to wear at cocktail parties. Something feels ‘gentrified’ when this shallow aesthetic of tiger takes over from the authentic lived experience of tiger.</p>
<p>This is not just about property. In cosmetics shops on Oxford Street in London you can find beauty products blazoned with pagan earth-mother imagery. Why are symbols of earth-worship found within the citadels of consumerism, printed on products designed to neutralise and control bodily processes? They’ve been gentrified. Pockets of actual paganism do still exist, but in the mainstream such imagery has been thoroughly cleansed of any subversive context.</p>
<p>At the frontiers of gentrification are entire <i>ways of being</i> – lifestyles, subcultures and outlooks that carry rebellious impulses. Rap culture is a case in point: from its ghetto roots, it has crossed over to become a safe ‘thing that white people like’. Gentrification is an enabler of <i>doublethink</i>, a means by which people in positions of relative power can, without contradiction, embrace practices that were formed in resistance to the very things they themselves represent.</p>
<p>We are currently witnessing the gentrification of hacker culture. The countercultural trickster has been pressed into the service of the preppy tech entrepreneur class. It began innocently, no doubt. The association of the hacker ethic with startups might have started with an authentic counter-cultural impulse on the part of outsider nerds tinkering away on websites. But, like all gentrification, the influx into the scene of successive waves of ever less disaffected individuals results in a growing emphasis on the unthreatening elements of hacking over the subversive ones.</p>
<p>Silicon Valley has come to host, on the one hand, a large number of highly educated tech-savvy people who loosely perceive themselves as rebels set against existing modes of doing business. On the other hand, it contains a very large pool of venture capital. The former group jostle for the investor money by explicitly attempting to build network monopolies – such as those created by Facebook and Google – for the purpose of extracting windfall profit for the founders and for the investors that back them, and perhaps, for the large corporates who will buy them out.</p>
<blockquote><p>the revised definition of the tech startup entrepreneur as a hacker forms part of an emergent system of Silicon Valley doublethink</p></blockquote>
<p>In this economic context, curiosity, innovation and iterative experimentation are ultimate virtues, and this element of the hacker ethic has proved to be an appealing frame for people to portray their actions within. Traits such as the drive for individual empowerment and the appreciation of clever solutions already resemble the traits of the entrepreneur. In this setting, the hacker attitude of playful troublemaking can be cast in Schumpeterian terms: success-driven innovators seeking to ‘disrupt’ old incumbents within a market in an elite ‘rebellion’.</p>
<p>Thus the emergent tech industry’s definition of ‘hacking’ as quirky-but-edgy innovation by optimistic entrepreneurs with a love of getting things done. Nothing sinister about it: it’s just on-the-fly problem-solving for profit. This gentrified pitch is not just a cool personal narrative. It’s also a useful business construct, helping the tech industry to distinguish itself from the aggressive squares of Wall Street, competing for the same pool of new graduates.</p>
<p>Indeed, the revised definition of the tech startup entrepreneur as a hacker forms part of an emergent system of Silicon Valley doublethink: individual startups portray themselves as ‘underdogs’ while simultaneously being aware of the enormous power and wealth the tech industry they’re a part of wields at a collective level. And so we see a gradual stripping away of the critical connotations of hacking. Who said a hacker can’t be in a position of power? Google cloaks itself in a quirky ‘hacker’ identity, with grown adults playing ping pong on green AstroTurf in the cafeteria, presiding over the company’s overarching agenda of network control.</p>
<p>This doublethink bleeds through into mainstream corporate culture, with the growing institution of the corporate ‘hackathon’. We find financial giants such as Barclays hosting startup accelerators and financial technology hackathons at forums such as the FinTech Innovation Lab in Canary Wharf in London, ostensibly to discover the ‘future of finance’… or at least the future of payment apps that they can buy out. In this context, the hacker ethic is hollowed out and subsumed into the ideology of <i>solutionism</i>, to use a term coined by the Belarusian-born tech critic Evgeny Morozov. It describes the tech-industry vision of the world as a series of problems waiting for (profitable) solutions.</p>
<p>This process of gentrification becomes a war over language. If enough newcomers with media clout use the hollowed-out version of the term, its edge grows dull. You end up with a mere affectation, failing to challenge otherwise conventional aspirations. And before you know it, an earnest Stanford grad is handing me a business card that says, without irony: ‘Founder. Investor. Hacker.’</p>
<p><span class="drop">A</span>ny gentrification process inevitably presents two options. Do you abandon the form, leave it to the yuppies and head to the next wild frontier? Or do you attempt to break the cycle, deface the estate-agent signs, and picket outside the wine bar with placards reading ‘Yuppies Go Home’?</p>
<p>The answer to this depends on how much you care. Immigrant neighbourhoods definitely care enough to mobilise real resistance movements to gentrification, but who wants to protect the hacker ethic? For some, the spirit of hacking is stupid and pointless anyway, an individualistic self-help impulse, not an authentic political movement. What does it matter if it gets gentrified?</p>
<p>We need to confront an irony here. Gentrification is a pacification process that takes the wild and puts it in frames. I believe that hacking is the reverse of that, taking the ordered rules of systems and making them fluid and wild again. Where gentrification tries to erect safe fences around things, hacker impulses try to break them down, or redefine them. These are two countervailing forces within human society. The gentrification of hacking is… well, perhaps a perfect hack.</p>

<p>Or maybe I’ve romanticised it. Maybe hacking has never existed in some raw form to be gentrified. Perhaps it’s always been part of the capitalist commodification processes. Stuff is pulled down and then reordered. Maybe the hackers – like the disenchanted artists and hipsters – are just the vanguard charged with identifying the next profitable investment. Perhaps hacking has always been a contradictory amalgam that combines desire for the unstable and queer with the control impulse of the stable and straight. Certainly in mainstream presentations of hacking – whether the criminal version or the Silicon Valley version – there is a control fetish: the elite coder or entrepreneur sitting at a dashboard manipulating the world, doing mysterious or ‘awesome’ things out of reach of the ordinary person.</p>
<p>I’m going to stake a claim on the word though, and state that the true hacker spirit does not reside at Google, guided by profit targets. The hacker impulse should not just be about redesigning products, or creating ‘solutions’. A hack stripped of anti-conventional intent is not a hack at all. It’s just a piece of business innovation.</p>
<p>The un-gentrified spirit of hacking should be a commons accessible to all. This spirit can be seen in the marginal cracks all around us. It’s in the emergent forms of peer production and DIY culture, in maker-spaces and urban farms. We see it in the expansion of ‘open’ scenes, from open hardware to open biotech, and in the intrigue around 3D printers as a way to extend open-source designs into the realm of manufacture. In a world with increasingly large and unaccountable economic institutions, we need these everyday forms of resistance. Hacking, in my world, is a route to escaping the shackles of the profit-fetish, not a route to profit.</p>
<p>Go home, yuppies.</p>
