title: The Big Reverse of the Web
url: http://buytaert.net/the-big-reverse-of-the-web
hash_url: a128f8edf5c053a99c394e2a473f58da

<p>I believe that for the web to reach its full potential, it will go through a massive re-architecture and re-platforming in the next decade. The current web is "pull-based", meaning we visit websites or download mobile applications. The future of the web is "push-based", meaning the web will be coming to us. In the next 10 years, we will witness a transformation from a pull-based web to a push-based web. When this "Big Reverse" is complete, the web will disappear into the background much like our electricity or water supply. We'll forget what 'www' stood for (which was kind of dumb to begin with). These are bold statements, I understand, but let me explain you why.</p>
<p>In the future, content, products and services will find you, rather than you having to find them. Puma will let us know to replace our shoes and Marriott will automatically present you room options if you missed your connecting flight.  Instead of visiting a website, we will proactively be notified of what is relevant and asked to take action.  The dominant function of the web is to let us know what is happening or what is relevant, rather than us having to find out.</p>
<p><a href="http://facebook.com">Facebook</a> and <a href="http://flipboard.com">Flipboard</a> are early examples of what such push-based experience looks like.  Facebook "pushes" a stream of personalized information designed to tell you what is happening with your friends and family; you no longer have "pull" them and ask how they are doing. Flipboard changes how we consume content by aggregating the best of the web and filtering it based on our interests; it "pushes" the relevant and interesting content to you rather than you having to "pull" the news from multiple sources.  Also consider the rise of notification-centric experiences; your smartphone's notification center provides you with a stream of relevant information that is pushed to you. More recently, these notifications have become interactive; you can check in for a flight without having to open your travel app. You can buy a product without having to visit their website.</p>
<p>What people really want is to tune into information rather than having to work to get information. It saves them time and effort and in the long run, an improved user experience always wins. In most cases, "Show me what I want" is more useful than "Let me search around and see what I can find".</p>
<p>With some imagination, it's not too hard to picture how these kind of experiences could expand to other areas of the web. The way the e-commerce works today is really no different than having to visit a lot of separate physical stores or wading through hundreds of products in a department store. We shouldn't have to work so hard to find what we want. In a push-based world, we would sit back as if we were watching a fashion show -- the clothing presented could come for hundreds of different online brands but the stream is "personalized" to our needs, budget, sizes and style preferences.  When the Big Reverse is complete, it will be the end of department stores and malls.  Keep an eye on personalized clothing services like <a href="http://trunkclub.com">Trunk Club</a> or <a href="http://stichfix.com">Stitch Fix</a>.</p>
<p>Ten years from now we're going to look back and recognize that search-based content discovery was broken. Today the burden is put on the user to find relevant content either via directly typing in a URL or by crafting complex search queries. While pull-based experiences might not go away; push-based experiences will dominate as they will prove to be much more efficient.</p>
<p>Many of you won't like it (at first), but push will win over pull.  Healthcare is going through a similar transformation from pull to push; instead of going to a doctor, we'll have web-enabled hardware and software that is able to self-diagnose. Wearables like activity trackers are just the start of decades of innovation and opportunity in healthcare.  Helped by the web, education is also moving from pull to push.  Why go to a classroom when personalized training can come to you?</p>
<p>We are at the beginning of a transition bridging two distinctly different types of economies. First, a "push economy" that tries to anticipate consumer demand, creates standardized or generic products in large amounts, and "pushes" them into the market via global distribution channels and marketing. Now, a "pull economy" that—rather than creating standardized products—will create highly customized products and services produced on-demand and delivered to consumers through one-on-one relationships and truly personal experiences.</p>
<p>This new paradigm could be a very dramatic shift that disrupts many existing business models; advertising, search engines, app stores, online and offline retailers, and much more. For middlemen like online retailers or search engines, the push-based means they risk being disintermediated as the distribution chain becomes less useful.  It marks a powerful transformation that dematerializes and de-monetizes much of the current web.  While this might complicate the lives of many organizations, it will undoubtedly simplify and better the lives of consumers everywhere.</p>
