title: The Slow Data Movement: My Hope for 2013
url: http://www.perceptualedge.com/blog/?p=1460
hash_url: b5c1c067a928f48722ddf2f5b3ae187e

<p>In 1986 Carlo Petrini founded the Slow Food Movement. This movement began as resistance to the opening of a McDonald’s fast food restaurant near the Spanish Steps in Rome. I’ve seen this affront to the old city and felt the disgust that must have emboldened Petrini to start an international movement. Slow Food was introduced as an alternative to fast food. It is based on the belief that much of the beauty and wholesomeness of food requires that we take time with it: time in producing it, time in preparing it, time in savoring it. The Slow Food Movement is one of a broader Slow Movement that focuses on many aspects of life. I learned only a few days ago that there is a Slow Reading movement that encourages people to slow down and appreciate what they read. It is not surprising that in our fast-paced world it is important to be reminded to slow down and embrace life with greater awareness and appreciation, lest we forget who we are and what makes life worth living. I believe that it is time to extend the Slow Movement to the realm of information technology. In this time of so-called Big Data, too much is being missed in our rush to expand. The entire point of collecting data—using information to better understand our world and then make more informed decisions based on that understanding—has been forgotten and is certainly not being achieved in our manic rush to throw more technology at a problem that can only be solved by making better use of our brains.</p>
<p>In the last few days you have no doubt read many predictions about the new year. I am loathe to make predictions. I find that most predictions made about technology fall into one of three categories: 1) statements of the obvious (e.g., people will increasingly rely on tablet devices), 2) marketing (e.g., our product will lead the way), and 3) outright guesses (e.g., Gartner’s recent prediction that by 2015 a total of 4.4 million jobs will be created worldwide to support Big Data). Rather than making predictions as a way to start the new year, I’d rather state my hopes. A rising appreciation for Slow Data and the practices that naturally arise from it is my hope for this year.</p>
<p>Big Data is usually defined in terms of the 3Vs: volume, velocity, and variety. Doug Laney of Gartner originally defined the 3Vs 12 years ago. When he wrote his original paper on the topic, the 3Vs were already old news. I remember reading Laney’s paper at the time and thinking that he did a good job of characterizing significant aspects of data that have been true since the advent of the computer. Actually, if we want to be historically accurate, we can date the beginning of Big Data to the year 1440 when Gutenberg invented the printing press. I believe that the advent of the printing press had a greater impact on the world of information in terms of volume, velocity, and variety than the advent of computers. Actually, long before the printing press the invention of writing had an even greater impact and before that the invention of language even greater. What’s happening with data today has its roots firmly planted in a long line of technologies that have allowed humans to disseminate information for ages. Technology increases data volume, velocity, and variety. The fact that these have increased at an exponential rate since the advent of the computer is well known and has been for years, yet packaged as Big Data and fueled by huge marketing budgets, this growth is suddenly being embraced as something new and unprecedented. Hurray data! Hurray technology! Three cheers for the technology vendors that are making a bundle selling incremental extensions of what they’ve been selling all along. While the world reaches for its wallet amidst the rising clamor, what’s important about data is being lost in the din.</p>
<p>I’d like to introduce a set of goals that should sit alongside the 3Vs to keep us on course as we struggle to enter the information age—an era that remains elusive. May I present to you the 3Ss: small, slow, and sure.</p>
<p><span>Small</span></p>
<p>As data increases in volume, we should keep in mind that only a relatively small amount is useful. Data consists of a lot of noise and only a little signal. We must separate the signals from the noise, which we’ll never get around to doing if we spend all of our time boosting technology for data generation and collection, but not learning how to find and understand what’s actually meaningful and useful.</p>
<p><span>Slow</span></p>
<p>We’re in love with speed. Like many people, I love to drive fast. It’s a rush. Much of what I value in life, however, requires time. This is especially true of data sense-making and decision-making. Some of my favorite words were spoken by Lao Tzu, the founder of Taoism:</p>
<blockquote><p><span>Muddy water, let stand, becomes clear.</span></p></blockquote>
<p>These words have come to mind and thus to the rescue many times in my life. I recently read a new book titled <em><a href="http://www.amazon.com/gp/product/1610390040/ref=as_li_tf_tl?ie=UTF8&amp;tag=perceedge-20&amp;linkCode=as2&amp;camp=1789&amp;creative=9325&amp;creativeASIN=1610390040" target="_blank">Wait: The Art and Science of Delay</a></em> by Frank Partnoy, which roots the benefits of waiting, pausing, taking a bit more time, in science. In the introduction Partnoy says:</p>
<blockquote><p><span>The essence of my case is this: given the fast pace of modern life, most of us tend to react too quickly. We don’t, or can’t, take enough time to think about the increasingly complex timing challenges we face. Technology surrounds us, speeding us up. We feel its crush every day, both at work and at home. Yet the best time managers are comfortable pausing for as long as necessary before they act, even in the face of the most pressing decisions. Some seem to slow down time. For good decision-makers, time is more flexible than a metronome or atomic clock…As we will see over and over, in most situations we should take more time than we do.</span></p></blockquote>
<p><em> </em></p>
<p>Although some decisions in life are best made instantly based on intuition, this is only true if your intuitions were built on a great deal of relevant experience and the matter at hand does not lend itself to deliberation, such as a bear running towards you at full speed. These are the types of decisions that Malcolm Gladwell wrote about in <em>Blink</em>. Most non-routine decisions, especially those that change the courses of our lives, benefit from conscious, deliberate, analytical reasoning—what psychologists such as Daniel Kahneman call “System 2 Thinking.” In fact, Kahneman refers to these two modes of reasoning as thinking fast and slow.</p>
<p>No matter how fast data is generated and transmitted, the act of data sense-making, which must precede its use, is necessarily a slow process. We must take time to understand information and act upon it wisely. Speed will in most cases lead to mistakes. Bear in mind the wise parable of the tortoise and the hare.</p>
<p><span>Sure</span></p>
<p>Even though we can collect data about everything imaginable, variety is not always a boon. More choices are only helpful if 1) we need them, and 2) we have the time and means to consider them. Otherwise, they do nothing but complicate our already overly complicated lives. In an effort to remain sane, I spend a fair amount of time limiting my choices. For instance, I don’t participate in <em>Twitter</em>, text messages, <em>Facebook</em>, or even the professional social networking service <em>Linked-In</em>, because I already face enough interaction with people as it is. By restricting myself mostly to email correspondence and direct face-to-face conversations, I maintain the level of human interaction that works for me. I’m not suggesting that these services are bad, but they don’t suit me. The next time that you’re in a grocery store browsing the toothpaste section, ask yourself if the variety of products arranged in daunting rows is useful. Wouldn’t just a few good choices make life better?</p>
<p>Life and our world are rich in variety. This is a good thing. Data consists of a collection of facts about life and the world. Only a subset of those facts will be useful to you. The same is true for an organization. Just because you can collect data about something doesn’t mean you should. In fact, given all the data that you’ve already collected, wouldn’t it make sense to spend more time making use of it rather than getting wrapped up in the acquisition of more? When you recognize an opportunity to do something useful with data, that’s when it becomes sure. As people and organizations of limited resources, shouldn’t we spend our time identifying what’s useful and then actually using it?</p>
<p>Data is growing in <em>volume</em>, as it always has, but only a <em>small</em> amount of it is useful. Data is being generating and transmitted at an increasing <em>velocity</em>, but the race is not necessarily for the swift; <em>slow</em> and steady will win the information race. Data is branching out in ever-greater <em>variety</em>, but only a few of these new choices are <em>sure</em>. Small, slow, and sure should be our focus if we want to use data more effectively to create a better world. I doubt that the 3Ss will ever become the rallying cry of a mighty movement, but those who heed them will become the true heroes of the information age. When the dust settles, we’ll see that it was people who took the time with a limited collection of the right data who solved the problems of our age.</p>
<p>Take care,</p>
<p><img class="alignnone size-full wp-image-18" title="Signature" src="http://perceptualedge.com/blog/wp-content/uploads/2006/11/Signature.jpg" alt=""/></p>
