title: La renaissance des « communs » invite à réinventer la politique
url: http://simons.fr/2015/05/la-renaissance-des-communs-invite-a-reinventer-la-politique/
hash_url: c99b4555e9ab90308071028493fc0a10

<blockquote><p>Entendez vous le murmure ? Dans les rues, sur les places, dans les bars, le murmure c’est « défendre le bien commun ».</p></blockquote>
<p><strong>Ce sont<a href="https://www.youtube.com/watch?v=wB6NDWKDyKg" target="_blank"> les paroles de la chanson de campagne de « Barcelone en commun »</a>, coalition citoyenne qui vient de remporter les élections municipales à Barcelone. L’Espagne nous montre la voie de nouvelles organisations qui ont <a href="http://inthesetimes.com/article/17985/spains-municipal-elections-and-the-prospects-for-radical-democracy" target="_blank">toutes cette culture très participative, de la transparence et de l’horizontalité</a>, et qui pourraient nous aider à reprendre confiance et se réinvestir dans la politique.</strong></p>
<p>Nous, ce seraient peut-être ceux qui aujourd’hui se mobilisent pour trouver des solutions ouvertes et partagées, dites aussi « <a href="http://slides.com/unisson/qu-est-ce-qu-un-bien-commun#/" target="_blank">communs</a> » et les mettent en place sur le terrain. Ceux là ne sont souvent plus politisés, car déçus par les partis au pouvoir. Les politiques ont encore peu de considération pour ces actions citoyennes, voir parfois les affaiblissent en souhaitant les diriger et les récupérer au profit des enjeux électoraux. Nous, ce sont peut-être ceux qui aujourd’hui disent faire un vote contestataire, jusqu’à voter front national, dans le but de faire comprendre qu’ils veulent un changement et des solutions, ou parce qu’il leur semble ne pas y avoir d’autres options. Nous, ce sont sans doute tous ceux qui ne votent plus, et ne se mobilisent pas non plus sur le terrain de l’action, car rien ne les incite en ce sens, laissés de côté par un système électoral et économique ne poussant pas à la capacitation citoyenne. En Espagne, la très forte hausse de la participation dans les quartiers de Madrid et Barcelone (8 points à Barcelone) montre que nous sommes nombreux à attendre un réveil politique.</p>
<div class="twitter-tweet">
<blockquote class="twitter-tweet" lang="fr">
<p lang="fr" dir="ltr">Très forte hausse de la participation dans les quartiers populaires de Madrid et Barcelone… Tremblement de terre politique en vue en Esp.</p>
<p>— Sandrine Morel (@sandrinemorel) <a href="https://twitter.com/sandrinemorel/status/602542170294394880">24 Mai 2015</a></p></blockquote>
</div>
<p>L’Espagne a une autre histoire, le mouvement des indignés et la crise sont beaucoup plus importants qu’ici. Néanmoins, des configurations proches pourraient nous ré-impliquer politiquement. A l’heure où nos partis ne savent pas encore comment éviter que Marine Le Pen soit notre présidente de région, ces fonctionnements doivent nous inspirer.</p>
<h3>Devenir nous même un parti politique ?</h3>
<p>Nous pourrions décider de nous affranchir des partis politiques pour créer de nouvelles formations et aller au devant électoral en tant que mouvement horizontal et participatif. Des citoyens suffisamment réunis peuvent arriver pas à pas à mettre en place des approches de collégiales, comme ce qui est arrivé à Saillans avec un maire <a href="http://www.lagedefaire-lejournal.fr/saillans-revolution-participative/" target="_blank">élu à posteriori, sans programme défini par un parti centralisé </a> et où 20% de la population s’active dans des commissions ouvertes. Je cite :</p>
<blockquote><p>Nous n’avons pas pris position contre les élus sortants, mais plutôt appelé les gens à se prendre en charge. Si les gens ont adhéré, c’est aussi parce que nous ne leur avons pas imposé de programme, ni d’étiquette politique : c’est la manière de faire qui montre ce qu’on est vraiment</p></blockquote>
<p>Néanmoins, j’ai du mal à croire que l’on puisse développer cela à plus grande échelle à très court terme (Saillants, c’est 2000 habitants), même si une démocratie beaucoup plus directe va se développer grâce aux pratiques et outils participatifs en cours de réinvention. Tenter cela nous mènerait à une compétition avec d’autres partis prônant plus ou moins la même chose. C’est déjà le cas en Espagne avec Podemos qui se retrouve avec des compromis embarrassants pour être élu et a déjà une concurrence vive avec un mouvement proche (Ciudadanos). Vouloir être un <strong>mouvement qui agrandit le champ des communs</strong> tout en<strong> jouant le jeu politique</strong> risquerait de nous transformer en outil du fonctionnement représentatif , forcé de s’adapter aux calendriers politiques et à ses enjeux. Tant que le modèle est représentatif et construit de cette manière, il est difficile de réussir à jouer les deux rôles. Il est sans doute plus judicieux de séparer les mouvements pour l’instant, l’un jouant du côté du modèle représentatif, l’autre horizontal et véritablement démocratique.</p>
<p>Comment faire ? Il faut renverser la terrible citation de l’un des pères de la révolution française, Sieyès  » Les citoyens qui se nomment des représentants renoncent et doivent renoncer à faire eux-mêmes la loi ; ils n’ont pas de volonté particulière à imposer  » et rendre aux citoyens la possibilité d’agir ensemble même s’ils élisent des représentants. Pour cela, une seule solution à mon sens, construire un mouvement citoyen qui se réapproprie les communs et réduit une partie du pouvoir de l’acteur public et du capital marchand.</p>
<h3>Devenir le commun qui relie les partis politiques ?</h3>
<p>Déjà, des pistes sont expérimentées pour que des partis s’associent à des mouvements citoyens, mais elles ne vont pas assez loin dans leur configuration pour se répandre. Il y a l’exemple de Grenoble, où l’alliance entre deux partis politiques s’est imposée grâce à l’association avec des citoyens non membres de partis. Lors des élections cantonales à Lille, j’ai aussi été agréablement surpris par les affiches de mon canton présentant là aussi une alliance de deux partis soutenant des citoyens non membres sur la liste. Ils comptaient aussi redistribuer une partie du pouvoir une fois élus (reste à savoir comment ?). Néanmoins, les mouvements lancés par un parti déjà trop en place se retrouvent très vite forcés de fonctionner en logique verticale pour se faire élire et n’ont que très peu de chances d’être appropriés par les citoyens. A l’image de la Coopérative ou du M6R, ces mouvements sont trop « étiquetés ». Si des partis veulent s’allier pour être représentés et soutenir un mouvement citoyen, ce dernier doit être hors des logiques des partis actuels, plus neutres, afin d’éviter d’être rapidement détournés pour rentrer dans les enjeux électoraux, les logiques de programme, etc…</p>
<p>A mon sens, il faut travailler à construire une « assemblée des communs ouverte et démocratique » comme <a href="http://www.liberation.fr/economie/2015/03/20/le-peer-to-peer-induit-que-la-production-emane-de-la-societe-civile_1225002" target="_blank">le préconise Michel Bauwens,</a> au sein de laquelle le développement, le suivi et la protection des communs se fera. Cette assemblée rassemblerait les porteurs de « communs » pour qu’ils protègent et fassent grandir ensemble leurs initiatives ouvertes et partagées. Tels <strong>les lieux de travail, de production, ateliers, logements, terrains agricoles, ateliers, cinémas, jardins, épiceries, logiciels, plateformes web, encyclopédies, données, monnaies locales, fournisseur d’accès internet</strong>, etc… Le partenariat entre acteurs publics et privés céderait alors la place à un partenariat tripartite dans lequel des assemblées des communs sectorielles et géographiques joueraient un rôle de plus en plus important, au fur et à mesure du développement de leur capacité à gérer démocratiquement les communs.</p>
<div id="attachment_887" class="wp-caption alignnone"><a href="http://simons.fr/1_blog/wp-content/uploads/2015/05/Sélection_111.png" target="_blank"><img class="wp-image-887 size-full" src="http://simons.fr/1_blog/wp-content/uploads/2015/05/Sélection_111.png" alt="Partenariat tripartite privé public communs - CC by SA 3.0" width="1741" height="720"/></a><p class="wp-caption-text">Partenariat tripartite communs public privé – CC by SA 3.0</p></div>
<p>Des partis politiques acceptant de fonctionner avec cette assemblée pourraient se présenter en signant une charte les forçant à redistribuer leur pouvoir aux communs et à agir en concertation avec les communautés citoyennes. Des pratiques de transparence et des outils de suivi engageraient les nouveaux élus à se mettre au service des assemblées. Comme ils disent à Saillants :</p>
<blockquote><p>Quand des élus acceptent de laisser du pouvoir aux citoyens, ça va plus loin que la politique</p></blockquote>
<p>Cette assemblée n’aurait pas d’autre programme que celui de faire participer tous les habitants à la construction des communs et qui, en se développant, réduiraient en partie la place du secteur privé et de la politique représentative. L’acteur public pourrait alors se retrouver dans son véritable rôle de soutien aux citoyens et de leurs communs plutôt que de meneur s’appropriant les initiatives citoyennes pour les utiliser au sein du jeu électoral. Les partis politiques acceptant ces conditions pourraient finalement plus facilement s’associer avec d’autres, car l’enjeu de pouvoir politique serait moindre.</p>
<p>Dans ce premier <a href="https://rizzoma.com/topic/188adeba86cb42bd355e17caa5dcb80b/0_b_7sg8_6biit/" target="_blank">brouillon qui viserait</a> à imaginer cette charte, il faut déterminer concrètement le lien qui pourrait se faire entre cette « assemblée des communs » et « les partis politiques ». Et faire en sorte que cette charte ne puisse pas être brisée une fois les élections passées. Par exemple, cela pourrait se faire à travers des outils de transparence permettant de connaître toute décision prise par un élu et de la comparer avec l’avis de l’assemblée des communs. Il faudrait aussi indiquer dans la charte qu’une fois les élections passées, les élus doivent ouvrir leurs moyens (lieux, budget, etc…) à ce mouvement citoyen. Cette assemblée des communs s’outillerait pour efficacement soutenir les communs de nos territoires, recueillir rapidement les avis, permettre des espaces d’échanges en ligne et en présentiel et surtout, s’ouvrir à tous. Si cela fonctionne, que les citoyens acteurs de notre région agissent autour de « communs » sur de plus en plus de sujets, les partis politiques n’auront pas d’autre choix de signer cette charte s’ils veulent être élus, tout en acceptant de véritablement nous représenter. Nous serions à priori assurés, au moment des élections, d’être écoutés et soutenus par ceux signant cette charte. Cette approche serait <strong>une transition</strong> pour apprendre à fonctionner dans des grandes villes ou régions en logique de démocratie directe, qui pourrait à terme être appliquée.</p>
<p>Pour échanger sur ce sujet, une <a href="https://ulists.org/listadmin/postorius/lists/nord.encommuns@ulists.org/" target="_blank">petite liste de discussion</a> sur laquelle s’inscrire et un <a href="http://nord.encommuns-contact@ulists.org" target="_blank">mail de contact.</a></p>
