title: What if We Stopped Pretending the Climate Apocalypse Can Be Stopped?
url: https://www.newyorker.com/culture/cultural-comment/what-if-we-stopped-pretending
hash_url: d43d8c1d77e23c2fe5631be145e3bbb9

<div class="SectionBreak SectionBreak__sectionBreak___1ppA7"><p>“There <span data-page="page_1"/>is infinite hope,” Kafka tells us, “only not for us.” This is a fittingly mystical epigram from a writer whose characters strive for ostensibly reachable goals and, tragically or amusingly, never manage to get any closer to them. But it seems to me, in our rapidly darkening world, that the converse of Kafka’s quip is equally true: <em class="">There is no hope, except for us</em>.</p>
<p>I’m talking, of course, about climate change. The struggle to rein in global carbon emissions and keep the planet from melting down has the feel of Kafka’s fiction. The goal has been clear for thirty years, and despite earnest efforts we’ve made essentially no progress toward reaching it. Today, the scientific evidence verges on irrefutable. If you’re younger than sixty, you have a good chance of witnessing the radical <a class="ArticleBody__link___1FS03" href="https://www.newyorker.com/magazine/2019/05/20/climate-change-and-the-new-age-of-extinction">destabilization of life on earth</a>—massive crop failures, apocalyptic fires, imploding economies, epic flooding, hundreds of millions of refugees fleeing regions made uninhabitable by extreme heat or permanent drought. If you’re under thirty, you’re all but guaranteed to witness it.</p>
<p>If you care about the planet, and about the people and animals who live on it, there are two ways to think about this. You can keep on hoping that catastrophe is preventable, and feel ever more frustrated or enraged by the world’s inaction. Or you can accept that disaster is coming, and begin to rethink what it means to have hope.</p>
<p>Even at this late date, expressions of unrealistic hope continue to abound. Hardly a day seems to pass without my reading that it’s time to “roll up our sleeves” and “save the planet”; that the problem of climate change can be “solved” if we summon the collective will. Although this message was probably still true in 1988, when the science became fully clear, we’ve emitted as much atmospheric carbon in the past thirty years as we did in the previous two centuries of industrialization. The facts have changed, but somehow the message stays the same.</p>
<p>Psychologically, this denial makes sense. Despite the outrageous fact that I’ll soon be dead forever, I live in the present, not the future. Given a choice between an alarming abstraction (death) and the reassuring evidence of my senses (breakfast!), my mind prefers to focus on the latter. The planet, too, is still marvelously intact, still basically normal—seasons changing, another election year coming, new comedies on Netflix—and its impending collapse is even harder to wrap my mind around than death. Other kinds of apocalypse, whether religious or thermonuclear or asteroidal, at least have the binary neatness of dying: one moment the world is there, the next moment it’s gone forever. Climate apocalypse, by contrast, is messy. It will take the form of increasingly severe crises compounding chaotically until civilization begins to fray. Things will get very bad, but maybe not too soon, and maybe not for everyone. Maybe not for me.</p>
<p>Some of the denial, however, is more willful. The evil of the Republican Party’s position on climate science is well known, but denial is entrenched in progressive politics, too, or at least in its rhetoric. The <a class="ArticleBody__link___1FS03" href="https://www.newyorker.com/tag/green-new-deal">Green New Deal</a>, the blueprint for some of the most substantial proposals put forth on the issue, is still framed as our last chance to avert catastrophe and save the planet, by way of gargantuan renewable-energy projects. Many of the groups that support those proposals deploy the language of “stopping” climate change, or imply that there’s still time to prevent it. Unlike the political right, the left prides itself on listening to climate scientists, who do indeed allow that catastrophe is theoretically avertable. But not everyone seems to be listening carefully. The stress falls on the word <em class="">theoretically</em>.</p>
<p>Our atmosphere and oceans can absorb only so much heat before climate change, intensified by various feedback loops, spins completely out of control. The consensus among scientists and policy-makers is that we’ll pass this point of no return if the global mean temperature rises by more than two degrees Celsius (maybe a little more, but also maybe a little less). The I.P.C.C.—the Intergovernmental Panel on Climate Change—tells us that, to limit the rise to less than two degrees, we not only need to reverse the trend of the past three decades. We need to approach zero net emissions, globally, in the <em class="">next</em> three decades.</p>
<p>This is, to say the least, a tall order. It also assumes that you trust the I.P.C.C.’s calculations. New research, described last month in <em class=""><a class="ArticleBody__link___1FS03" href="https://blogs.scientificamerican.com/observations/scientists-have-been-underestimating-the-pace-of-climate-change/" target="_blank">Scientific American</a></em>, demonstrates that climate scientists, far from exaggerating the threat of climate change, have underestimated its pace and severity. To project the rise in the global mean temperature, scientists rely on complicated atmospheric modelling. They take a host of variables and run them through supercomputers to generate, say, ten thousand different simulations for the coming century, in order to make a “best” prediction of the rise in temperature. When a scientist predicts a rise of two degrees Celsius, she’s merely naming a number about which she’s very confident: the rise will be <em class="">at least</em> two degrees. The rise might, in fact, be far higher.</p>
<p>As a non-scientist, I do my own kind of modelling. I run various future scenarios through my brain, apply the constraints of human psychology and political reality, take note of the relentless rise in global energy consumption (thus far, the carbon savings provided by renewable energy have been more than offset by<span data-page="page_2"/> consumer demand), and count the scenarios in which collective action averts catastrophe. The scenarios, which I draw from the prescriptions of policy-makers and activists, share certain necessary conditions.</p>
<p>The first condition is that every one of the world’s major polluting countries institute draconian conservation measures, shut down much of its energy and transportation infrastructure, and completely retool its economy. According to a recent paper in <em class=""><a class="ArticleBody__link___1FS03" href="https://www.nature.com/articles/s41586-019-1364-3" target="_blank">Nature</a></em>, the carbon emissions from existing global infrastructure, if operated through its normal lifetime, will exceed our entire emissions “allowance”—the further gigatons of carbon that can be released without crossing the threshold of catastrophe. (This estimate does not include the thousands of new energy and transportation projects already planned or under construction.) To stay within that allowance, a top-down intervention needs to happen not only <em class="">in</em> every country but <em class="">throughout</em> every country. Making New York City a green utopia will not avail if Texans keep pumping oil and driving pickup trucks.</p>
<p>The actions taken by these countries must also be the right ones. Vast sums of government money must be spent without wasting it and without lining the wrong pockets. Here it’s useful to recall the Kafkaesque joke of the European Union’s biofuel mandate, which served to accelerate the deforestation of Indonesia for palm-oil plantations, and the American subsidy of ethanol fuel, which turned out to benefit no one but corn farmers.</p>
<p>Finally, overwhelming numbers of human beings, including millions of government-hating Americans, need to accept high taxes and severe curtailment of their familiar life styles without revolting. They must accept the reality of climate change and have faith in the extreme measures taken to combat it. They can’t dismiss news they dislike as fake. They have to set aside nationalism and class and racial resentments. They have to make sacrifices for distant threatened nations and distant future generations. They have to be permanently terrified by hotter summers and more frequent natural disasters, rather than just getting used to them. Every day, instead of thinking about breakfast, they have to think about death.</p></div>
<div class="SectionBreak SectionBreak__sectionBreak___1ppA7"><p>Call me a pessimist or call me a humanist, but I don’t see human nature fundamentally changing anytime soon. I can run ten thousand scenarios through my model, and in not one of them do I see the two-degree target being met.</p>
<p>To judge from recent opinion polls, which show that a majority of Americans (many of them Republican) are pessimistic about the planet’s future, and from the success of a book like David Wallace-Wells’s harrowing “<a class="ArticleBody__link___1FS03" href="https://www.amazon.com/dp/0525576703/?tag=thneyo0f-20" target="_blank" rel="nofollow">The Uninhabitable Earth</a>,” which was released this year, I’m not alone in having reached this conclusion. But there continues to be a reluctance to broadcast it. Some climate activists argue that if we publicly admit that the problem can’t be solved, it will discourage people from taking any ameliorative action at all. This seems to me not only a patronizing calculation but an ineffectual one, given how little progress we have to show for it to date. The activists who make it remind me of the religious leaders who fear that, without the promise of eternal salvation, people won’t bother to behave well. In my experience, nonbelievers are no less loving of their neighbors than believers. And so I wonder what might happen if, instead of denying reality, we told ourselves the truth.</p>
<p>First of all, even if we can no longer hope to be saved from two degrees of warming, there’s still a strong practical and ethical case for reducing carbon emissions. In the long run, it probably makes no difference how badly we overshoot two degrees; once the point of no return is passed, the world will become self-transforming. In the shorter term, however, half measures are better than no measures. Halfway cutting our emissions would make the immediate effects of warming somewhat less severe, and it would somewhat postpone the point of no return. The most terrifying thing about climate change is the speed at which it’s advancing, the almost monthly shattering of temperature records. If collective action resulted in just one fewer devastating hurricane,  just a few extra years of relative stability, it would be a goal worth pursuing.</p>
<p>In fact, it would be worth pursuing even if it had no effect at all. To fail to conserve a finite resource when conservation measures are available, to needlessly add carbon to the atmosphere when we know very well what carbon is doing to it, is simply wrong. Although the actions of one individual have zero effect on the climate, this doesn’t mean that they’re meaningless. Each of us has an ethical choice to make. During the Protestant Reformation, when “end times” was merely an idea, not the horribly concrete thing it is today, a key doctrinal question was whether you should perform good works because it will get you into Heaven, or whether you should perform them simply because they’re good—because, while Heaven is a question mark, you know that <em class="">this</em> world would be better if everyone performed them. I can respect the planet, and care about the people with whom I share it, without believing that it will save me.</p>
<p>More than that, a false hope of salvation can be actively harmful. If you persist in believing that catastrophe can be averted, you commit yourself to tackling a problem so immense that it needs to be everyone’s overriding priority forever. One result, weirdly, is a kind of complacency: by voting<span data-page="page_final"/> for green candidates, riding a bicycle to work, avoiding air travel, you might feel that you’ve done everything you can for the only thing worth doing. Whereas, if you accept the reality that the planet will soon overheat to the point of threatening civilization, there’s a whole lot more you should be doing.</p>
<p>Our resources aren’t infinite. Even if we invest much of them in a longest-shot gamble, reducing carbon emissions in the hope that it will save us, it’s unwise to invest all of them. Every billion dollars spent on high-speed trains, which may or may not be suitable for North America, is a billion not banked for disaster preparedness, reparations to inundated countries, or future humanitarian relief. Every renewable-energy mega-project that destroys a living ecosystem—the “green” energy development now occurring in <a class="ArticleBody__link___1FS03" href="https://e360.yale.edu/features/how-kenyas-push-for-development-is-threatening-its-prized-wild-lands" target="_blank">Kenya’s national parks</a>, the giant hydroelectric projects in Brazil, the construction of solar farms in open spaces, rather than in settled areas—erodes the resilience of a natural world already fighting for its life. Soil and water depletion, overuse of pesticides, the devastation of world fisheries—collective will is needed for these problems, too, and, unlike the problem of carbon, they’re within our power to solve. As a bonus, many low-tech conservation actions (restoring forests, preserving grasslands, eating less meat) can reduce our carbon footprint as effectively as massive industrial changes.</p>
<p>All-out war on climate change made sense only as long as it was winnable. Once you accept that we’ve lost it, other kinds of action take on greater meaning. Preparing for fires and floods and refugees is a directly pertinent example. But the impending catastrophe heightens the urgency of almost any world-improving action. In times of increasing chaos, people seek protection in tribalism and armed force, rather than in the rule of law, and our best defense against this kind of dystopia is to maintain functioning democracies, functioning legal systems, functioning communities. In this respect, any movement toward a more just and civil society can now be considered a meaningful climate action. Securing fair elections is a climate action. Combatting extreme wealth inequality is a climate action. Shutting down the hate machines on social media is a climate action. Instituting humane immigration policy, advocating for racial and gender equality, promoting respect for laws and their enforcement, supporting a free and independent press, ridding the country of assault weapons—these are all meaningful climate actions. To survive rising temperatures, every system, whether of the natural world or of the human world, will need to be as strong and healthy as we can make it.</p>
<p>And then there’s the matter of hope. If your hope for the future depends on a wildly optimistic scenario, what will you do ten years from now, when the scenario becomes unworkable even in theory? Give up on the planet entirely? To borrow from the advice of financial planners, I might suggest a more balanced portfolio of hopes, some of them longer-term, most of them shorter. It’s fine to struggle against the constraints of human nature, hoping to mitigate the worst of what’s to come, but it’s just as important to fight smaller, more local battles that you have some realistic hope of winning. Keep doing the right thing for the planet, yes, but also keep trying to save what you love <em class="">specifically</em>—a community, an institution, a wild place, a species that’s in trouble—and take heart in your small successes. Any good thing you do now is arguably a hedge against the hotter future, but the really meaningful thing is that it’s good today. As long as you have something to love, you have something to hope for.</p>
<p>In Santa Cruz, where I live, there’s an organization called the <a class="ArticleBody__link___1FS03" href="http://www.homelessgardenproject.org/" target="_blank">Homeless Garden Project</a>. On a small working farm at the west end of town, it offers employment, training, support, and a sense of community to members of the city’s homeless population. It can’t “solve” the problem of homelessness, but it’s been changing lives, one at a time, for nearly thirty years. Supporting itself in part by selling organic produce, it contributes more broadly to a revolution in how we think about people in need, the land we depend on, and the natural world around us. In the summer, as a member of its C.S.A. program, I enjoy its kale and strawberries, and in the fall, because the soil is alive and uncontaminated, small migratory birds find sustenance in its furrows.</p>
<p>There may come a time, sooner than any of us likes to think, when the systems of industrial agriculture and global trade break down and homeless people outnumber people with homes. At that point, traditional local farming and strong communities will no longer just be liberal buzzwords. Kindness to neighbors and respect for the land—nurturing healthy soil, wisely managing water, caring for pollinators—will be essential in a crisis and in whatever society survives it. A project like the Homeless Garden offers me the hope that the future, while undoubtedly worse than the present, might also, in some ways, be better. Most of all, though, it gives me hope for today.</p></div>
