title: Le point sur l'héritabilité de l'autisme
url: http://www.scilogs.fr/ramus-meninges/le-point-sur-lheritabilite-de-lautisme/
hash_url: f45a2e7acb35960fcd98967582d03df4

<div><span>La composante génétique de l’autisme est connue depuis bien longtemps. Les premiers indices provenaient de l’observation d’une récurrence de l’autisme accrue chez les apparentés de personne autiste&nbsp;: probabilité multipliée par 3 chez les demi-frères et sœurs, par 10 chez les frères et sœurs, par 150 chez les jumeaux monozygotes. Par la suite, les études de jumeaux, comparant la concordance du diagnostic d’autisme entre jumeaux monozygotes (génétiquement identiques) et jumeaux dizygotes (génétiquement similaires à 50%), ont fourni les premières estimations de l’héritabilité de l’autisme, c’est-à-dire la part relative des facteurs génétiques parmi les facteurs impliqués. Les études des années 80-90 convergeaient vers une héritabilité de 90% pour l’autisme, c’est-à-dire une grande prédominance de facteurs génétiques </span><span><span>(</span></span><span lang="EN-GB"><span lang="FR" style="color: windowtext;text-decoration: none">Plomin, Owen, &amp; McGuffin, 1994</span></span><span>)</span><span>. Néanmoins, ces études étaient basées sur des nombres relativement faibles de paires de jumeaux, la combinaison de l’autisme et de la gémellité étant nécessairement un évènement rare. De ce fait, l’estimation de 90% était assortie de larges marges d’erreur.</span></p>
</div>
<div><span>En 2011, une étude californienne a jeté le trouble en annonçant une héritabilité de 35% pour l’autisme, et une prédominance de facteurs environnementaux </span><span><span>(</span></span><span lang="EN-GB"><span lang="FR" style="color: windowtext;text-decoration: none">Hallmayer et al., 2011</span></span><span>)</span><span>. Certains commentateurs ont crié victoire un peu vite, soit pour ressusciter les hypothèses psychanalytiques sur les causes de l’autisme, soit pour déclarer le rôle de facteurs environnementaux dans la supposée épidémie d’autisme. En fait, cette étude était aussi basée sur un faible nombre de jumeaux (90 paires) et était entachée de larges marges d’erreur. Dès l’année suivante, une étude suédoise basée sur 11500 jumeaux dont 100 avec autisme annonçait une héritabilité de 59% </span><span><span>(</span></span><span lang="EN-GB"><span lang="FR" style="color: windowtext;text-decoration: none">Lundström S &amp; et al., 2012</span></span><span>)</span><span>. En 2014, une nouvelle étude basée sur les 2 millions d’enfants suédois nés entre 1982 et 2006 (dont 14500 avec TSA), et analysant tous les liens de parenté plutôt que la seule gémellité, a donné une héritabilité de 50% </span><span><span>(</span></span><span lang="EN-GB"><span lang="FR" style="color: windowtext;text-decoration: none">Sandin et al., 2014</span></span><span>)</span><span>. En 2015, une étude britannique basée sur 6400 jumeaux dont 200 avec TSA a fourni des estimations d’héritabilité variant de 56% à 95% selon la méthode diagnostique </span><span><span>(</span></span><span lang="EN-GB"><span lang="FR" style="color: windowtext;text-decoration: none">Colvert et al., 2015</span></span><span>)</span><span>. Dans cette étude, l’héritabilité du TSA était de 56% selon l’ADI-R (instrument diagnostique basé sur un entretien avec les parents), 76% selon l’ADOS (instrument diagnostique basé sur une observation de l’enfant), et de 95% selon une méthode diagnostique compilant les données de l’ADI, de l’ADOS et de deux autres échelles de symptômes autistiques. Enfin, une toute récente méta-analyse de toutes les études de jumeaux estime l'héritabilité de l'autisme dans une fourchette comprise entre 64 et 91% (Tick et al. 2016). On voit à travers ces exemples qu’il n’y a pas nécessairement de valeur vraie et définitive de l’héritabilité, celle-ci dépend inévitablement de la manière de définir le phénotype, et de la population considérée, c’est-à-dire à la fois de l’ensemble des génomes qu’elle porte et de l’ensemble des facteurs environnementaux auxquels elle est exposée. Mais globalement, toutes ces études convergent vers l’idée que les facteurs génétiques expliquent au moins 50% de l’autisme.</span></p>
</div>
<div><span>Depuis les années 2000, l'estimation des facteurs génétiques dans l’autisme (et dans tout le reste) a été totalement révolutionnée par les progrès de la génétique moléculaire et par le séquençage du génome humain. Il est maintenant possible, non seulement de se demander si des facteurs génétiques sont impliqués, et dans quelle proportion, mais aussi d’identifier directement des gènes dont des variations sont impliquées dans la susceptibilité à l’autisme. C’est ainsi que l’équipe de Thomas Bourgeron à l’Institut Pasteur a identifié toute une série de gènes dont des mutations sont impliquées dans l’autisme </span><span><span>(</span></span><span lang="EN-GB"><span lang="FR" style="color: windowtext;text-decoration: none">Huguet, Ey, &amp; Bourgeron, 2013</span></span><span>)</span><span>. Ces mutations sont très rares, et ne se retrouvent donc que chez une minorité de personnes avec TSA. Pour les autres, on pense que ce sont des combinaisons de variations génétiques fréquentes qui constituent la susceptibilité génétique à l’autisme. Cette hypothèse a été récemment mise à l’épreuve des études consistant à sonder l’ensemble du génome à une haute densité (100000 à 1 million de polymorphismes, c’est-à-dire de lettres dans la séquence d’ADN). Ces études permettent de quantifier la part de la susceptibilité à l’autisme qui est explicable par l’ensemble de ces polymorphismes. Les études récentes convergent vers une estimation autour de 50%. Comme l’indique la figure 1, quelques pourcents supplémentaires sont expliqués par des mutations rares, soit héritées des parents, soit survenues <i>de novo</i> chez l’enfant, et par des interactions entre polymorphismes (comme les effets de dominance) </span><span><span>(</span></span><span lang="EN-GB"><span lang="FR" style="color: windowtext;text-decoration: none">Gaugler et al., 2014</span></span><span>)</span><span>. Il reste environ 40% inexpliqués par les facteurs génétiques mesurés dans ces études, incluant donc à la fois des facteurs génétiques non encore identifiés et des facteurs environnementaux. Ce genre d’études complète donc les études de jumeaux et d’apparentés </span><span><span>(</span></span><span lang="EN-GB"><span lang="FR" style="color: windowtext;text-decoration: none">qui avaient été critiquées pour de plus ou moins bonnes raisons, cf. par exemple: Chamak, 2010</span></span><span>)</span><span>, en fournissant cette fois des estimations d’héritabilité mesurée directement au niveau moléculaire. Les deux types d’estimation sont cohérents aux alentours de 50-60%.</span><br /><a href="https://www.blogger.com/blogger.g?blogID=4367272041435034575" style="clear: right;float: right;margin-bottom: 1em;margin-left: 1em"></a><a href="https://www.blogger.com/blogger.g?blogID=4367272041435034575" style="clear: right;float: right;margin-bottom: 1em;margin-left: 1em"></a><a href="https://www.blogger.com/blogger.g?blogID=4367272041435034575" style="clear: right;float: right;margin-bottom: 1em;margin-left: 1em"></a><a href="https://www.blogger.com/blogger.g?blogID=4367272041435034575" style="clear: right;float: right;margin-bottom: 1em;margin-left: 1em"></a></div>
<div><span></span><span></span></div>
<div>
<table align="center" cellpadding="0" cellspacing="0" style="margin-left: auto;margin-right: auto;text-align: center">
<tbody>
<tr>
<td style="text-align: center"><a href="https://1.bp.blogspot.com/-RkVfyzLeYeQ/VxxjAOpWOxI/AAAAAAAARMo/a8oGgafE2mMuOK7-ZBTcXVPYu2QJ0P9ggCLcB/s1600/susceptibilite.JPG" style="margin-left: auto;margin-right: auto"><img border="0" src="https://1.bp.blogspot.com/-RkVfyzLeYeQ/VxxjAOpWOxI/AAAAAAAARMo/a8oGgafE2mMuOK7-ZBTcXVPYu2QJ0P9ggCLcB/s1600/susceptibilite.JPG" /></a></td>
</tr>
<tr>
<td style="text-align: center"><span>Figure 1. Part de la susceptibilité aux troubles du spectre autistique (TSA) expliquée par des variations génétiques fréquentes héritées des parents, rares héritées, rares de novo, et par des variations génétiques non additives. La part de susceptibilité inexpliquée par ces facteurs est constituée de facteurs génétiques non mesurés et de facteurs non génétiques.</span></td>
</tr>
</tbody>
</table>
<p><a href="https://www.blogger.com/blogger.g?blogID=4367272041435034575" style="clear: right;float: right;margin-bottom: 1em;margin-left: 1em"></a><a href="https://www.blogger.com/blogger.g?blogID=4367272041435034575" style="clear: right;float: right;margin-bottom: 1em;margin-left: 1em"></a><a href="https://www.blogger.com/blogger.g?blogID=4367272041435034575" style="clear: right;float: right;margin-bottom: 1em;margin-left: 1em"></a><a href="https://www.blogger.com/blogger.g?blogID=4367272041435034575" style="clear: right;float: right;margin-bottom: 1em;margin-left: 1em"></a></p>
</div>
<div><span>Une dernière précision utile est que ce que l’on appelle les facteurs environnementaux englobe en fait tous les facteurs non génétiques, c’est-à-dire non seulement les facteurs psychologiques, familiaux et sociaux auxquels on pense spontanément, mais aussi tous les facteurs biologiques qui peuvent affecter le développement cérébral et cognitif de l’enfant. Cela inclut notamment les facteurs prénataux (infections et expositions à des toxiques <i>in utero</i>) et périnataux (souffrance à la naissance, hypoxie…), qui ont une importance particulière dans l’autisme </span><span><span>(</span></span><span lang="EN-GB"><span lang="FR" style="color: windowtext;text-decoration: none">Larsson et al., 2005</span></span><span>)</span><span></span><span>.</span></div>
<p><div><span>De fait, les facteurs environnementaux qui augmentent de manière prouvée la susceptibilité à l’autisme incluent l’exposition prénatale à la rubéole, au cytomégalovirus, à la thalidomide, à l’acide valproïque, la prématurité… Parmi les hypothèses nouvelles figurent l’exposition prénatale aux antidépresseurs administrés à la femme enceinte, l’exposition prénatale aux organophosphates (pesticides), et l’exposition à la pollution atmosphérique. Pour ces différentes hypothèses, des données suggestives ont été publiées récemment, et demanderont à être confirmées par des études indépendantes pour être définitivement validées. </span></div>
<div><span>En revanche, divers facteurs environnementaux qui ont pu être évoqués n’ont jamais pu être prouvés ou ont même été réfutés. Cela inclut notamment les hypothèses psychanalytiques concernant l’attitude ou le comportement des parents, la dépression maternelle, les vaccins, le gluten, la caséine, les infections microbiennes, et bien d’autres. La recherche des causes de l’autisme n’est évidemment pas achevée, et il est fort possible que d’autres causes soient trouvées, ou que de nouvelles données conduisent à réévaluer le rôle de certains facteurs.</span></div>
<div></div>
<div style="line-height: normal;margin-bottom: .0001pt;margin-bottom: 0cm;margin-left: 36.0pt;margin-right: 0cm;margin-top: 0cm;text-indent: -36.0pt"><span>Chamak, B. (2010). L'autisme: surestimation des origines génétiques. </span><span><i><span lang="EN-US">Médecine/sciences, 26</span></i></span><span><span lang="EN-US">(6-7), 659-662. </span></span><span lang="EN-US"></span></div>
<div style="line-height: normal;margin-bottom: .0001pt;margin-bottom: 0cm;margin-left: 36.0pt;margin-right: 0cm;margin-top: 0cm;text-indent: -36.0pt"><span lang="EN-US">Colvert, E., Tick, B., McEwen, F., Stewart, C., Curran, S. R., Woodhouse, E., . . . Garnett, T. (2015). Heritability of Autism Spectrum Disorder in a UK Population-Based Twin Sample. <i>JAMA Psychiatry</i>. </span><span lang="EN-US"></span></div>
<div style="line-height: normal;margin-bottom: .0001pt;margin-bottom: 0cm;margin-left: 36.0pt;margin-right: 0cm;margin-top: 0cm;text-indent: -36.0pt"><a href="https://www.blogger.com/null" name="_ENREF_3"><span lang="EN-US"></span></a><span lang="EN-US"></span></div>
<div style="line-height: normal;margin-bottom: .0001pt;margin-bottom: 0cm;margin-left: 36.0pt;margin-right: 0cm;margin-top: 0cm;text-indent: -36.0pt"><span lang="EN-US">Gaugler, T., Klei, L., Sanders, S. J., Bodea, C. A., Goldberg, A. P., Lee, A. B., . . . Reichert, J. (2014). Most genetic risk for autism resides with common variation. <i>Nat Genet, 46</i>(8), 881-885. </span><span lang="EN-US"></span></div>
<div style="line-height: normal;margin-bottom: .0001pt;margin-bottom: 0cm;margin-left: 36.0pt;margin-right: 0cm;margin-top: 0cm;text-indent: -36.0pt"><span lang="EN-US">Hallmayer, J., Cleveland, S., Torres, A., Phillips, J., Cohen, B., Torigoe, T., . . . Risch, N. (2011). Genetic heritability and shared environmental factors among twin pairs with autism.&nbsp;</span><span><span lang="EN-US"><i>Arch Gen Psychiatry, 68</i>(11), 1095-1102. doi: 10.1001/archgenpsychiatry.2011.76</span></span><span lang="EN-US"></span></div>
<div style="line-height: normal;margin-bottom: .0001pt;margin-bottom: 0cm;margin-left: 36.0pt;margin-right: 0cm;margin-top: 0cm;text-indent: -36.0pt"><a href="https://www.blogger.com/null" name="_ENREF_6"><span lang="EN-US"></span></a><span lang="EN-US"></span></div>
<div style="line-height: normal;margin-bottom: .0001pt;margin-bottom: 0cm;margin-left: 36.0pt;margin-right: 0cm;margin-top: 0cm;text-indent: -36.0pt"><span lang="EN-US">Huguet, G., Ey, E., &amp; Bourgeron, T. (2013). The Genetic Landscapes of Autism Spectrum Disorders. <i>Annual Review of Genomics and Human Genetics, 14</i>(1), null. doi: doi:10.1146/annurev-genom-091212-153431</span><span lang="EN-US"></span></div>
<p><a href="https://www.blogger.com/null" name="_ENREF_10"><span lang="EN-US"></span></a><span lang="EN-US"></span>  </p>
<div style="line-height: normal;margin-bottom: .0001pt;margin-bottom: 0cm;margin-left: 36.0pt;margin-right: 0cm;margin-top: 0cm;text-indent: -36.0pt"><span lang="EN-US">Larsson, H. J., Eaton, W. W., Madsen, K. M., Vestergaard, M., Olesen, A. V., Agerbo, E., . . . Mortensen, P. B. (2005). Risk factors for autism: perinatal factors, parental psychiatric history, and socioeconomic status. <i>Am J Epidemiol, 161</i>(10), 916-925; discussion 926-918. doi: 10.1093/aje/kwi123</span><br /><span lang="EN-US">Lundström S, C. Z. R. M., &amp; et al. (2012). Autism spectrum disorders and autisticlike traits: Similar etiology in the extreme end and the normal variation. Arch Gen Psychiatry, 69(1), 46-52. </span></div>
<p><a href="https://www.blogger.com/null" name="_ENREF_13"><span lang="EN-US"></span></a><span lang="EN-US"></span>  </p>
<div style="line-height: normal;margin-bottom: .0001pt;margin-bottom: 0cm;margin-left: 36.0pt;margin-right: 0cm;margin-top: 0cm;text-indent: -36.0pt"><span lang="EN-US">Plomin, R., Owen, M. J., &amp; McGuffin, P. (1994). The genetic basis of complex human behaviors. <i>Science, 264</i>(5166), 1733-1739. </span><span lang="EN-US"></span></div>
<div style="line-height: normal;margin-bottom: .0001pt;margin-bottom: 0cm;margin-left: 36.0pt;margin-right: 0cm;margin-top: 0cm;text-indent: -36.0pt"><span lang="EN-US">Sandin, S., Lichtenstein, P., Kuja-Halkola, R., Larsson, H., Hultman, C. M., &amp; Reichenberg, A. (2014). The familial risk of autism. <i>Jama, 311</i>(17), 1770-1777.&nbsp;</span></p>
<div>Tick, B., Bolton, P.,  Happé, F., Rutter, M., &amp; Rijsdijk, F. (2016). Heritability of autism  spectrum disorders: a meta‐analysis of twin studies. <i>Journal of Child Psychology and Psychiatry</i>.</div>
</div>
